GNU bug report logs - #42885
[PATCH 0/4] gnu: calibre: Update to 4.22.0.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Brendan Tildesley <mail@HIDDEN>; Keywords: patch; dated Sun, 16 Aug 2020 06:56:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 11:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 07:18:01 2021
Received: from localhost ([127.0.0.1]:46084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUSfd-0001oZ-OD
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 07:18:01 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:56826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lUSfa-0001oH-9I
 for 42885 <at> debbugs.gnu.org; Thu, 08 Apr 2021 07:17:56 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4FGJdl70KkzQk2B;
 Thu,  8 Apr 2021 13:17:47 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617880665;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=HuD4qJBPCwEyYBVGl7Faa23uWxkUGs1tf4kut8yrA4I=;
 b=jHoKRUlp2D/ZF5senmnfRAtcDNiWcCplkPSVbFGltyQSZ+Q5C931J7aOEUJyDj7ONz8oiS
 F1aEoPzXD4k37TSXlH1o/VoUVH89wrhHnpLHRcy8jpSeuoHTi4OB0Mj0o+dXU77fT456SI
 pVDYwPoOnfn8UvIbBM+oD06/rTgIi0s2mFn1c819Y7z9flFFK6e1Y/T6VeU4HcC4RI9hTu
 z3U560JWGbcesaBBVNS0UhYB6HY4SWc8yBTi7mRpsW85i7cGkhqAgMUloqjJK8YvTmssAV
 2VVNdyiFcIEhnQgJN9Tw4Rg0upzyguW7AWcsGx2c6+j15AuZ7fZhPgjPDgBXuA==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter04.heinlein-hosting.de (spamfilter04.heinlein-hosting.de
 [80.241.56.122]) (amavisd-new, port 10030)
 with ESMTP id XF-A-nDVxBaL; Thu,  8 Apr 2021 13:17:43 +0200 (CEST)
Date: Thu, 8 Apr 2021 13:17:43 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Message-ID: <1216030188.59802.1617880663286@HIDDEN>
In-Reply-To: <YG6GXzZqd73Os+9w@HIDDEN>
References: <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
 <YG5IrN8MAIWDxaia@HIDDEN> <YG5/mn1sGQNxhvzS@HIDDEN>
 <1652327451.54561.1617855115601@HIDDEN>
 <YG6GXzZqd73Os+9w@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_59801_398940129.1617880663194"
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -6.43 / 15.00 / 15.00
X-Rspamd-Queue-Id: 71B751819
X-Rspamd-UID: 92873e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------=_Part_59801_398940129.1617880663194
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit


> On 04/08/2021 6:28 AM Leo Famulari <leo@HIDDEN> wrote:
> 
>  
> On Thu, Apr 08, 2021 at 06:11:55AM +0200, Brendan Tildesley wrote:
> > Well, using a python-pyqt with the python-sip input set back to python-sip-4 fixes it. Do we want to commit to getting it working with python-sip@5. I'm still playing around with it trying to get it to build
> 
> I think it's okay to use python-sip-4, unless you want to hunt down this
> bug.

Fixed I think.
Also I deleted the unused python2-sip (in my notabug)
------=_Part_59801_398940129.1617880663194
Content-Type: text/x-patch; charset=ISO-8859-1;
 name=0001-gnu-qgis-Fix-build.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-qgis-Fix-build.patch
X-Part-Id: b9d151af001b41ce9afe77ff1212a896
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==
------=_Part_59801_398940129.1617880663194--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 04:28:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 00:28:24 2021
Received: from localhost ([127.0.0.1]:45801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUMHH-0008Sr-Tp
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 00:28:24 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:51859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lUMHH-0008Se-0p
 for 42885 <at> debbugs.gnu.org; Thu, 08 Apr 2021 00:28:23 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 8E5CF5C00FD;
 Thu,  8 Apr 2021 00:28:17 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Thu, 08 Apr 2021 00:28:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=AoHdLEeoTLd2pDeNs3eFQ4kF
 c1QA7KdBJUbV4DJCuso=; b=pK+3lLT20xY2kCrHj7nolUeIRCZ5Jj+6SSbdP4vs
 /OKACRzMnIMA9+YZqjHuU5mNrZQn8wwPS/APn/m64f3lUucMalsFWlJG08K9pvqF
 QtmqcUGHZIGXBwAmFTlNPdAmBFzpTorMMw8inKmoesDjI58ObKQWeor4svbo5/CR
 DfA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=AoHdLE
 eoTLd2pDeNs3eFQ4kFc1QA7KdBJUbV4DJCuso=; b=dwxAt2OONqkPjqRpy48cFI
 oOGFGQMAMqHa5CfJbhTZmhhxtJy2U5GxPpADitGc/Zy4AOUbbsPKMMuYcCvVf4qx
 Vn3JdadqRL0w0MhecVGU9emt5fqdvIMhJHRAhLrC4u4aX7jKSQ6xgMO1eqlqvbq4
 i6V2WIvo64tVsRpZLAeP84yNCKMwZchMpsSLnxOonJdVrkE4zECVQkrJSbmtpZ0O
 obSmZ9mmq0TIemQDZ6cgfoXfIRyNlT5PiHKJu3r/AeoEE5dhB3oC90ObNz86fvVs
 7VQGMsOQMqrO9p0ud9ZvTLOi1IlGI+Zbv6cbQ//S9uvwQ7ri3QC6DAX6JQQHMsOQ
 ==
X-ME-Sender: <xms:YYZuYPb2RT1T92-TB-E0oZcctt0UeBsw6NLvdsPaj_b5SU5F_3UfQg>
 <xme:YYZuYOZGaTmmLplRrCr9yXtwSc7wNimvPSwt7j6dPIS-i3F2VUEAgK7NLe9GA0AEE
 IVE4aKcNoy5v6uUTA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejkedgkeegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecukfhppedutddtrdduuddrudeiledruddu
 keenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:YYZuYB8s7s61YGstqFEAxVGDmUWILN2lkC3nhJWnawp-3uLhpX7eMg>
 <xmx:YYZuYFoPhOpVdwiXcCBBuBegc6lKZZBMmRl7-gJI8pnsdFEn2oHvNg>
 <xmx:YYZuYKopQe_R-YOA-LrJbuUJmAAI1_lpgUIdG62XFe7dOaiAnFwXdA>
 <xmx:YYZuYIEwnVKfZh3aBbTrpAFwozzWKQlpjPcTqEX2aHLh-HpTkMiHPQ>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 09E3324005C;
 Thu,  8 Apr 2021 00:28:17 -0400 (EDT)
Date: Thu, 8 Apr 2021 00:28:15 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YG6GXzZqd73Os+9w@HIDDEN>
References: <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
 <YG5IrN8MAIWDxaia@HIDDEN> <YG5/mn1sGQNxhvzS@HIDDEN>
 <1652327451.54561.1617855115601@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1652327451.54561.1617855115601@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Apr 08, 2021 at 06:11:55AM +0200, Brendan Tildesley wrote:
> Well, using a python-pyqt with the python-sip input set back to python-sip-4 fixes it. Do we want to commit to getting it working with python-sip@5. I'm still playing around with it trying to get it to build

I think it's okay to use python-sip-4, unless you want to hunt down this
bug.

> Not sure where you see that sip error. The builds fail for me with
> 
> make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
> make[2]: *** [python/CMakeFiles/python_module_qgis__core_autogen.dir/build.make:682: python/core/sip_corepart0.cpp] Error 1
> make[2]: *** Deleting file 'python/core/sip_corepart0.cpp'
> make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
> make[1]: *** [CMakeFiles/Makefile2:8003: python/CMakeFiles/python_module_qgis__core_autogen.dir/all] Error 2

I see these lines too, but later. The QtXml error may be a few lines
above.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 04:12:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 00:12:07 2021
Received: from localhost ([127.0.0.1]:45768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUM1X-00083M-Iu
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 00:12:07 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:44630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lUM1V-00082p-L9
 for 42885 <at> debbugs.gnu.org; Thu, 08 Apr 2021 00:12:06 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4FG7BR2byzzQk1x;
 Thu,  8 Apr 2021 06:11:59 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617855117;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=19/hzwHgD+rV2jd4LQBjZv0QYbLVRyE/xQbrcAJUsEs=;
 b=sKbB4T8RLErC6c+5yKRYvTW885YkWepoDhQ8Yk53bYjJpPx/Qr9cpZxGOPfCv/Ct9jSqv4
 aKAw7+OUgf80yVfJqa68rprdl3hh+E/PG3+hTq09GYyoyC1Hsi/dQKfIjbffCcK16wZnVP
 MQVloUZVibBa2QZwNTD4qha8gJO1ryy6jTUsnvO+6FwzzBbzDJZ/8xAu99Bx+KIk18NtEo
 JjPbegOwz9Z63sJCy8C0sFjK6oRAoY8sCr27iK/n7unXHrzxIS5pUemIFO3A6QbNgWA826
 enKXc2t9zGze4lVEXWlZgcU4GSu7XdOW5wxNSEbjUQFYYYR412IidJ67cqOw+g==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id NKvn2hhVie7V; Thu,  8 Apr 2021 06:11:55 +0200 (CEST)
Date: Thu, 8 Apr 2021 06:11:55 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Message-ID: <1652327451.54561.1617855115601@HIDDEN>
In-Reply-To: <YG5/mn1sGQNxhvzS@HIDDEN>
References: <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
 <YG5IrN8MAIWDxaia@HIDDEN> <YG5/mn1sGQNxhvzS@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -3.97 / 15.00 / 15.00
X-Rspamd-Queue-Id: 2024B1111
X-Rspamd-UID: 68ff2d
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Well, using a python-pyqt with the python-sip input set back to python-sip-4 fixes it. Do we want to commit to getting it working with python-sip@5. I'm still playing around with it trying to get it to build

Not sure where you see that sip error. The builds fail for me with

make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
make[2]: *** [python/CMakeFiles/python_module_qgis__core_autogen.dir/build.make:682: python/core/sip_corepart0.cpp] Error 1
make[2]: *** Deleting file 'python/core/sip_corepart0.cpp'
make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:8003: python/CMakeFiles/python_module_qgis__core_autogen.dir/all] Error 2




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 03:59:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 23:59:35 2021
Received: from localhost ([127.0.0.1]:45754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lULpP-0007hC-42
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 23:59:35 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:57743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lULpM-0007gy-QR
 for 42885 <at> debbugs.gnu.org; Wed, 07 Apr 2021 23:59:33 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 9F7F45C00D8;
 Wed,  7 Apr 2021 23:59:26 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Wed, 07 Apr 2021 23:59:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=zMUGEq3575Y6h8QqokFXdd5u
 ljZFvwNK7+JTpDfiEjU=; b=r/Lg5T9VBO11H3Yphk3DJ2nzQ11yhCZed83vyzVX
 QZ9F8kTSH4XvhwxOwfMkg/LN64AOlYRGrMZ9glAgf7AjG+v7Z0xW56FpPYyVjwNB
 qAEB685b8qUio2ywncM7yQe6AXBmK8dptmL/uq/eUiGYTLGH2vOdTqyDlmzN67+f
 4XE=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=zMUGEq
 3575Y6h8QqokFXdd5uljZFvwNK7+JTpDfiEjU=; b=KRBhHu2CBk/r8Gg+vBvd36
 sjYFIizuFHG8oGnxFU9P4R6FpeDogAZ+62j0k8UfD9AG4AMHY2uj53KioZcR7YuJ
 YOQPHYCfP6TJEWru7RuYSQFCvueeMJAAkAazWCgrokLbbRMTsoHIuJolSw0hEUWW
 Xm7Sw2lHs7N6fmBXHhhuCyfEUCpZ796f0z90Fh35oVmmFfyWM/rsTytezQnRxyPJ
 B5L6v1jAGdXJSB4XWwtdO8yO8LrcAgn2R4F9ZyHaItqnqzkkv9e6l4NlZLaEPycu
 9iX+P7MGqGZGXQIgk4EdH+Bosml+9G/henmysB10CcYm4aOQ5s+GocF06LGcCtWw
 ==
X-ME-Sender: <xms:nX9uYI6S3mqI6y30QStEHOgixxO7qghjbNcV-rdcucy2MPxZzePH7A>
 <xme:nX9uYJ4WTv916aVJ-LLq5LgUS-dNPA2AkV9c_7pvUA4KLnHBwfhRw7-OUD2cJI7nK
 WEEyb2bJBthphmHTw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejkedgjeekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecukfhppedutddtrdduuddrudeiledruddu
 keenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:nX9uYHftmbEnbRUqD7LJVHGqtBLRTAJkrmHQl3bkBOie6GXOVK84ng>
 <xmx:nX9uYNJxekpwM8D5H1AlsNzYwuC36oFOsneB_MZtfnia7rHxA5grCw>
 <xmx:nX9uYMLmQP4url7yVqdZ_qA8egonX55HZnY3YIY8HshUSG1W7YRRPA>
 <xmx:nn9uYDk_tz-CWCuZ9ArFPlMXalco3kFmeFLXJG3Wzw7adbyBTXpFAA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id AE94E240057;
 Wed,  7 Apr 2021 23:59:25 -0400 (EDT)
Date: Wed, 7 Apr 2021 23:59:22 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YG5/mn1sGQNxhvzS@HIDDEN>
References: <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
 <YG5IrN8MAIWDxaia@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YG5IrN8MAIWDxaia@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Apr 07, 2021 at 08:05:00PM -0400, Leo Famulari wrote:
> .sip5-real: Unable to find file "QtXml/QtXmlmod.sip"

I also noticed this passage in the QGIS ChangeLog:

------
Daniel Minor <daniel.minor@HIDDEN>   2020-07-14

    Fix FindPyQt5 cmake and python scripts

    As written, the FindPyQt5.cmake and FindPyQt5.py scripts will succeed even if
    PyQt5 is not installed. In FindPyQt5.cmake, we have PYQT5_FIND_REQUIRED rather 
    than PyQt5_FIND_REQUIRED, so the package is always treated as though it is
    optional. In FindPyQt5.py, the script will succeed with a default location for
    the sip directory, even if the PyQt5 directory is not located.

    For some systems, if enough other dependencies are installed, the build can
    get about halfway complete without the main PyQt5 dependency, and then fail
    with a message like:

    sip: Unable to find file "QtXml/QtXmlmod.sip"

    I hit this building on Ubuntu, and there have been a few similar bug reports in
    the past.
------




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 01:14:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 21:14:12 2021
Received: from localhost ([127.0.0.1]:45562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUJFM-0003eU-8l
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 21:14:12 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:47737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lUJFJ-0003eH-Ua
 for 42885 <at> debbugs.gnu.org; Wed, 07 Apr 2021 21:14:10 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id 938E75C013C;
 Wed,  7 Apr 2021 21:14:04 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute6.internal (MEProxy); Wed, 07 Apr 2021 21:14:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=RgFoxoBRA7FYB84pF9NGCweb
 rctn/cL1YK8/zhb31vI=; b=pcOpvEFdXmc96vzZvv2NffyhxWRbEM5GJBYVRRkm
 MLozAo9fruMvP+CGNK/NSN8SuxHlBwIxSGnlZiZL9BVledqRwifUy8IvS9OeLqYZ
 nQCkE6OUk3XKcDyMKvsymq29ywb/6xcoBNa0sDyft23oSfy5dR7w6HJUsMSS8P73
 4IY=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=RgFoxo
 BRA7FYB84pF9NGCwebrctn/cL1YK8/zhb31vI=; b=bi9tPR1/VBvRfBlZ1vYSHb
 kZnZRmh2qkPOF6repQNRL7oQduG9sf8MF7zAcyHEqbIHhVs173oFSBwGhVMsZkPk
 BjapH/4KJpDEpXj5J77oDjnYEV5RDQk8iU8oHq/kjLDwGWoLVmVx8VPk3W8v5bCU
 4b9ACDN43dZmzHfT7j32vjkFReEEA36Ja25pc9wySkJIZOle/8rMo268hUjW9Wk6
 oaJ9O2Rp+fTSHTVevVxUp/vNJ9owU9kkexqpZUsvYU2gsCqT22Hry37OMswDzYjl
 REnawZKOAnui7mpPb9fDhCUIbxr5EtyXzlbVl6IDt6VtLNi+L4cPnvnCO2mIl6ew
 ==
X-ME-Sender: <xms:3FhuYKSK1YeNhnoNgVCMuedQ9daTJxqdm7yHA8AMnEBozDIK_RiiRg>
 <xme:3FhuYEFLQ1WLe40rYziXfW94uW1EQuUcNeOoiJS7r1EH-31ylTKiFr72PhRW7UGdt
 M2PEKCnzwgeZwT7MQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejkedggeegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepieeiuedvieetkedtveejuddutdefge
 ffgfetueekgeffjeehheeuudelgfduffegnecuffhomhgrihhnpehqghhishdrohhrghen
 ucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:3FhuYG8jxFzyn8ARqmuIIoiOfLvX8Yh1aTR3ZI9v62c-g0z5IgVCeA>
 <xmx:3FhuYOLHflVnlBfbt3fz4_2OKnf-RWkHV46Q8iZ-eR7wv3gv1bYQ7g>
 <xmx:3FhuYJYvZsM4G-JB5vl7VODME1hPkRBBrqlUR7KmtA_ADJn9NfEapg>
 <xmx:3FhuYKB8dWpA2dNmUtoldQWkk5ujL9dSiaXIPbFhaIb7i8nOUnEWLw>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 019251080054;
 Wed,  7 Apr 2021 21:14:03 -0400 (EDT)
Date: Wed, 7 Apr 2021 21:14:01 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YG5Y2TzxVm3DUqMg@HIDDEN>
References: <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
 <YG5IrN8MAIWDxaia@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <YG5IrN8MAIWDxaia@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> .sip5-real: Unable to find file "QtXml/QtXmlmod.sip"

I found an upstream bug report that is superficially similar:

https://issues.qgis.org/issues/20969

However, their solution is already done in our package: Make sure that
pyqt is available.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Apr 2021 00:05:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 20:05:10 2021
Received: from localhost ([127.0.0.1]:45521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUIAX-0001yM-Tk
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 20:05:10 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:48603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lUIAW-0001y7-OT
 for 42885 <at> debbugs.gnu.org; Wed, 07 Apr 2021 20:05:09 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 9C1BE5C0140;
 Wed,  7 Apr 2021 20:05:03 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Wed, 07 Apr 2021 20:05:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=bmfkd0CAoVpZG+SOkthZUKoL
 sUcnznfb/toAjhASG2w=; b=jvDj0erbf5QEbMBS5Jv6BVx7jNqqJPFPK0ClhSDn
 kILH5YkSPEcwW/OMCoKSk989VBuR5LfD6SDQbjWf+FjkFX6NQMLEkeNC0R13QnJf
 pLfCYyGp6dI8c2mOb9VeVkO2DFmOqnvv+uUvt7qE4O88uyXlsHrKsKTh8bM97gi4
 DYA=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=bmfkd0
 CAoVpZG+SOkthZUKoLsUcnznfb/toAjhASG2w=; b=NAL8bzxJj07PfMJ5DE35nk
 mhDqy0C9ar5ik5TpHP+TNjGWKh6Xw+NUgYviz5+/FO/9WccqiZfnp7qyFkVkIqVy
 oUIUekTv65PBJZzQdn36TretF+j4N0l2tmMbjF16BNONNYgIQ0vA4D6scthuiHXt
 8s49XZYQio42BhnGxV3h2df2EizJzyiqtRDckyI1TPtGa64cSnOVgvTU++Wjr/Wy
 XAaecYb6PqI/A61OIg98S9ZA7h75XaVR+5S4XDNgpLKuHywAUEyvygnAiVLob0uh
 +IYj++3LF5B+vTTevv88uMPFR0Ao3jgJiPpLlx9kVMdA8c9YWqnHO84i5XM6efWQ
 ==
X-ME-Sender: <xms:r0huYDFv7mFTm9Fd1X38Z8hb5MCmaPpZPWDvLQACEGLIS4M1kir4fQ>
 <xme:r0huYAV6jTEPKN22owG7N5T1bvf6789iOg71aTHfSnKqKp493UUERA9iBBq0btWCX
 634KsG0BqQtzlDJVw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejkedgfedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecukfhppedutddtrdduuddrudeiledruddu
 keenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:r0huYFLK2f54oMo9X4bm21NOPYuDXhJmJ_QwndJhuDmy5pGb_8sbEA>
 <xmx:r0huYBE9_BLZTHZTnxhOxj8qt0lMZGHy01htLnBOM6RHbcX8O31s9g>
 <xmx:r0huYJUKM_qQ5E5AF7g4or2DRcLA045nG4KA4oaB__6_AcFs8foQqw>
 <xmx:r0huYIAIg28uqo3U2NX0TTqKRHmZT35b2bdcgOO4ojLlYOAsAWdqaA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 9C3041080066;
 Wed,  7 Apr 2021 20:05:02 -0400 (EDT)
Date: Wed, 7 Apr 2021 20:05:00 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YG5IrN8MAIWDxaia@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
 <1081792369.42570.1617767823200@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1081792369.42570.1617767823200@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

While testing the dependents of packages changes in this patch series, I
found that QGIS fails to build as a result of these patches, like this:

------
[...]
[ 50%] Built target qgis_sqliteutilstest_autogen                    
make -f tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build.make tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/depend
.sip5-real: Unable to find file "QtXml/QtXmlmod.sip"                
                                                
make[2]: Entering directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
cd /tmp/guix-build-qgis-3.16.3.drv-0/build && /gnu/store/3dsl2jalrcyldkrsqab1hc6sv8pyag9z-cmake-minimal-3.16.5/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/guix-build-qgis-3.16.3.drv-0/qgi
s-3.16.3 /tmp/guix-build-qgis-3.16.3.drv-0/qgis-3.16.3/tests/src/core /tmp/guix-build-qgis-3.16.3.drv-0/build /tmp/guix-build-qgis-3.16.3.drv-0/build/tests/src/core /tmp/guix-build-qgis-3.16.3
.drv-0/build/tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/DependInfo.cmake --color=                                                                                            
Scanning dependencies of target qgis_layouthtmltest_autogen                
make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'                        
make -f tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build.make tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/build
make[2]: Entering directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
[ 50%] Automatic MOC for target qgis_layouthtmltest
cd /tmp/guix-build-qgis-3.16.3.drv-0/build/tests/src/core && /gnu/store/3dsl2jalrcyldkrsqab1hc6sv8pyag9z-cmake-minimal-3.16.5/bin/cmake -E cmake_autogen /tmp/guix-build-qgis-3.16.3.drv-0/build
/tests/src/core/CMakeFiles/qgis_layouthtmltest_autogen.dir/AutogenInfo.json RelWithDebInfo
make[2]: *** [python/CMakeFiles/python_module_qgis__core_autogen.dir/build.make:682: python/core/sip_corepart0.cpp] Error 1
make[2]: *** Deleting file 'python/core/sip_corepart0.cpp'
make[2]: Leaving directory '/tmp/guix-build-qgis-3.16.3.drv-0/build'
make[1]: *** [CMakeFiles/Makefile2:8003: python/CMakeFiles/python_module_qgis__core_autogen.dir/all] Error 2
[...]
builder for `/gnu/store/svp5sjdga02zngsrh3x613wjfqm2cwyi-qgis-3.16.3.drv' failed with exit code 1
------

I think the salient part is near the beginning:

.sip5-real: Unable to find file "QtXml/QtXmlmod.sip"

I tried using your original approach for pyqt5-sip, where you symlinked
it into the output of python-pyqt, but I got the same result.

I guess that we need to adjust the package python-pyqt+qscintilla. Any
ideas?




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 7 Apr 2021 03:57:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 23:57:15 2021
Received: from localhost ([127.0.0.1]:42776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTzJa-0002dC-VE
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 23:57:15 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:53168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lTzJZ-0002cz-OS
 for 42885 <at> debbugs.gnu.org; Tue, 06 Apr 2021 23:57:14 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4FFVvl0gxMzQjmS;
 Wed,  7 Apr 2021 05:57:07 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617767825;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=nHp+iSfnfNua42d+xCXSGhJmZlDDQ87sfIdqFZ5tgGo=;
 b=X7mrBAQyLaB3z0FqJUkyDANVRwORxF+/CHJ6jMDG7Jdwv8xvT2XQMlFcnLQ9BsZT4R4BUI
 82cnGEybkAtjBMevF+K43wUQdNK0Ux5NAnNLCR2i8xd2eRlWTSEL7pYzeREwcpXESq3/ll
 620ImWda3uaWlIHCPawvtA7G/Kx4RcCh5Y268nvjbHc/0cnr0MggGHMO9t87DKnSyHVnsm
 gCDQiKYUkwsKE7bWeYGfoBFsltPMWYFKAzFTsnRUgnG0nl9BGRrI8e9xiUsAzKMd8VtIoN
 JsvCTvZDJKUPf9txxLFcZ56k9YCb2iKozbJF1M9Jd2I3gHCgrMQCnRDTWS2Mcg==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id pXRbJPrVTLh9; Wed,  7 Apr 2021 05:57:03 +0200 (CEST)
Date: Wed, 7 Apr 2021 05:57:03 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Message-ID: <1081792369.42570.1617767823200@HIDDEN>
In-Reply-To: <YGyWT1B5kCLAzfDC@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN> <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
 <YGyWT1B5kCLAzfDC@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: **
X-Rspamd-Score: 1.93 / 15.00 / 15.00
X-Rspamd-Queue-Id: 266FE16FF
X-Rspamd-UID: 76f6e9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> On 04/06/2021 7:11 PM Leo Famulari <leo@HIDDEN> wrote:
> 
>  
> On Tue, Apr 06, 2021 at 03:30:08AM +0200, Brendan Tildesley wrote:
> > Sounds good. I didn't realise propagated-inputs did that, I thought they were
> > just normal inputs that were installed along side the package in a profile,
> > but wouldn't make a difference during build time.
> > Does this mean all packages that depend on python-pyqt5 will have python-pyqt5-sip
> > added to its own list of inputs in their own package definition? If so
> > the manual doesn't mention that.
> 
> That's the idea: they are run-time dependencies of a package that lacks
> the ability for recording references to its dependencies. We have to
> help the package with our packaging tools.
> 
> In general, all Python packages in Guix use this mechanism.
> 
> Just to clarify, does Calibre work on your end with my latest Savannah
> branch? I built it on CI, so you can get substitutes for it on x86_64.
> 
> The basics work for me: library management, conversion, etc.
 
Works for me.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 6 Apr 2021 17:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 13:11:55 2021
Received: from localhost ([127.0.0.1]:41546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTpF4-000551-QI
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:11:55 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:43971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lTpF2-00054p-VS
 for 42885 <at> debbugs.gnu.org; Tue, 06 Apr 2021 13:11:53 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 2B2E014E7;
 Tue,  6 Apr 2021 13:11:47 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Tue, 06 Apr 2021 13:11:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=uheWDS90UfJ36vcxAAWmSbEG
 G86zUzJIqAgZnJtpUdM=; b=kFbVjxY/39m7FqB+xQvx2wWvz0z9dGH4l7XI+iRt
 yG7xAQ6YWfLUxzXtLJkq+9XQta46CIS2pLgi6MGRNYBs41/xLfzKK0Xxd94Wchnl
 s61prF5+8ThmzQZnrEVArFeKHzw063B9ClGa1PMqTFoDdAdi5jsjN0pkOAT2Te7b
 8ao=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=uheWDS
 90UfJ36vcxAAWmSbEGG86zUzJIqAgZnJtpUdM=; b=qhuLiYMu0fLu8eN0/gE8Dt
 JlvxI0hN5MFRnh0iX45mJwicv8nxLW3RbYOXU3YURZRmpggHgkkBH2RT4yPG88Rl
 6ILFqpipDSAodTUKjxo3ySVvtW4gsFPcxwzTbIcHVxr02kNKzbARPJAFAooOkm1W
 kGYJPk1AlBD7f1u+WK2+Vf7Bfkofqgn8S+e8hU6BeqrF4Qb3rEH47QRAagjvKwYh
 9VznJgQ8+4QRnn3LLRNsLq4mYXhYu3gMCeXGuEfoZ6ZLdZAz/Psg5SzwjaBrobsk
 0V+K6283CZvzYL7zaY3Gzgerscn/7eliPd6wZs1nvS7kO5Q1fDcCFXczdckXzyAg
 ==
X-ME-Sender: <xms:UpZsYGIOMQk2E_hRvxXzjR6sSq0g4NVC2IGdDEymiqZNE18Azk3urQ>
 <xme:UpZsYOJHHYPAxj-hlRAmJmc4EKMVvW66g6wZIc2bQXWtNdi65BDOnXSSw58TwmOU-
 x3m1QmNOOvK7TMUQg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejhedgheejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepueekkedtffdvtddugeejgedtvefhue
 efiedvjeeitdeigedtveejvdejheffvefgnecukfhppedutddtrdduuddrudeiledruddu
 keenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:UpZsYGv_xFlc8PGFIzJJwqqN-80bTvjePifQI4X4gy9iR7rb2MQhHw>
 <xmx:UpZsYLZO4ruY-T_GwgLtxyJae59IDPOYHhkwAGD9DGanc3cPAXMF_w>
 <xmx:UpZsYNbLHvIJn027wwkBXS1Cl9WqBION7CUCwQu4OeND1DQpFQgX3w>
 <xmx:UpZsYP3U2Ue1tgjRw500_AYQyrjAsn16R0ouTit_-Oht4MQGOdu2_w>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 200281080064;
 Tue,  6 Apr 2021 13:11:46 -0400 (EDT)
Date: Tue, 6 Apr 2021 13:11:43 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YGyWT1B5kCLAzfDC@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
 <1191049121.29289.1617672608111@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1191049121.29289.1617672608111@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Apr 06, 2021 at 03:30:08AM +0200, Brendan Tildesley wrote:
> Sounds good. I didn't realise propagated-inputs did that, I thought they were
> just normal inputs that were installed along side the package in a profile,
> but wouldn't make a difference during build time.
> Does this mean all packages that depend on python-pyqt5 will have python-pyqt5-sip
> added to its own list of inputs in their own package definition? If so
> the manual doesn't mention that.

That's the idea: they are run-time dependencies of a package that lacks
the ability for recording references to its dependencies. We have to
help the package with our packaging tools.

In general, all Python packages in Guix use this mechanism.

Just to clarify, does Calibre work on your end with my latest Savannah
branch? I built it on CI, so you can get substitutes for it on x86_64.

The basics work for me: library management, conversion, etc.

I think we're almost done!

> I find writing them the most stressful part because I sit there not knowing
> what to write.

Don't hesitate to send in your patches with a note like, "I didn't know
what to put here".




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 6 Apr 2021 01:30:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 21:30:22 2021
Received: from localhost ([127.0.0.1]:38883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTaXu-0005e0-0R
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 21:30:22 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:27642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lTaXr-0005dk-F1
 for 42885 <at> debbugs.gnu.org; Mon, 05 Apr 2021 21:30:20 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4FDqhj1F7pzQjn4;
 Tue,  6 Apr 2021 03:30:13 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617672611;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=H6XYDE+7LFaOqOse7GH2dToj3yqwFXy2xUUIWv7DbWk=;
 b=p9BtSYkGnEhocwEvAcRt3iCb5ENqnp2hxbpeMyCxdunp4P/jHUVKXuCIbvfuFRb1R5K5s3
 +DZnrKniNoKew/yOgjn5npFlfW8En8VE+WEIgglUvjbX1iHPugKN26HBSAy7dhOHIP0/cR
 2HASAGm9w37PxRwXiklmOLkPwCejXvoax03KiT7NH/CrzElBXC3B+H4LEJ9pkw6S2e9aUE
 qhGLCvnR6bhwa1x6QTZW6Xc/1Wd/Qilr6qCliTNiodh1pwq/IYDyI5PhsmyEV6FTc1aADh
 7+1VeFLSVG5FN1OUaLfMktN/UjFwxbvZSV4Z91Byu4KhqSS6qTMLvBJpdp2SaA==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id KqoxojzLpiRt; Tue,  6 Apr 2021 03:30:08 +0200 (CEST)
Date: Tue, 6 Apr 2021 03:30:08 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Message-ID: <1191049121.29289.1617672608111@HIDDEN>
In-Reply-To: <YGtr1LkXnJhQxxOV@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN> <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
 <YGtr1LkXnJhQxxOV@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -5.86 / 15.00 / 15.00
X-Rspamd-Queue-Id: AE7E4387
X-Rspamd-UID: 71ba5e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> On 04/05/2021 9:58 PM Leo Famulari <leo@HIDDEN> wrote:

[...]

> If I understand correctly, the issue that any package that uses
> python-pyqt5 also needs to be able to find python-pyqt5-sip. Is that
> right?
> 
> If so, it sounds like a case for propagated-inputs [0]. Concretely, I made
> python-pyqt5-sip a propagated-input of python-pyqt and removed the
> 'pyqt5-sip' phase, and Calibre built successfully.
> 
> Does that seem like the right approach?
> 

Sounds good. I didn't realise propagated-inputs did that, I thought they were
just normal inputs that were installed along side the package in a profile,
but wouldn't make a difference during build time.
Does this mean all packages that depend on python-pyqt5 will have python-pyqt5-sip
added to its own list of inputs in their own package definition? If so
the manual doesn't mention that.

> > The reason I added qtsvg was to try fix the Qt test. If you remove the
> > line (setenv "SKIP_QT_BUILD_TEST" "true"), this test fails for
> > multiple reasons.  One of them was qtsvg missing. Another was the
> > get_exe_path bit. But a third reason I that its call to printtopdf in
> > pyqtwebegine returns an empty string instaed of b'Skia/PDF'. I had no
> > idea how to proceed with fixing that so I left it for now. But at
> > least fixed the other errors. I assume some SVG related functionality
> > will fail without it...
> 
> That's a good point. However, I checked if the built Calibre refers to
> qtsvg, and it doesn't [1]. So, it's unlikely that Calibre will be able to
> find and use qtsvg, regardless of whether or not it's an input. So, I'd
> prefer to leave it out until we understand what it's for and how to make
> sure that Calibre can use it.

I see, that's a good trick for checking references.. Leave svg out for now then.

> 
> > All good I think. My descriptions were much worse than I realised.
> 
> No worries. Writing the synopses and descriptions is a completely
> different type of work from packaging or programming. I often "finish"
> some packages, but need to go back later to write the descriptions. I'm
> happy to finish these tasks as part of the code review process.
> 
I find writing them the most stressful part because I sit there not knowing
what to write.

> > python-cchardet differs from in python-chardet in that its not written
> > /in/ python, but links to a fast C library to do it, but your
> > description/synopsis changes make it look like its all in
> > Python. Maybe make the description:
> >  
> > "cChardet is a character encoding detector, binding to the C
> > library uchardet for speed." ?
> 
> Thanks, that helps. I amended the synopses and description based on
> this.
> 
> I pushed my revisions of your updated branch, rebased on the current
> master branch, to Savannah:
> 
> https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-update-calibre
> 
> [0]
> https://guix.gnu.org/manual/en/html_node/package-Reference.html
> 
> [1] This command be used:
> $ guix gc --references $(./pre-inst-env guix build --no-grafts calibre) | grep qtsvg




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 5 Apr 2021 19:58:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 15:58:23 2021
Received: from localhost ([127.0.0.1]:38658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTVMc-0003eY-UL
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 15:58:23 -0400
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:33741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lTVMb-0003eK-80
 for 42885 <at> debbugs.gnu.org; Mon, 05 Apr 2021 15:58:21 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 3AD651AC6;
 Mon,  5 Apr 2021 15:58:15 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Mon, 05 Apr 2021 15:58:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=rvUcy5wrgj27+iuKhpAo/X9F
 Sb1lUdyi7YAaGgWS+5M=; b=U38r2o1+UE1HS5khE/1V6RffIIOrrgMEkdH37uZU
 jFWh0bWQe8XniBq6EhDe7WpByU7+jSoxYdgTvqo3trF8MS3FW1SV/4PjVwVBe4jR
 zSgcI7unDk9VHSvvOmvXYL5TS3jyxWymv8z8HMfbbuCyFjrWslRD49tYPJbXS3QW
 puw=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=rvUcy5
 wrgj27+iuKhpAo/X9FSb1lUdyi7YAaGgWS+5M=; b=gBTtBcLBTVwnlU7s6pufPl
 irO8n3SrfCBlOvkyYFQWbyDDYEi6x9r5bB+7awpZhAHtaBlU8M1iduBrmbopNkZM
 2WexMXHoe1wIpGybssMsa3ShYgxe+afVJKo9xoc3yFAS1iWARJ2S5FyU0yN8kLbE
 8xNSG+IpgF80JwUyWXTDQYgfgdZ/EkVnJk0LcaMHAR6G0eHxUKJ1vHdF1zd2ezwG
 guS0EmdG4YvJopUbS/mgggaom/jBIts95OnWAax0RsDEKEwlEjNrYQqsfyROiWI8
 okU1lptygBJm7z3iMRcn64h7XSeS3dTmr9OGxzLQDBbaqbkloE6gGqYr7OK6eSMw
 ==
X-ME-Sender: <xms:1mtrYCHGWZZJaHWz3AA7nLJtUOgZbRlY_VqEopq9bfKnqTpFiCvEdQ>
 <xme:1mtrYDUenTh1YXIgy8Zv34AgjJYq4d37ToYKcXwmS4Z_dcNiqOw4DDok8pBj9h9II
 GHVeIFS2atsnEzL2A>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejvddgudeghecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehgtd
 erredttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpedvveegkeduiedvieeludevkeeugf
 euueelhedtffegffdtfeekveelffeufedukeenucffohhmrghinhepghhnuhdrohhrghen
 ucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:1mtrYMLSRQrjsvFb0MDDrCfo7exUQ2YPTrPP7ZaBVS5A5ijh62Hy5w>
 <xmx:1mtrYMF00OZbojyWVKaXbyanXs8crqyCQUef78U8pfadnpB-Hn92pg>
 <xmx:1mtrYIXg1suoBTAwePKLtIEFXDUgIL5VYd8hANY7svpvCBf5BiCmSA>
 <xmx:1mtrYLACcZqJeMYnlspWRdYjVZWdHafHEr7ir3C_0MTQO3-mYfdPpA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 31623240054;
 Mon,  5 Apr 2021 15:58:14 -0400 (EDT)
Date: Mon, 5 Apr 2021 15:58:12 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YGtr1LkXnJhQxxOV@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <327102377.27084.1617085423564@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="TX0yeVifDdh5eev/"
Content-Disposition: inline
In-Reply-To: <327102377.27084.1617085423564@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--TX0yeVifDdh5eev/
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Mar 30, 2021 at 08:23:43AM +0200, Brendan Tildesley wrote:
> Me adding python-pyqt-builder here looks like a mistake. I left it
> there while experimenting.  When I was Upgrading SIP, I experimented
> with switching to the new 'sip-build' tool introduced in SIP 5. SIP
> 6's main change is to delete obsoleted code, so the old 'python
> configure.py' won't work. I never got it working so I just went back
> to the old way with SIP 5.  python-pyqt-builder is still needed by
> Calibre however.
>=20
> The only other functional change in this patch is to remove the patch
> pyqt-public-sip.patch.  The introduction of python-pyqt5-sip as a
> separate module means means that with this patch, the module is not
> found at all. Removing it fixes it. I don't understand it in any great
> depth but it seems the patch may only really relevant to SIP 4.

Okay. I adjusted the commit message to match your revision.

> > On 03/30/2021 1:05 AM Leo Famulari <leo@HIDDEN> wrote:
> > Also, there is a comment "Linking here means the sip module can be found
> > without python-pyqt5-sip needing to be added as an input". But,
> > python-pyqt5-sip is an input to this package. Can you explain what you
> > mean?
>=20
> Upstream for whatever reason chose to move the sip module part out in
> to a separate source package python-pyqt5-sip. It's broken without
> removing the pyqt-public-sip.
>=20
> The linking can be removed, but it would mean for every input that
> requires python-pyqt5 as an input, you also need to add
> python-pyqt5-sip so the sip module can be found.=20

If I understand correctly, the issue that any package that uses
python-pyqt5 also needs to be able to find python-pyqt5-sip. Is that
right?

If so, it sounds like a case for propagated-inputs [0]. Concretely, I made
python-pyqt5-sip a propagated-input of python-pyqt and removed the
'pyqt5-sip' phase, and Calibre built successfully.

Does that seem like the right approach?

> The reason I added qtsvg was to try fix the Qt test. If you remove the
> line (setenv "SKIP_QT_BUILD_TEST" "true"), this test fails for
> multiple reasons.  One of them was qtsvg missing. Another was the
> get_exe_path bit. But a third reason I that its call to printtopdf in
> pyqtwebegine returns an empty string instaed of b'Skia/PDF'. I had no
> idea how to proceed with fixing that so I left it for now. But at
> least fixed the other errors. I assume some SVG related functionality
> will fail without it...

That's a good point. However, I checked if the built Calibre refers to
qtsvg, and it doesn't [1]. So, it's unlikely that Calibre will be able to
find and use qtsvg, regardless of whether or not it's an input. So, I'd
prefer to leave it out until we understand what it's for and how to make
sure that Calibre can use it.

> All good I think. My descriptions were much worse than I realised.

No worries. Writing the synopses and descriptions is a completely
different type of work from packaging or programming. I often "finish"
some packages, but need to go back later to write the descriptions. I'm
happy to finish these tasks as part of the code review process.

> python-cchardet differs from in python-chardet in that its not written
> /in/ python, but links to a fast C library to do it, but your
> description/synopsis changes make it look like its all in
> Python. Maybe make the description:
> =20
> "cChardet is a character encoding detector, binding to the C
> library uchardet for speed." ?

Thanks, that helps. I amended the synopses and description based on
this.

I pushed my revisions of your updated branch, rebased on the current
master branch, to Savannah:

https://git.savannah.gnu.org/cgit/guix.git/log/?h=3Dwip-update-calibre

[0]
https://guix.gnu.org/manual/en/html_node/package-Reference.html

[1] This command be used:
$ guix gc --references $(./pre-inst-env guix build --no-grafts calibre) | g=
rep qtsvg

--TX0yeVifDdh5eev/
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAmBra9QACgkQJkb6MLrK
fwh9+xAAgEDFUZnBWEg7n+lYBeIijPpKK43oDb0wqk2tg1lmovUkYXEKNTM5terE
dg1ZnbS+vPSgiHjAFxOi3wc4fmMxjQvJrNcnESbyVhtHz1g30QnOF7nhN2x+22Zp
YTZEbPZHTZnnGwhZ/ZBX+hSThf7czLzMara4I/LBVcNZuPOTLdVFYXoQlnc4nMuF
bK4NHIAho9LcjVvC4rBa1dL+paAKCBVLen0azdSUnKSNQEeH5cwlVhB/huTo8xV6
qnmRoXF/MesrZYxGSZgG5tdZy8OpDrYGx5uTwFgePPxRXpZlmtSmBBdJWytyleHf
jUr/DD4bSLEp1ymc35GKLU45/eY5e4M3hxwfm7dhvvqq00Jq+xqtyX20dS+tgoQg
aeDA7QNaPH7mt9U4pjbpxY4ViDOE72MTE55s4G15cglmxDI2aKzww5YWEwSfOwti
+uC/E/82Rj3E6LPeJOhA3kLgi9nf/7nz/PmF50e4NfnQIGCbDlHyJMFx5F0zGo0d
Li4YefIYxr68xPyH6PyziVB/VlRP3HxjFBh0o3ogqvwJkd0jKNQqMLOdb5ZNQrAj
uB0i7TsYgWYn73YBDeEBncAsLB36vUBp4PBJVJNVnCsGeHM9slL3bfvYns6VszTL
s/eSkoczMuf9WT/9MbEy26kTJ/5JNvpIcX6YLOSjL/139LmQKc8=
=mCQM
-----END PGP SIGNATURE-----

--TX0yeVifDdh5eev/--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Apr 2021 17:46:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 04 13:46:43 2021
Received: from localhost ([127.0.0.1]:36393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lT6pf-0002FM-3h
	for submit <at> debbugs.gnu.org; Sun, 04 Apr 2021 13:46:43 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:59253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lT6pc-0002F7-WF
 for 42885 <at> debbugs.gnu.org; Sun, 04 Apr 2021 13:46:42 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id CFD045C00BA;
 Sun,  4 Apr 2021 13:46:35 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Sun, 04 Apr 2021 13:46:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=B9CZy//3i4vmQx7FPVbKqegC
 sHM1dA6C1shkn2q1pgQ=; b=lexeHjaIi1nhP+KkvVzkppo9HGimBIE34Yqu81e7
 ijclLPdbBL6KfS0ZzU+s448iNYg0GJjz/m3Y/RH9Pxq/YdbCcZy4gR/w+aiSNH5q
 zkfG+gS5Dq6xhtNHiBWLpTEfxx9gQoeiK9rSPuMbcJ5TBqWi/z3TJG7oxPbMsht0
 lkg=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=B9CZy/
 /3i4vmQx7FPVbKqegCsHM1dA6C1shkn2q1pgQ=; b=iJdqlBCASo+kbrMq+XsGxV
 wAPG0GbMncyVdLuU+BKqkGL4IoLGZh9v9q1Kf0t68/tObn8UOATz4q2uyUYCq7eH
 ndXvMM4cjWiL0xi03+QBb4/BEZihMbQxreWO/rES5IHSbFh15tp9lGbpPo/r0FeW
 IsEEoi+RurX9P6ioYl/R0KHHlzSS4iVyf0o2BG2oa7+vgfqBi0fPP3je5tYoBwPI
 qX5vSSsIt9/95nz8E9pNK2ZKtI4aQRUtua8s/Agmo1utTId+hWTJ31DysSTVy96b
 gjS8dDJ/7kTFWlXoiRTGbokeE7VKejYu2yF9cmOFgY+1wsr1ZUebxXbHPJVdkxeQ
 ==
X-ME-Sender: <xms:evtpYPm8PaSvBZ_v8OVL-n9XgnJnLMaqJ_YU9XQcBIJhiELrHwpXNw>
 <xme:evtpYC1Ik9ErcOAOTF4aFbDNsm9nK_W2sBDn1CcirQzNQ6OQs-fBTVwQf4gP_IrPW
 5zzBKe5TAnnJgxCVg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejtddguddujecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeivdettdeivdfhveejheevffegie
 fgiedttddvveekleeuvefftdefudfhffetvdenucffohhmrghinhepnhhothgrsghughdr
 ohhrghenucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivg
 eptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghm
 vg
X-ME-Proxy: <xmx:evtpYFqBahXFZLLqh_U2U-odGqLlkIq_OT0EQIiehWYrwDffMupVwA>
 <xmx:evtpYHlba16RfiBnquGsmTzWudV1fBN5Ufm2wFWhb23UsXzyHkBzHQ>
 <xmx:evtpYN1stCWxUKuQF_I2WEZ1QrU3W83NlZXj1AO9qA35eFHlwRpJKQ>
 <xmx:e_tpYKhzFU_IOV5Lmuef8ZEjK2yKiw8Cg7g-oYaF6inFRjHsZRyNIA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 09A0D1080057;
 Sun,  4 Apr 2021 13:46:34 -0400 (EDT)
Date: Sun, 4 Apr 2021 13:46:32 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YGn7eAZB5X29gNuJ@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
 <1019746685.30860.1617101118707@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1019746685.30860.1617101118707@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Tue, Mar 30, 2021 at 12:45:18PM +0200, Brendan Tildesley wrote:
> Just updated for Calibre 5.14.0 released 4 days ago also.
> 
> https://notabug.org/Brendan/guix/src/wip-update-calibre

Thanks! I will review these today or tomorrow.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 30 Mar 2021 10:45:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 30 06:45:32 2021
Received: from localhost ([127.0.0.1]:50482 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lRBsK-0007pu-Gw
	for submit <at> debbugs.gnu.org; Tue, 30 Mar 2021 06:45:32 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:44934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lRBsH-0007pg-QH
 for 42885 <at> debbugs.gnu.org; Tue, 30 Mar 2021 06:45:31 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4F8mLW2hl3zQjgR;
 Tue, 30 Mar 2021 12:45:23 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617101121;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=N0k9T7tRVk9x9wo2+PC5Aupn5T1RMlS2tukd9J2wPr0=;
 b=GhWhLTINZDXu/cv3rHKfjt7jNPdfO4YqjlDV3wPHm5SNp2kr4i0RjygpfMTPOJOZDsohUR
 4Osf0HOTa22huGkf2FfjVV4Ar3xAqBIy9aqDSq4tob4RXnBxy4kltRGqlIPtlMlajZPu/S
 gq2kHYERTEvdP0jKlWBTs+4++nff5gDX3o1Qs8jImnyO7cJajeoZC6A9xlsjNJFHOwV1vr
 TIVLtkHHaL5FpW1bQIl+DnxAFaIEqaZi9PTz+b6FQKK3jTRSxEAUTW/gfad1yOaWsl4hcB
 ZXTxVFiQH443QrKu6E9+urArqNGhzUaEn4uchRFa8P5CYvkaGaHd9IOrYvkmQg==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id xrThsKSZKzuX; Tue, 30 Mar 2021 12:45:19 +0200 (CEST)
Date: Tue, 30 Mar 2021 12:45:18 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Message-ID: <1019746685.30860.1617101118707@HIDDEN>
In-Reply-To: <YGJdP8INiWzzMSeU@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN> <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.87 / 15.00 / 15.00
X-Rspamd-Queue-Id: EBECE17F6
X-Rspamd-UID: 6f0241
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Just updated for Calibre 5.14.0 released 4 days ago also.

https://notabug.org/Brendan/guix/src/wip-update-calibre




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 30 Mar 2021 06:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 30 02:23:58 2021
Received: from localhost ([127.0.0.1]:50163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lR7nB-0007DC-KH
	for submit <at> debbugs.gnu.org; Tue, 30 Mar 2021 02:23:58 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:47484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lR7n9-0007Cx-BN
 for 42885 <at> debbugs.gnu.org; Tue, 30 Mar 2021 02:23:56 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4F8fXj03BBzQjnZ;
 Tue, 30 Mar 2021 08:23:49 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1617085427;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=zj7l/cvGKb9ssJgpGXoyowqgAjMP1dW5bJj7QSf1tGg=;
 b=FJ95C/tXyNX8m6kN4LScXdeOPJsWWLHuqGsAjgx12PYqh8imYvPo/35QJPqFPe4H3ndSPf
 a/C33dyQZpAORo0N77eBJTC3cG+CpRGyRVBnPNIJGID/bNdNSf4JL+qUQGe5KDmE28wt1T
 qhsVGj/jDZjwQ9z3wvZPvSPZDB6nWY+sn66orvc7WusqpD5UBD4c7O7LPvooGRMMMi2zfu
 BOgQ+Th3ot2YwSUT8TO3EuMaNnh0Pk5GatPE8GaqjajOLtaWYi+4OAiCVUC+0gTy7SGAHm
 J9JlUxEftKju/o3YvFxsQii8xmY8U2JJxT4MVOcimevHA6abyL/sdx/J615hSQ==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id JxVAqorNuY-m; Tue, 30 Mar 2021 08:23:44 +0200 (CEST)
Date: Tue, 30 Mar 2021 08:23:43 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Message-ID: <327102377.27084.1617085423564@HIDDEN>
In-Reply-To: <YGJdP8INiWzzMSeU@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN> <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
 <YGJdP8INiWzzMSeU@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -6.47 / 15.00 / 15.00
X-Rspamd-Queue-Id: AF1BF17F1
X-Rspamd-UID: 56a981
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> On 03/30/2021 1:05 AM Leo Famulari <leo@HIDDEN> wrote:
> 
>  
> On Wed, Mar 24, 2021 at 03:13:26AM +0100, Brendan Tildesley wrote:
> > https://notabug.org/Brendan/guix/src/calibre-5.13.0
> 
> Can you clarify some things about the commit "gnu: python-pyqt: Fix
> build for new python-sip"? First, python-pyqt before applying this
> commit; if it's broken, can you say how?

Me adding python-pyqt-builder here looks like a mistake. I left it
there while experimenting.  When I was Upgrading SIP, I experimented
with switching to the new 'sip-build' tool introduced in SIP 5. SIP
6's main change is to delete obsoleted code, so the old 'python
configure.py' won't work. I never got it working so I just went back
to the old way with SIP 5.  python-pyqt-builder is still needed by
Calibre however.

The only other functional change in this patch is to remove the patch
pyqt-public-sip.patch.  The introduction of python-pyqt5-sip as a
separate module means means that with this patch, the module is not
found at all. Removing it fixes it. I don't understand it in any great
depth but it seems the patch may only really relevant to SIP 4.

> Also, there is a comment "Linking here means the sip module can be found
> without python-pyqt5-sip needing to be added as an input". But,
> python-pyqt5-sip is an input to this package. Can you explain what you
> mean?

Upstream for whatever reason chose to move the sip module part out in
to a separate source package python-pyqt5-sip. It's broken without
removing the pyqt-public-sip.

The linking can be removed, but it would mean for every input that
requires python-pyqt5 as an input, you also need to add
python-pyqt5-sip so the sip module can be found. On a distribution
with a traditional filesystem layout, that would not be necessary, you
just have the -sip module as a dependency to pyqt5 and its then its
available at a global path to be found. On Nix/Guix that doesn't work
so it has to be added every time, or linked in like this. Actually I'm
not sure if there is ever any case where one /doesn't/ need the sip
modules, but they're only 200KiB. The Nix developers chose to just
link it like this so I copied their way. Do you think it's fine?

> I think we should drop the commit "gnu: calibre: Add qtsvg as input.",
> since it adds a dependency but for what seems to be no reason. What do
> you think?

The reason I added qtsvg was to try fix the Qt test. If you remove the
line (setenv "SKIP_QT_BUILD_TEST" "true"), this test fails for
multiple reasons.  One of them was qtsvg missing. Another was the
get_exe_path bit. But a third reason I that its call to printtopdf in
pyqtwebegine returns an empty string instaed of b'Skia/PDF'. I had no
idea how to proceed with fixing that so I left it for now. But at
least fixed the other errors. I assume some SVG related functionality
will fail without it...

> Based on your branch, I've made the following changes and pushed the
> branch at
> <https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-update-calibre>.
> 
> Can you take a look and tell me what you think?
> 
> I squashed the first two commits, so that there is no commit where
> python2-sip fails to build. It's not always easy to avoid intermediate
> breakage in complicated package upgrades like this, but it's worth
> trying. At least, it can improve the utility of `git bisect`.
> 
> I also squashed the "fix veusz" commit into that one, for the same
> reason. And all the rest of the commits that are adjusting to that
> change.
> 
> For the "Fix build for new python-sip" commit, I removed the hardcoding
> of "python3.8" in the 'pyqt5-sip' phase, and instead used the
> python-version procedure.
> 
> I squashed the remaining cleanup-type commits into the Calibre update.
> 
> I pushed the commit 'gnu: python-poppler-qt5: Update to 21.1.0.' as
> 02f664a0a3dd3a936213e687802bdc62f2a10983
> 
> I corrected the license of python-pychm from gpl3 to gpl2+.
> 
> I made many other changes to satisfy `guix lint`, and improved synopses
> and descriptions.

All good I think. My descriptions were much worse than I realised.

python-cchardet differs from in python-chardet in that its not written
/in/ python, but links to a fast C library to do it, but your
description/synopsis changes make it look like its all in
Python. Maybe make the description:
 
"cChardet is a character encoding detector, binding to the C
library uchardet for speed." ?

I fixed another one of my typos 'statical' -> 'statistical', and
removed the python-pyqt-builder input from python-pyqt

https://notabug.org/Brendan/guix/src/wip-update-calibre




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 29 Mar 2021 23:05:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 19:05:48 2021
Received: from localhost ([127.0.0.1]:49834 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lR0xA-0004gI-KB
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 19:05:48 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:54159)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lR0x6-0004g0-7I
 for 42885 <at> debbugs.gnu.org; Mon, 29 Mar 2021 19:05:47 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id D149E5C0150;
 Mon, 29 Mar 2021 19:05:38 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Mon, 29 Mar 2021 19:05:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=xsHd0ako3SHhmS4JJQb5xQx+
 uwjqM4+HIax48xI+2Io=; b=BSlRGr0Rbx1qUhePhfEBaVXHuWJKUDiX4RW8Vl7a
 75m0JdHdXSZ6IvxJKj3KsYonOiMJSAaOGfxfIzzxI6SV2aKWulgoQed6aJPXeQ2G
 OqsA/NHX/miTWtwQstrbgC22VL71e2ArEvw5eb205ptThb3sWf0CWis0Uk9Bnkrf
 tFw=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=xsHd0a
 ko3SHhmS4JJQb5xQx+uwjqM4+HIax48xI+2Io=; b=flVU5iB75g9NiML9HiIe3d
 viMmYAZ1AT55SHK+MpIjUsdohNJU2j/dTK/i13q9DR3ebmi9CDa50rt8SUoYFFhp
 8LG+vFJpzL8SFKgt0OOzfvqqNNLvMWwUPa8U5nzTT2hB6E+Ewue/57WbrvROx7Z+
 iDlLaBOTeKWCGfpTu4RMWpgKmhxj9GkvwQiwoWCZVcEVlNSTC3j0TmppCaTUd3bk
 OWVROoIr2OdzLBYHcVfDYK9IC/C1MHI96tn/7yRkY057QKcrlGzTMk+u9Jptke7N
 /SnorHdp8TPl0EevN65tTCaLnZ+y408yRCafnIa6K/PjO4qXOKqRS3nohygVpjGg
 ==
X-ME-Sender: <xms:Ql1iYJUuqYKyVb-VAOVXS9s9OST5GNmPpG_89p-6ul26HNyNe1cLIA>
 <xme:Ql1iYJnPNBGzQCLiOYBonadvIasEe7LMNyHVos307FbuW3heuZeDwDtwKESgo3xrl
 Djiio-sW6E2hE4oMQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudehledgudekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepheduheejfefhveeikeehffefleektd
 ffieelledvgeefudeghfelffdvieevvdelnecuffhomhgrihhnpehnohhtrggsuhhgrdho
 rhhgpdhgnhhurdhorhhgnecukfhppedutddtrdduuddrudeiledruddukeenucevlhhush
 htvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhl
 rghrihdrnhgrmhgv
X-ME-Proxy: <xmx:Ql1iYFYybMwqkRhXWgM0IO4eiiX0myTkcEs8MaY1XcugItz9_X4Y3g>
 <xmx:Ql1iYMUedn_DLP4XEl1R4dUebXf3MltG0a0j0VWdJO0_ls8pJXihcw>
 <xmx:Ql1iYDncz9S147SQdfvWw8-r0fZVs1JNXKRgYhBH263KC4_WDzTBew>
 <xmx:Ql1iYJT8n3z1JHDMW0TZ3KIieTEoPJWFWuepmtLGLqojqum8GjwtAw>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5C8D824005D;
 Mon, 29 Mar 2021 19:05:38 -0400 (EDT)
Date: Mon, 29 Mar 2021 19:05:35 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YGJdP8INiWzzMSeU@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1277129883.83284.1616552006895@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Mar 24, 2021 at 03:13:26AM +0100, Brendan Tildesley wrote:
> https://notabug.org/Brendan/guix/src/calibre-5.13.0

Can you clarify some things about the commit "gnu: python-pyqt: Fix
build for new python-sip"? First, python-pyqt before applying this
commit; if it's broken, can you say how?

Also, there is a comment "Linking here means the sip module can be found
without python-pyqt5-sip needing to be added as an input". But,
python-pyqt5-sip is an input to this package. Can you explain what you
mean?

I think we should drop the commit "gnu: calibre: Add qtsvg as input.",
since it adds a dependency but for what seems to be no reason. What do
you think?

Based on your branch, I've made the following changes and pushed the
branch at
<https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-update-calibre>.

Can you take a look and tell me what you think?

I squashed the first two commits, so that there is no commit where
python2-sip fails to build. It's not always easy to avoid intermediate
breakage in complicated package upgrades like this, but it's worth
trying. At least, it can improve the utility of `git bisect`.

I also squashed the "fix veusz" commit into that one, for the same
reason. And all the rest of the commits that are adjusting to that
change.

For the "Fix build for new python-sip" commit, I removed the hardcoding
of "python3.8" in the 'pyqt5-sip' phase, and instead used the
python-version procedure.

I squashed the remaining cleanup-type commits into the Calibre update.

I pushed the commit 'gnu: python-poppler-qt5: Update to 21.1.0.' as
02f664a0a3dd3a936213e687802bdc62f2a10983

I corrected the license of python-pychm from gpl3 to gpl2+.

I made many other changes to satisfy `guix lint`, and improved synopses
and descriptions.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 29 Mar 2021 20:12:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 29 16:12:50 2021
Received: from localhost ([127.0.0.1]:49703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lQyFl-0004lj-Sw
	for submit <at> debbugs.gnu.org; Mon, 29 Mar 2021 16:12:50 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:39701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lQyFi-0004lT-JO
 for 42885 <at> debbugs.gnu.org; Mon, 29 Mar 2021 16:12:49 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 8F7D15C0132;
 Mon, 29 Mar 2021 16:12:40 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Mon, 29 Mar 2021 16:12:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=Mcj0RbUohby/13xXbnfl8gUk
 wPMEI7ZTrLLxnQOjvM4=; b=Vr3numgQR7sRE3/vzVEa7gDfwMCKCcFbQ3WhHmWC
 n+5HBJbC0HEGsZ0cKpV+9yqXB5Y450CVk8w+f4F2NjqRSc/30MDGntdwr+4+UVwP
 4veyUg6YjrvqyYeBcJhPCZxXMKJlD/gUYVeh0ZKxSUr92I38qBX4h8LiJyyckoIT
 OW4=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=Mcj0Rb
 Uohby/13xXbnfl8gUkwPMEI7ZTrLLxnQOjvM4=; b=s9MPjp0iPjO317Rvhm6i+b
 SCoKUud/kY1zw8c5Ggtk5NUo4NNCig3xUG7ZOGt2B5ZsQrbNiu+aejfJpcDzJBIP
 5zP7FK6HrBETU5V6qgKEZIkKPMiAvzNWha9VbjKdWhQARPLuzrKsG3zhib77Yuqo
 2fBkHy1HLk6dbicF6UnjA3BPqyj3E9O+rSONtrIbQeZmV+uNycdEJ2codUkRHyA/
 /7PM1nYAD8Cj7P1I7PUrrKcRQ6is1blnuKHddMHpNWSwZCHfvkbthDA14Nqkx1ei
 PJkV+yIaIYC/FjB5sdQ3P2ZFWGISI74JLMCOBxhi9vY17oaltANRELDXab9Fuv7g
 ==
X-ME-Sender: <xms:uDRiYLSAUJoHSKdr-czLdY4gHaBs8jQ044zwqn-cUkA_KTMr9S89iA>
 <xme:uDRiYMygzg247D7BoJWROa_5j61hdHKJZ-JLyxRZT1iM-9Sc1XkH4h_f3GnYa1xdH
 5JPH669ifLuTASoqw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudehkedgudegkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeivdettdeivdfhveejheevffegie
 fgiedttddvveekleeuvefftdefudfhffetvdenucffohhmrghinhepnhhothgrsghughdr
 ohhrghenucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivg
 eptdenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghm
 vg
X-ME-Proxy: <xmx:uDRiYA0X4qB6StZXuzbFU3PzQALayU8-pIFwsCbkKA2ZmIPj5UMK2A>
 <xmx:uDRiYLDq2GvItLXWaOpC9zsOC43ITfqKlR8C9rO_SsVeSMZb5qT7bQ>
 <xmx:uDRiYEjRuQRdrnPIqlFZV3_jX7mF81liN6611uXcPdOZ56mFDU6dBw>
 <xmx:uDRiYCehwX6JKE9v77ylm9-bk9BEl30UWD94snhZcOqFw79RpLeWZQ>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0BFFE24005B;
 Mon, 29 Mar 2021 16:12:40 -0400 (EDT)
Date: Mon, 29 Mar 2021 16:12:37 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YGI0tb5l7DqDl2ml@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
 <YFo1JVG6gvYLz3Bh@HIDDEN>
 <1277129883.83284.1616552006895@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1277129883.83284.1616552006895@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Mar 24, 2021 at 03:13:26AM +0100, Brendan Tildesley wrote:
> https://notabug.org/Brendan/guix/src/calibre-5.13.0
> 
> I fixed the conflict updated to latest master here.
> Also, a minor change, I oved the 
> "gnu: veusz: Fix build"
>  until after 
> "gnu: python-pyqt: Fix build for new python-sip."
> since it doesn't actually work until that ones applied.

Thanks for the updated branch! I'm going through the patches now.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Mar 2021 02:13:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 22:13:44 2021
Received: from localhost ([127.0.0.1]:33514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOt1k-00078x-7M
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 22:13:44 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:62584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lOt1e-00078f-Vv
 for 42885 <at> debbugs.gnu.org; Tue, 23 Mar 2021 22:13:42 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4F4sGh4LrczQjfH;
 Wed, 24 Mar 2021 03:13:32 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1616552010;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=sVmMceK2ap2EHhsoWBlH/dZRNxckprgYS+PhApnuVE0=;
 b=RAvFcXMn7oeQ/X86KGbBUgQCI5RouIKYYpyeP6hXVnbZe3ayrvz37e64rYgyXwAx8AWXKZ
 oY8wc5dtNHzui21eJhqkIa7Dc1RWOjZDLAnV6vSm0xtls7BhgskzwrDhVE5D+d86F/B9dc
 vGe06Mal1wBEqU8Gd4plreW11TWd3Pi6fx0n1oT2vdR4cLZnyl9auH+jBtJj8ORULCl/zF
 +yUMfTozSG0YW4OmBbTEwtn23SJy7jjodNRWDPoFIEqHZ8koumg7VJzqCVFQJUzZokEzSE
 TdjAofgMa4iD29iAPMHIrpHfScE9W9098Qc5018t/z3glKKkvK9bhhpI7ORPNw==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id nt8APt2COiqt; Wed, 24 Mar 2021 03:13:28 +0100 (CET)
Date: Wed, 24 Mar 2021 03:13:26 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Message-ID: <1277129883.83284.1616552006895@HIDDEN>
In-Reply-To: <YFo1JVG6gvYLz3Bh@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN> <YFo1JVG6gvYLz3Bh@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -6.56 / 15.00 / 15.00
X-Rspamd-Queue-Id: 49EC917DF
X-Rspamd-UID: 4aa7f1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


> On 03/23/2021 7:36 PM Leo Famulari <leo@HIDDEN> wrote:
> 
>  
> On Wed, Mar 10, 2021 at 08:00:49PM +1100, Brendan Tildesley wrote:
> > * gnu/packages/ebook.scm (calibre): Update to 5.13.0.
> > 
> > Switch all Python 2 inputs to their Python 3 equivalents.
> 
> Alright, the patches are aleady stale, even at patch 2 of 27.
> 
> To make this easier, can you either put this work online in a Git repo
> somewhere? It's easier to clone a repo with a custom branch to rebase
> the patches.
> 
> Alternatively, can you say which older Guix Git commit these patches
> apply to?
> 
> Thansk!

https://notabug.org/Brendan/guix/src/calibre-5.13.0

I fixed the conflict updated to latest master here.
Also, a minor change, I oved the 
"gnu: veusz: Fix build"
 until after 
"gnu: python-pyqt: Fix build for new python-sip."
since it doesn't actually work until that ones applied.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 23 Mar 2021 18:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 14:36:31 2021
Received: from localhost ([127.0.0.1]:32986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOltH-0006Rq-B2
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 14:36:31 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:52251)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lOltF-0006Rb-A2
 for 42885 <at> debbugs.gnu.org; Tue, 23 Mar 2021 14:36:30 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id D900C5C00A9;
 Tue, 23 Mar 2021 14:36:23 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Tue, 23 Mar 2021 14:36:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=AlH+eoNZpCv897rLYH8ScJMw
 +pcSKp8Z9plHldDRg/g=; b=coNJNMQO3IpjVGyrjlw8PMftFfpnaI1iWRRygatw
 acoccTnIBbDPMuI8v3pbdAmMGaq4CVyO/NCtB7muZhAo+epIl/PC82ejUCTL+kVV
 ZiwXcDSxG/I6nWBqN1tX5I31vzQ+oWXbhUSnEEh69zPM2MSJs4b64Zz0eTTixFCz
 6Oo=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=AlH+eo
 NZpCv897rLYH8ScJMw+pcSKp8Z9plHldDRg/g=; b=qpEzXe0vRchJCJCjbdPPFM
 uR+y4eBv/LZA3o+rjOFpO1rdL41eYrN/sd6G1HhbvbjfSC8JsYuktzT28ZXXQPq7
 tOf+2k/zArqTFC8CQTf44P5u3NnQBMMDTJoslJVMlnvV52FyTJ6TutavMozknihi
 /P/nXqRW0E18Hg8xDzcItNx8qy/jdkO6kK/00cZ4R+mn/dOvZ8BoVS/1G9IZzjJ7
 TGJXne2cfJqc/TsQZpAA3fb/CgYXBRIBCEkpfwYRRZAxxFqw+pef2BDoGC4V74sf
 JmDb/G45W8JfUn2Ndl+VZT4+QGjeaXOJoNYxMJupRnUvgjaPCVREpWJoeaPQSjvQ
 ==
X-ME-Sender: <xms:JzVaYM1VJyjemTL7CRX5N3fTJ97F149o31xsGCve5a6arZLO5Nhk0A>
 <xme:JzVaYHHSx5ZDCgoi_mFMpccS7XDvX7OHJ0IBhdKbQzMTogtxAtV0j3Xy1vNPGk0Mv
 kpzTFTSa2Y_nvfgyw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudegiedgudduhecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeukeektdffvddtudegjeegtdevhf
 eufeeivdejiedtieegtdevjedvjeehffevgfenucfkphepuddttddruddurdduieelrddu
 udeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:JzVaYE54sq9Y_TvGKVv7IUeYWU1gBBElvUOkIhERJY_1mQg4wVG3Gg>
 <xmx:JzVaYF253vcSz9beyiBa7FDtYvGIXtn6TF0PL1XVTwqZIrygk-4l7A>
 <xmx:JzVaYPE-Xmgg9qq88-CbceP0WZGJKtOgSRIVPWqgloKMamfQ0E00XA>
 <xmx:JzVaYGyCj5Rg2YYywL0BbKAhF_-ZF0UEfsG6eYLAa8CMdro3-wRKqQ>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1264D24041D;
 Tue, 23 Mar 2021 14:36:23 -0400 (EDT)
Date: Tue, 23 Mar 2021 14:36:21 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YFo1JVG6gvYLz3Bh@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20210310090053.21612-23-mail@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Mar 10, 2021 at 08:00:49PM +1100, Brendan Tildesley wrote:
> * gnu/packages/ebook.scm (calibre): Update to 5.13.0.
> 
> Switch all Python 2 inputs to their Python 3 equivalents.

Alright, the patches are aleady stale, even at patch 2 of 27.

To make this easier, can you either put this work online in a Git repo
somewhere? It's easier to clone a repo with a custom branch to rebase
the patches.

Alternatively, can you say which older Guix Git commit these patches
apply to?

Thansk!




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 23 Mar 2021 18:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 23 14:25:13 2021
Received: from localhost ([127.0.0.1]:32975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lOliL-0006B0-6x
	for submit <at> debbugs.gnu.org; Tue, 23 Mar 2021 14:25:13 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:58185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lOliJ-0006Ai-HR
 for 42885 <at> debbugs.gnu.org; Tue, 23 Mar 2021 14:25:12 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 5E2E05C0117;
 Tue, 23 Mar 2021 14:25:06 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Tue, 23 Mar 2021 14:25:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=BeevtJh7Fl1QYEmFUoXg1JRA
 7XONP2PfCUJ3oogGcps=; b=goyAZTCC+mvDE8jD/f6o4TTE1n6GXfCJg1DlmLG9
 JHhA4akhzdZ4PR3cfqXPX39AzAAsJPfF82zkzPV0Jh2xRtVARrFm7fNlB3PS2bj9
 VlaBROtv5J99gnFzIDAU+6X8Jq8ZZBgiIoXaWF89QUjT84m0cwEcXyQ3Wk1KHgRE
 P5Q=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=BeevtJ
 h7Fl1QYEmFUoXg1JRA7XONP2PfCUJ3oogGcps=; b=CpEP29CCc66yYQWhBlxngi
 +Ac7yC351a1M/FxqXh790WFfD3h/vdrdcDzBt+8wmgFFep0LAFROK/mkWuuCF6+B
 jVvzXUmyAuPltJvrY1eq6sA12IgEs9bDuFcbtmTnA5ZFhfhe6dW21HzPzm+Ryy80
 6rCdbEN4LlR5q7RBwvDtOLyB36YFT6Am1s6+17lFOEOFa5GesWUhSW3kPXijE3p1
 F6ff/JB5r+KEuDP80y5XxNM+H0CCZ2GNa+JETB258PlILw6uTqbBYV6dw0hb5di2
 PBj3buKf9C/iTXmJ7jTeTgbqiR0w9J9Cq51VTx/Q/lyUk8XGuQxpwamLlVJxs/Tw
 ==
X-ME-Sender: <xms:gTJaYPkGeZo8GbaWqy2lDR_yUQo9erOjNXtAqCgo9KMI9zXUdZXbxw>
 <xme:gTJaYC3KTSXmTTyCMJZUweMyMudtZoX6RAJB1_MWTQ7FtzBMZoc8PS-QP10BBF6Zl
 w0MyrgY6ZJRIJVehQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudegiedguddufecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeukeektdffvddtudegjeegtdevhf
 eufeeivdejiedtieegtdevjedvjeehffevgfenucfkphepuddttddruddurdduieelrddu
 udeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:gTJaYFrbnyTqZ3NEAT8pLXTlyowROQZVikiETcYU1l9J4YUxY1UYKw>
 <xmx:gTJaYHmt_r7yNtaVSScHkhzRMtjASPhG3Z6BGoGObYq6UmzoWgbCoQ>
 <xmx:gTJaYN1WGjjv8tYQiRAF9diSTQ7LyZhtqwja9IxbG7DM0EErT7znYQ>
 <xmx:gjJaYKg13rpehrfty4OtibZfH758cb6jyYACSjBQwmtyM29GMkI2gA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7EE4A108005C;
 Tue, 23 Mar 2021 14:25:05 -0400 (EDT)
Date: Tue, 23 Mar 2021 14:25:04 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Message-ID: <YFoygJeaOkQ7D/tm@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
 <20210310090053.21612-23-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20210310090053.21612-23-mail@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Mar 10, 2021 at 08:00:49PM +1100, Brendan Tildesley wrote:
> * gnu/packages/ebook.scm (calibre): Update to 5.13.0.
> 
> Switch all Python 2 inputs to their Python 3 equivalents.

Thanks a lot for working on this! I'm going to start reviewing / pushing
patches today.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 21 Mar 2021 10:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 21 06:26:36 2021
Received: from localhost ([127.0.0.1]:53592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lNvI3-0002jZ-IF
	for submit <at> debbugs.gnu.org; Sun, 21 Mar 2021 06:26:36 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:30684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <btild@HIDDEN>) id 1lNs4X-000405-NH
 for 42885 <at> debbugs.gnu.org; Sun, 21 Mar 2021 03:00:28 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4F37mz2XfXzQjjG
 for <42885 <at> debbugs.gnu.org>; Sun, 21 Mar 2021 08:00:19 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mailbox.org; h=
 content-type:content-type:mime-version:subject:subject
 :message-id:from:from:date:date:received; s=mail20150812; t=
 1616310015; bh=TLHsW0NqrmyaiHyCPmsYtpOvhPA5QV64vE0T/BpfMEE=; b=P
 ll06iMSrnUSss0xM9aG49tSrZGgx5t59UA+smpfv46nPLx0xfqrEtPTPTbTZ+HqN
 ELZvlbIR2lh0M4U5et+e9A97d3TUcaDTLtEsHR9iGzpqjmyGV2N2EKpfUnNfGY1E
 uEduxTfXIZXFtmaKFNK6MZfrwyR/kcYqY8lH6O3GH1/7qAcu4yAaDcJzQ5io/QXl
 FqBgMfqlvP/2TagThHyeVqij1czrr7rTWrddjpk8ch4MuJGW4B3PedX5wcv2DohE
 WGB9gTI/W+9mPOUV/7QUnEiF5MAg3RlX9TdIemuA+1zvQR0keO2mpoRVjvcGMJSC
 49sldw8bHG3BIZr4wJ5WQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mailbox.org;
 s=mail20150812; t=1616310017;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=04FKueiK72rJeYySvKC0zUTuRUlhGucWoS+EOBuoNnY=;
 b=JtQwGz+CHIqEbP72iMDZab9xPpxkwbdigdQhhP1dXvs75FsKGAeQvZt7meHGt3kXbTsoLm
 04ozkHcDoZJASqa0yjsPKSNCdNuoI0OyxZpsALaTHFMxZXOK3ZreX5q/1ItiqMjaZWbyC5
 QKmcOaegkup/Cs8+iwYs1I7MgtKaBdM4wXjyTAoyIGszmeLa2Yfx/+fZXip4ODAr9Z8I3m
 Z+mLMHadb2m95uJBfqCsb5ytCovjygb7F1u2fxr6wsvQmUWfYn049+zR2AgV3jjLQ874rc
 Wet0tkJsFr6I+OE01f5Kik7GmNLYoeDlVXzMN1RMoLfFAakukCCgCVN2ZSSxBA==
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id HfYEQH04fxbx for <42885 <at> debbugs.gnu.org>;
 Sun, 21 Mar 2021 08:00:15 +0100 (CET)
Date: Sun, 21 Mar 2021 08:00:15 +0100 (CET)
From: Brendan Tildesley <btild@HIDDEN>
To: "42885 <at> debbugs.gnu.org" <42885 <at> debbugs.gnu.org>
Message-ID: <2053979569.43243.1616310015760@HIDDEN>
Subject: [PATCHES] 2 more fixes.
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_43241_773115833.1616310015661"
X-Priority: 3
Importance: Normal
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -4.79 / 15.00 / 15.00
X-Rspamd-Queue-Id: 24E291404
X-Rspamd-UID: 8601a9
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-Mailman-Approved-At: Sun, 21 Mar 2021 06:26:34 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------=_Part_43241_773115833.1616310015661
Content-Type: multipart/alternative; 
	boundary="----=_Part_43242_930431243.1616310015661"

------=_Part_43242_930431243.1616310015661
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

These two patches go after the last 27 patches, fixing up some mistakes I made earlier.

------=_Part_43242_930431243.1616310015661
MIME-Version: 1.0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<!doctype html>
<html>
 <head> 
  <meta charset="UTF-8"> 
 </head>
 <body>
  <div style="" class="default-style">
   These two patches go after the last 27 patches, fixing up some mistakes I made earlier.
   <br>
  </div>
 </body>
</html>
------=_Part_43242_930431243.1616310015661--

------=_Part_43241_773115833.1616310015661
Content-Type: text/x-patch; charset=ISO-8859-1;
 name=0001-gnu-calibre-Don-t-install-junk-temporary-files.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename=0001-gnu-calibre-Don-t-install-junk-temporary-files.patch
X-Part-Id: f8e38efc406444a98faba62c6593177f

RnJvbSBhMjIyNTkyYzA4OTA5YjY3ZmYyMzM0ZjYxN2E3YjI3M2NjNWFiMDgyIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBCcmVuZGFuIFRpbGRlc2xleSA8bWFpbEBicmVuZGFuLnNjb3Q+
CkRhdGU6IFNhdCwgMjAgTWFyIDIwMjEgMjE6Mjg6MjIgKzExMDAKU3ViamVjdDogW1BBVENIIDEv
Ml0gZ251OiBjYWxpYnJlOiBEb24ndCBpbnN0YWxsIGp1bmsgdGVtcG9yYXJ5IGZpbGVzLgoKKiBn
bnUvcGFja2FnZXMvZWJvb2suc2NtIChjYWxpYnJlKToKW2FyZ3VtZW50c106IFVuc2V0IFhER19E
QVRBX0hPTUUganVzdCBmb3IgaW5zdGFsbGluZyByYXB5ZHNjcmlwdCBzbyB0aGF0ClF0d2ViZW5n
aW5lIHRlbXBvcmFyeSBmaWxlcyBhcmVuJ3QgcHV0IGluIC9zaGFyZS8uIE1vdmluZyB0aGUgcGhh
c2UKdW50aWwgYWZ0ZXIgdGhlIGluc3RhbGwgcGhhc2UgcHJldmVudHMgYnJlYWtpbmcgLmRlc2t0
b3AgZmlsZSBpbnN0YWxsYXRpb24uCi0tLQogZ251L3BhY2thZ2VzL2Vib29rLnNjbSB8IDQgKysr
LQogMSBmaWxlIGNoYW5nZWQsIDMgaW5zZXJ0aW9ucygrKSwgMSBkZWxldGlvbigtKQoKZGlmZiAt
LWdpdCBhL2dudS9wYWNrYWdlcy9lYm9vay5zY20gYi9nbnUvcGFja2FnZXMvZWJvb2suc2NtCmlu
ZGV4IDI1YTMxYzlhNjUuLmI1NWFmNWM4NjUgMTAwNjQ0Ci0tLSBhL2dudS9wYWNrYWdlcy9lYm9v
ay5zY20KKysrIGIvZ251L3BhY2thZ2VzL2Vib29rLnNjbQpAQCAtMjgyLDggKzI4MiwxMCBAQCBz
aXAtaW5jbHVkZS1kaXJzID0gW1wiIiBweXF0ICIvc2hhcmUvc2lwIiAiXCJdIikpKQogICAgICAg
ICAgICAgICA7OyBBc3NlcnRpb25FcnJvcjogYidTa2lhL1BERicgbm90IGZvdW5kIGluIGInJyA6
IFByaW50IHRvIFBERiBmYWlsZWQKICAgICAgICAgICAgICAgKHNldGVudiAiU0tJUF9RVF9CVUlM
RF9URVNUIiAidHJ1ZSIpCiAgICAgICAgICAgICAgICN0KSkpCi0gICAgICAgICAoYWRkLWFmdGVy
ICdidWlsZCAnYnVpbGQtZXh0cmEKKyAgICAgICAgIChhZGQtYWZ0ZXIgJ2luc3RhbGwgJ2luc3Rh
bGwtcmFweWRzY3JpcHQKICAgICAgICAgICAgKGxhbWJkYSogKCM6a2V5IGlucHV0cyAjOmFsbG93
LW90aGVyLWtleXMpCisgICAgICAgICAgICAgIDs7IFVuc2V0IHNvIFF0V2ViZW5naW5lIGRvZXNu
J3QgZHVtcCB0ZW1wb3JhcnkgZmlsZXMgaGVyZS4KKyAgICAgICAgICAgICAodW5zZXRlbnYgIlhE
R19EQVRBX0hPTUUiKQogICAgICAgICAgICAgIChpbnZva2UgInB5dGhvbiIgInNldHVwLnB5IiAi
cmFweWRzY3JpcHQiKQogICAgICAgICAgICAgICN0KSkKICAgICAgICAgIChhZGQtYWZ0ZXIgJ2lu
c3RhbGwgJ2luc3RhbGwtbWFuLXBhZ2VzCi0tIAoyLjMwLjIKCg==
------=_Part_43241_773115833.1616310015661
Content-Type: text/x-patch; charset=ISO-8859-1;
 name=0002-gnu-calibre-Don-t-delete-needed-files.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename=0002-gnu-calibre-Don-t-delete-needed-files.patch
X-Part-Id: 9628c7620eb84c2996398ff06780bf39

RnJvbSBmOGZlNDYyNTZjYmZlMjExYjFiYmJiNjI0NjUxY2ZjNWIyNjFlZTMyIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBCcmVuZGFuIFRpbGRlc2xleSA8bWFpbEBicmVuZGFuLnNjb3Q+
CkRhdGU6IFN1biwgMjEgTWFyIDIwMjEgMTc6MTg6MTMgKzExMDAKU3ViamVjdDogW1BBVENIIDIv
Ml0gZ251OiBjYWxpYnJlOiBEb24ndCBkZWxldGUgbmVlZGVkIGZpbGVzLgoKKiBnbnUvcGFja2Fn
ZXMvZWJvb2suc2NtIChjYWxpYnJlKVtzbmlwcGV0XTogRG9uJ3QgZGVsZXRlIHZpZXdlci5qcwpz
aW5jZSBpdCdzIGFjdHVhbGx5IHVzZWQgYnkgdGhlIGh0bWwgcmVhZGVyLgotLS0KIGdudS9wYWNr
YWdlcy9lYm9vay5zY20gfCAyIC0tCiAxIGZpbGUgY2hhbmdlZCwgMiBkZWxldGlvbnMoLSkKCmRp
ZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvZWJvb2suc2NtIGIvZ251L3BhY2thZ2VzL2Vib29rLnNj
bQppbmRleCBiNTVhZjVjODY1Li42ZmI1MjVhMmMyIDEwMDY0NAotLS0gYS9nbnUvcGFja2FnZXMv
ZWJvb2suc2NtCisrKyBiL2dudS9wYWNrYWdlcy9lYm9vay5zY20KQEAgLTEzNiw4ICsxMzYsNiBA
QAogICAgICAgICAgICAgICAgICIiKSkKIAogICAgICAgICAgICAgIDs7IFJlbW92ZSB1bm5lZWRl
ZCByZXNvdXJjZXMuCi0gICAgICAgICAgICAgKGRlbGV0ZS1maWxlICJyZXNvdXJjZXMvdmlld2Vy
LmpzIikKLSAgICAgICAgICAgICAoZGVsZXRlLWZpbGUgInJlc291cmNlcy92aWV3ZXIuaHRtbCIp
CiAgICAgICAgICAgICAgKGRlbGV0ZS1maWxlICJyZXNvdXJjZXMvbW96aWxsYS1jYS1jZXJ0cy5w
ZW0iKQogICAgICAgICAgICAgIChkZWxldGUtZmlsZSAicmVzb3VyY2VzL2NhbGlicmUtcG9ydGFi
bGUuYmF0IikKICAgICAgICAgICAgICAoZGVsZXRlLWZpbGUgInJlc291cmNlcy9jYWxpYnJlLXBv
cnRhYmxlLnNoIikKLS0gCjIuMzAuMgoK
------=_Part_43241_773115833.1616310015661--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:02:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:02:17 2021
Received: from localhost ([127.0.0.1]:48736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJujR-0004AJ-Cx
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:17 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:16000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJujD-00045q-JJ
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:16 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwR0Q12hdzQjhF
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:58 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366916;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=S3P9Zzn+Nlia1pW3G8lVBh3WW9ueZP06M2S6mLiAIbc=;
 b=h0sIiE+CPnPhsux/6sjMDP2zH4IjBM+4Q1eG4SEO6yPZVsXAiexKnZ73gcy3B/WpLMwqqB
 jtVgP21bUvDKKFFzXP01pVVSV0NMXiuU5GvlB83gcUcHi/sH6vjpMPOy+ur2WtutPUHhYz
 6GMd1951KCnKMfOzTzfyVC85Z5hpHvPnvuzyUa9zW0guJ0w6Q8gjGepiKKI72eraPngBA3
 LzdGDH0h2dU4SBk/tqip3ajwkkHGK9arKud53u2+4tM17IHGsEg68SuoxNu8jTS8E/TCs2
 K8lG0ThYX1OVdQ4QV8M8TAI/ld/s2kVwdV3RSB5Eu+iJKWa+560fFk0yfbkY/w==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id QzbgBnVt2PCx for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:55 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 27/27] gnu: Remove python2-pyqt.
Date: Wed, 10 Mar 2021 20:00:53 +1100
Message-Id: <20210310090053.21612-27-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: ***
X-Rspamd-Score: 3.48 / 15.00 / 15.00
X-Rspamd-Queue-Id: 26AC11868
X-Rspamd-UID: 43d290
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python2-pyqt): Delete unused variable.
---
 gnu/packages/qt.scm | 14 --------------
 1 file changed, 14 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index ad779940e9..872cb40305 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2275,20 +2275,6 @@ itself.")
     (inputs
      (alist-delete "qtwebkit" (package-inputs python-pyqt)))))
 
-(define-public python2-pyqt
-  (package (inherit python-pyqt)
-    (name "python2-pyqt")
-    (propagated-inputs
-     `(("python-enum34" ,python2-enum34)
-       ("python-sip" ,python2-sip)))
-    (native-inputs
-     `(("python-sip" ,python2-sip)
-       ("qtbase" ,qtbase)))
-    (inputs
-     `(("python" ,python-2)
-       ("python2-enum34" ,python2-enum34)
-       ,@(alist-delete "python" (package-inputs python-pyqt))))))
-
 (define-public python2-pyqt-4
   (package (inherit python-pyqt)
     (name "python2-pyqt")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:02:14 2021
Received: from localhost ([127.0.0.1]:48731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJujN-00049o-Sx
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:14 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJujB-00045Z-S0
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:02 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwR0N2yQkzQjll
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:56 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366914;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=QyB9TwsnYmIZazb3u3b7curavOV3EpF2ypt4TrNjYFg=;
 b=Y6n2jUuXeb6Q0DRzcYGW1yWtzKmkpcLXybKZ831AjA96OBikkDV8eygDMjZTMxSot0EYTI
 92vBSJciYuBXOKNjULCI8sxr+mfBKF5Hr1MGE9jFbcMuUDHjEtMfsW+/iU6PNFjiIvYhfq
 3BW58b/ruVtdJHO0gZ5V6ouZuLIxUc8B1JtxjbrZV1GPgo5VvdZSohlZ1tVpCeSM5mm+5n
 Nu6+AtOmOmuIe9JwzxlwMQLkdmAbWXsImuIX4qFoi+IpMoKrL013bQrkGRRxR8kHY4KQYz
 HB250p2tVbvtn5VAlMzbBQihWuqCpCcCkpjTghCPjDPVDhBS8ojKspb5JaRQsw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id fh5hCI4tqddx for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:53 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 26/27] gnu: Remove python2-pyqtwebengine.
Date: Wed, 10 Mar 2021 20:00:52 +1100
Message-Id: <20210310090053.21612-26-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: ***
X-Rspamd-Score: 3.48 / 15.00 / 15.00
X-Rspamd-Queue-Id: 765421860
X-Rspamd-UID: 69f8c0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python2-pyqtwebengine): Delete unused variable.
---
 gnu/packages/qt.scm | 19 -------------------
 1 file changed, 19 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index b615a74755..ad779940e9 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2289,25 +2289,6 @@ itself.")
        ("python2-enum34" ,python2-enum34)
        ,@(alist-delete "python" (package-inputs python-pyqt))))))
 
-(define-public python2-pyqtwebengine
-  (package/inherit
-   python-pyqtwebengine
-   (name "python2-pyqtwebengine")
-   (native-inputs
-    `(("python" ,python-2)
-      ("python-sip" ,python2-sip)
-      ;; qtbase is required for qmake
-      ("qtbase" ,qtbase)))
-   (inputs
-    `(("python" ,python-2)
-      ("python-sip" ,python2-sip)
-      ("python-pyqt" ,python2-pyqt)
-      ("qtbase" ,qtbase)
-      ("qtsvg" ,qtsvg)
-      ("qtdeclarative" ,qtdeclarative)
-      ("qtwebchannel" ,qtwebchannel)
-      ("qtwebengine" ,qtwebengine)))))
-
 (define-public python2-pyqt-4
   (package (inherit python-pyqt)
     (name "python2-pyqt")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:02:13 2021
Received: from localhost ([127.0.0.1]:48729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJujN-00049h-EF
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:13 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJujA-00045L-24
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:00 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwR0L4R2nzQjx3
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:54 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366912;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Yl78fo0vVjw8VMnM4pkH37n7jDptDTKMlka0QbC2HfM=;
 b=zvoWcl8XEOpRkMu8uTVtLjJ5cxSGTsyPpy5zr40TR2Lja7DXn40+50BzwXbqiSLAqfietL
 o446I/gw0EGqiayaJZTNFVKqV8Ja7NQspA77WbS4Ce7enhHLOpx0BiOTbhM8QN4+qAVjQP
 NMfHKZoNRleOzMpY+Jxyt2Cp+1IZdcwD3bvifja7Q4dGqtOYQx1ZV9qS/gMu/t2kkFV0KP
 yttuJqTwW8BgPlGYkBIisnN6Wu5fJy73C2q8Tr7fMABqKRVWS47HZDlnp1VYhFvW39+zvJ
 RHqtWfQwNJ14Trn0JY+PRZJ45VveQjfmsk4JxdtGoDTJflkdPWebBganXF1FGA==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id 9ORGP1KeoS-7 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:51 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 25/27] gnu: calibre: Add qtsvg as input.
Date: Wed, 10 Mar 2021 20:00:51 +1100
Message-Id: <20210310090053.21612-25-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: A6FAF1879
X-Rspamd-UID: f01001
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (calibre):[inputs]: Add qtsvg as an input.

This fixes part of the broken qt test, but not all. It still fails
printing to pdf.
---
 gnu/packages/ebook.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index be367a5245..25a31c9a65 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -199,6 +199,7 @@
        ("python-regex" ,python-regex)
        ("python-speechd" ,speech-dispatcher)
        ("python-zeroconf" ,python-zeroconf)
+       ("qtsvg" ,qtsvg)
        ("qtwebengine" ,qtwebengine)
        ("sqlite" ,sqlite)))
     (arguments
@@ -277,9 +278,8 @@ sip-include-dirs = [\"" pyqt "/share/sip" "\"]")))
               ;; This informs the tests we are a continuous integration
               ;; environment and thus have no networking.
               (setenv "CI" "true")
-              ;; The Qt test complains about being unable to load all image plugins, and I
-              ;; notice the available plugins list it shows lacks 'svg'. Adding qtsvg doesn't
-              ;; fix it, so I'm not sure how to fix it.  TODO: Fix test and remove this.
+              ;; The Qt test fails at printing to pdf:
+              ;; AssertionError: b'Skia/PDF' not found in b'' : Print to PDF failed
               (setenv "SKIP_QT_BUILD_TEST" "true")
               #t)))
          (add-after 'build 'build-extra
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:02:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:02:13 2021
Received: from localhost ([127.0.0.1]:48704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJujC-00046e-A8
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:13 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuj7-000458-Mu
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:59 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwR0J1v1pzQjx2
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:52 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366910;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=yL94i1qaCE9EyEAB3jX1qpJxNdF3s8a0o1akeTj4exc=;
 b=JXe6z6hTTb06Rg/u+sdnpUW9W4vftx6Y3xWSQGFfRQC2gVM0zVggha1ZfzcCbUDsaeMEMA
 dJC7pfO2YBI/Ry3a53A+F3+3KCl1RzRA18YXWD8QNZFDz+JQgmym49zVmVBaUzID+F0Z/U
 ZAZz/E7WbKdTbp2WekGQE5YkqHjK4GmTFlA6yu+kKSQS5nT8y2gE8S8Uq3rYht4oZQWBkD
 uMk7hpg3IT5Ui73T61ggqDDn/sS0YC36Aq3wpp1huHnebMN4H3hyL0Aa9rdPvt1Ook/7je
 a2YdxrjLpO7KD+ira4igrhOzOV9WzYieE7WmZ9CU3SPDXqplY/yfS+wueZUVyw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id X1h3WiDA2YBt for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:48 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 23/27] gnu: calibre: Update to 5.13.0.
Date: Wed, 10 Mar 2021 20:00:49 +1100
Message-Id: <20210310090053.21612-23-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -14.19 / 15.00 / 15.00
X-Rspamd-Queue-Id: 439CD17CB
X-Rspamd-UID: bacb47
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ebook.scm (calibre): Update to 5.13.0.

Switch all Python 2 inputs to their Python 3 equivalents.

[native-inputs]: Add new dependency python-pyqt-builder.

[inputs]: Remove js-mathmax. Calibre now uses a newer mathjax that we
don't have in guix since it's needs a javascript bootstrap.
Remove python-chardet. This is still used by python-html5lib but since
 I added the input directly to python-htmpl5lib, it is no longer needed
 here.
Remove chmlib. python-chmlib bindings are used now.
Remove python-sip
Add new dependencies:
  - python-cchardet
  - python-speechd
  - python-zeroconf
  - python-py7zr
  - python-pychm
  - python-pycryptodome (Used by some Calibre extensions)

[arguments]: get_sip_dir isn't used anymore, so now we specify the sip
directory by editing the project.toml file. Also, for whatever reason,
it doesn't build unless the WS_X11 tag is set.
Don't try building mathjax support.
Don't set SIP_BIN anymore since it isn't needed.

* gnu/packages/patches/calibre-no-updates-dialog.patch
* gnu/packages/patches/calibre-remove-test-sqlite.patch
* gnu/packages/patches/calibre-remove-test-unrar.patch
Remake these patches to work with the slightly different new source
code.

startars
---
 gnu/packages/ebook.scm                        | 101 +++++++++---------
 .../patches/calibre-no-updates-dialog.patch   |  22 ++--
 .../patches/calibre-remove-test-sqlite.patch  |  21 ++--
 .../patches/calibre-remove-test-unrar.patch   |  24 ++---
 4 files changed, 88 insertions(+), 80 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index 763e3eba2b..124fcda4df 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2015, 2016 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright © 2016, 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2016, 2017 Alex Griffin <a@HIDDEN>
-;;; Copyright © 2017, 2019, 2020 Brendan Tildesley <mail@HIDDEN>
+;;; Copyright © 2017, 2019, 2020, 2021 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2018, 2019, 2020 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <mbakke@HIDDEN>
@@ -58,10 +58,14 @@
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
+  #:use-module (gnu packages python-compression)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-web)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages serialization)
+  #:use-module (gnu packages speech)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
@@ -111,7 +115,7 @@
 (define-public calibre
   (package
     (name "calibre")
-    (version "4.18.0")
+    (version "5.13.0")
     (source
       (origin
         (method url-fetch)
@@ -120,7 +124,7 @@
                             version ".tar.xz"))
         (sha256
          (base32
-          "0w9pcfvskjh4v00vjw3i6hzrafy863pgsmmqdx4lffip3p856brw"))
+          "08sljr5rg5f5i1s92g2li5f63mw458b8w5drgcxjm4k62rkl0c8q"))
         (modules '((guix build utils)))
         (snippet
           '(begin
@@ -145,17 +149,16 @@
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ("qtbase" ,qtbase) ; for qmake
-       ("python2-flake8" ,python2-flake8)
+       ("python-flake8" ,python-flake8)
+       ("python-pyqt-builder" ,python-pyqt-builder)
        ("xdg-utils" ,xdg-utils)))
     (inputs
-     `(("chmlib" ,chmlib)
-       ("fontconfig" ,fontconfig)
+     `(("fontconfig" ,fontconfig)
        ("font-liberation" ,font-liberation)
        ("glib" ,glib)
        ("hunspell" ,hunspell)
        ("hyphen" ,hyphen)
        ("icu4c" ,icu4c)
-       ("js-mathjax" ,js-mathjax)
        ("libmtp" ,libmtp)
        ("libpng" ,libpng)
        ("libusb" ,libusb)
@@ -163,39 +166,41 @@
        ("optipng" ,optipng)
        ("podofo" ,podofo)
        ("poppler" ,poppler)
-       ("python" ,python-2)
-       ("python2-apsw" ,python2-apsw)
-       ("python2-beautifulsoup4" ,python2-beautifulsoup4)
-       ("python2-chardet" ,python2-chardet)
-       ("python2-cssselect" ,python2-cssselect)
-       ("python2-css-parser" ,python2-css-parser)
-       ("python2-dateutil" ,python2-dateutil)
-       ("python2-dbus" ,python2-dbus)
-       ("python2-dnspython" ,python2-dnspython-1.16)
-       ("python2-dukpy" ,python2-dukpy)
-       ("python2-feedparser" ,python2-feedparser)
-       ("python2-html2text" ,python2-html2text)
-       ("python2-html5-parser" ,python2-html5-parser)
-       ("python2-html5lib" ,python2-html5lib)
-       ("python2-lxml" ,python2-lxml)
-       ("python2-markdown" ,python2-markdown)
-       ("python2-mechanize" ,python2-mechanize)
-       ;; python2-msgpack is needed for the network content server to work.
-       ("python2-msgpack" ,python2-msgpack)
-       ("python2-netifaces" ,python2-netifaces)
-       ("python2-odfpy" ,python2-odfpy)
-       ("python2-pillow" ,python2-pillow)
-       ("python2-psutil" ,python2-psutil)
-       ("python2-pygments" ,python2-pygments)
-       ("python2-pyqtwebengine" ,python2-pyqtwebengine)
-       ("python2-pyqt" ,python2-pyqt)
-       ("python2-sip" ,python2-sip)
-       ("python2-regex" ,python2-regex)
+       ("python-apsw" ,python-apsw)
+       ("python-beautifulsoup4" ,python-beautifulsoup4)
+       ("python-cchardet" ,python-cchardet)
+       ("python-css-parser" ,python-css-parser)
+       ("python-cssselect" ,python-cssselect)
+       ("python-dateutil" ,python-dateutil)
+       ("python-dbus" ,python-dbus)
+       ("python-dnspython" ,python-dnspython-1.16)
+       ("python-dukpy" ,python-dukpy)
+       ("python-feedparser" ,python-feedparser)
+       ("python-html2text" ,python-html2text)
+       ("python-html5-parser" ,python-html5-parser)
+       ("python-html5lib" ,python-html5lib)
+       ("python-lxml" ,python-lxml)
+       ("python-markdown" ,python-markdown)
+       ("python-mechanize" ,python-mechanize)
+       ;; python-msgpack is needed for the network content server to work.
+       ("python-msgpack" ,python-msgpack)
+       ("python-netifaces" ,python-netifaces)
+       ("python-odfpy" ,python-odfpy)
+       ("python-pillow" ,python-pillow)
+       ("python-psutil" ,python-psutil)
+       ("python-py7zr" ,python-py7zr)
+       ("python-pychm" ,python-pychm)
+       ("python-pycryptodome" ,python-pycryptodome)
+       ("python-pygments" ,python-pygments)
+       ("python-pyqt" ,python-pyqt)
+       ("python-pyqtwebengine" ,python-pyqtwebengine)
+       ("python-regex" ,python-regex)
+       ("python-speechd" ,speech-dispatcher)
+       ("python-zeroconf" ,python-zeroconf)
        ("qtwebengine" ,qtwebengine)
        ("sqlite" ,sqlite)))
     (arguments
-     `(#:python ,python-2
-       ;; Calibre is using setuptools by itself, but the setup.py is not
+     `(;; Calibre is using setuptools by itself, but the setup.py is not
        ;; compatible with the shim wrapper (taken from pip) we are using.
        #:use-setuptools? #f
        #:phases
@@ -227,13 +232,16 @@
          (add-before 'build 'configure
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (let ((podofo (assoc-ref inputs "podofo"))
-                  (pyqt (assoc-ref inputs "python2-pyqt"))
-                  (python-sip (assoc-ref inputs "python2-sip"))
+                  (pyqt (assoc-ref inputs "python-pyqt"))
+                  (python-sip (assoc-ref inputs "python-sip"))
                   (out (assoc-ref outputs "out")))
-              (substitute* "setup/build_environment.py"
-                (("= get_sip_dir\\(\\)")
-                 (string-append "= '" pyqt "/share/sip'")))
-
+              (substitute* "setup/build.py"
+                (("\\[tool.sip.bindings.pictureflow\\]")
+                 "[tool.sip.bindings.pictureflow]
+tags = [\"WS_X11\"]")
+                (("\\[tool.sip.project\\]")
+                 (string-append "[tool.sip.project]
+sip-include-dirs = [\"" pyqt "/share/sip" "\"]")))
               (substitute* "src/calibre/ebooks/pdf/pdftohtml.py"
                 (("PDFTOHTML = 'pdftohtml'")
                  (string-append "PDFTOHTML = \"" (assoc-ref inputs "poppler")
@@ -257,7 +265,6 @@
                                       "/share/fonts")
                        "/tmp/.fonts")
 
-              (setenv "SIP_BIN" (string-append python-sip "/bin/sip"))
               (setenv "PODOFO_INC_DIR" (string-append podofo "/include/podofo"))
               (setenv "PODOFO_LIB_DIR" (string-append podofo "/lib"))
               ;; This informs the tests we are a continuous integration
@@ -270,11 +277,7 @@
               #t)))
          (add-after 'build 'build-extra
            (lambda* (#:key inputs #:allow-other-keys)
-             (invoke "python2" "setup.py" "mathjax""--system-mathjax"
-                     "--path-to-mathjax" (string-append
-                                          (assoc-ref inputs "js-mathjax")
-                                          "/share/javascript/mathjax"))
-             (invoke "python2" "setup.py" "rapydscript")
+             (invoke "python" "setup.py" "rapydscript")
              #t))
          (add-after 'install 'install-man-pages
            (lambda* (#:key outputs #:allow-other-keys)
diff --git a/gnu/packages/patches/calibre-no-updates-dialog.patch b/gnu/packages/patches/calibre-no-updates-dialog.patch
index 1d8d79660e..66ac913cb5 100644
--- a/gnu/packages/patches/calibre-no-updates-dialog.patch
+++ b/gnu/packages/patches/calibre-no-updates-dialog.patch
@@ -1,11 +1,17 @@
-Taken from debian.
+From 19e8d7701c302b0eca4c638705a6db625352caa3 Mon Sep 17 00:00:00 2001
+From: Brendan Tildesley <mail@HIDDEN>
+Date: Thu, 25 Feb 2021 12:17:30 +1100
+Subject: [PATCH] Don't check for updates.
 
-# Description: Disable update check by default.
-Index: calibre/src/calibre/gui2/main.py
-===================================================================
---- calibre.orig/src/calibre/gui2/main.py	2014-02-02 10:41:28.470954623 +0100
-+++ calibre/src/calibre/gui2/main.py	2014-02-02 10:41:56.546954247 +0100
-@@ -37,8 +37,8 @@
+---
+ src/calibre/gui2/main.py | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/src/calibre/gui2/main.py b/src/calibre/gui2/main.py
+index 776f8bebfb..4302716d7e 100644
+--- a/src/calibre/gui2/main.py
++++ b/src/calibre/gui2/main.py
+@@ -59,8 +59,8 @@ def option_parser():
                        help=_('Start minimized to system tray.'))
      parser.add_option('-v', '--verbose', default=0, action='count',
                        help=_('Ignored, do not use. Present only for legacy reasons'))
@@ -16,3 +22,5 @@ Index: calibre/src/calibre/gui2/main.py
      parser.add_option('--ignore-plugins', default=False, action='store_true',
              help=_('Ignore custom plugins, useful if you installed a plugin'
                  ' that is preventing calibre from starting'))
+--
+2.30.1
diff --git a/gnu/packages/patches/calibre-remove-test-sqlite.patch b/gnu/packages/patches/calibre-remove-test-sqlite.patch
index 7bdd90874d..fc2b237ef2 100644
--- a/gnu/packages/patches/calibre-remove-test-sqlite.patch
+++ b/gnu/packages/patches/calibre-remove-test-sqlite.patch
@@ -1,20 +1,20 @@
-From a92e26359bd07743ab105819ed0b619e27e14017 Mon Sep 17 00:00:00 2001
+From d8225e83c3b73f0e0da73874910f50ca652f48cf Mon Sep 17 00:00:00 2001
 From: Brendan Tildesley <mail@HIDDEN>
-Date: Sat, 27 Apr 2019 03:30:53 +1000
-Subject: [PATCH] Disable test_sqlite.
+Date: Thu, 25 Feb 2021 00:48:00 +1100
+Subject: [PATCH] Remove test_sqlite
 
 ---
  src/calibre/test_build.py | 6 ------
  1 file changed, 6 deletions(-)
 
 diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
-index 07bdffd3e5..740588c95b 100644
+index 0ab7aa0646..87fdfabd9a 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
-@@ -162,12 +162,6 @@ class BuildTest(unittest.TestCase):
-             au(x, 'strftime')
-             self.assertEqual(unicode_type(time.strftime(fmt.replace('%e', '%#d'), t)), x)
- 
+@@ -273,12 +273,6 @@ def read_changes():
+         m.close()
+         self.assertEqual(winutil.parse_cmdline('"c:\\test exe.exe" "some arg" 2'), ('c:\\test exe.exe', 'some arg', '2'))
+
 -    def test_sqlite(self):
 -        import sqlite3
 -        conn = sqlite3.connect(':memory:')
@@ -24,6 +24,5 @@ index 07bdffd3e5..740588c95b 100644
      def test_apsw(self):
          import apsw
          conn = apsw.Connection(':memory:')
--- 
-2.21.0
-
+--
+2.30.1
diff --git a/gnu/packages/patches/calibre-remove-test-unrar.patch b/gnu/packages/patches/calibre-remove-test-unrar.patch
index 4e5572d1a6..961cc3eba7 100644
--- a/gnu/packages/patches/calibre-remove-test-unrar.patch
+++ b/gnu/packages/patches/calibre-remove-test-unrar.patch
@@ -1,28 +1,26 @@
-Unrar contains security vulnerabilities and has thus been removed from Guix.
-From a16f97b02bd8afd0ec05c471e156f631f2cc6eec Mon Sep 17 00:00:00 2001
+From 9edf67191cc3655480b6fd418247709ade930b1a Mon Sep 17 00:00:00 2001
 From: Brendan Tildesley <mail@HIDDEN>
-Date: Tue, 26 Mar 2019 22:17:03 +1100
-Subject: [PATCH] Remove test_unrar.
+Date: Thu, 25 Feb 2021 00:33:10 +1100
+Subject: [PATCH] Remove test_unrar
 
 ---
  src/calibre/test_build.py | 4 ----
  1 file changed, 4 deletions(-)
 
 diff --git a/src/calibre/test_build.py b/src/calibre/test_build.py
-index d67afd20a6..709132ef17 100644
+index b37fb1bcfb..0ab7aa0646 100644
 --- a/src/calibre/test_build.py
 +++ b/src/calibre/test_build.py
-@@ -220,10 +220,6 @@ class BuildTest(unittest.TestCase):
+@@ -369,10 +369,6 @@ def test_file_dialog_helper(self):
          from calibre.gui2.win_file_dialogs import test
          test()
- 
+
 -    def test_unrar(self):
 -        from calibre.utils.unrar import test_basic
 -        test_basic()
 -
-     @unittest.skipUnless(iswindows, 'WPD is windows only')
-     def test_wpd(self):
-         wpd = plugins['wpd'][0]
--- 
-2.21.0
-
+     def test_7z(self):
+         from calibre.utils.seven_zip import test_basic
+         test_basic()
+--
+2.30.1
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:02:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:02:02 2021
Received: from localhost ([127.0.0.1]:48700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJujB-00046V-Rf
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:02:02 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuj8-00045A-AG
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:59 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwR0J6FnJzQjxL
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:52 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366911;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=jNjZlBur9eLZQT8QQSaEAuoMBCmbxturj76H7MOqUdY=;
 b=on7UibHth/vDrtpDRDGTtwDlotSGEah9NQwba+T662myTiRzCcbZM2DFTBz/nLUQQCkMpy
 K0vKBaK0p81eZ4iMiOqhSK+QACUZeGwSEVH5wflYZbd+tDQQDHPAIqrbPxzF7xc658Y1mO
 oDwvG+bEXaUhZIt1us1OHG7DGEV5GpsA+8ZrOUXmZKEK/9anNx/r2yg3kXrxSPfkLb9PT8
 JtOKlR0IqVDsw7X3cXCEOM7yVvlUa3bXjXg/PoVrT3Q7tX2SGwtUo6SRvf9a6D89FHL+d4
 /PxBXXu2mCQ95uu11E+UXMkZ1drzJxZmgQLvZ5whrtarV0BRd/NXSnxFX7DLfg==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id hTPbYAbay_RY for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:49 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 24/27] gnu: calibre: Patch some paths.
Date: Wed, 10 Mar 2021 20:00:50 +1100
Message-Id: <20210310090053.21612-24-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: E4B071868
X-Rspamd-UID: ca1dcb
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (calibre):
[inputs]: Add libjpeg and libjxz.
[arguments]: substitute Calibre's weird get_exe_path procedure that looks
in poppler's output directory for binaries with direct paths to
jpegtran, cjpeg, optipng, and JxrDecApp.
---
 gnu/packages/ebook.scm | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index 124fcda4df..be367a5245 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -161,6 +161,8 @@
        ("icu4c" ,icu4c)
        ("libmtp" ,libmtp)
        ("libpng" ,libpng)
+       ("libjpeg" ,libjpeg-turbo)
+       ("libjxr" ,libjxr)
        ("libusb" ,libusb)
        ("openssl" ,openssl)
        ("optipng" ,optipng)
@@ -246,7 +248,12 @@ sip-include-dirs = [\"" pyqt "/share/sip" "\"]")))
                 (("PDFTOHTML = 'pdftohtml'")
                  (string-append "PDFTOHTML = \"" (assoc-ref inputs "poppler")
                                 "/bin/pdftohtml\"")))
-
+              ;; get_exe_path looks in poppler's output for these binaries.
+              (substitute* "src/calibre/utils/img.py"
+                (("get_exe_path..jpegtran..") (string-append "'" (which "jpegtran") "'"))
+                (("get_exe_path..cjpeg..") (string-append "'" (which "cjpeg") "'"))
+                (("get_exe_path..optipng..") (string-append "'" (which "optipng") "'"))
+                (("get_exe_path..JxrDecApp..") (string-append "'" (which "JxrDecApp") "'")))
               ;; Calibre thinks we are installing desktop files into a home
               ;; directory, but here we butcher the script in to installing
               ;; to calibres /share directory.
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:58 2021
Received: from localhost ([127.0.0.1]:48695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuj8-00045k-6l
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:58 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuj6-000450-P6
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:57 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwR0H2LtvzQjxK
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:51 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366909;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=F0OVfZ7gajgPhRzw7EDnsceN/jSAF4w+PkIgOrhWn3k=;
 b=JumJRT/usHVnhWGy458F28xECZqwylzTrHrzuyKfdd58/dPF/MeXroYMTHX3JBrjtYGdS4
 MRqU7dhyT9dRC+k+eJ1Q65YyfCD/9ZQOUuxWkC4z3TPRAWYK3fb5vATJIDr4tP/8klF1Wn
 3u3N8+pvOF/KTyK0A7Za76CqOpLxelD+fT8OFJ8rAMOwqWkZklpQYn77Jik+Pe+bWvBFwD
 +LFxh1kussVdKePsmg0hMtIhOI/NyAMyAcGFroORabU46ugiYX2GxWnXjE9Lk+QE49sS5o
 GBSFgjBR7YPISQjX6ggNHOchvNyw7mMaUT381EyegecNRGZwQNSYC33sqYm5lA==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id nXmfvzGJVw7u for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:44 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 21/27] gnu: Add python-cchardet.
Date: Wed, 10 Mar 2021 20:00:47 +1100
Message-Id: <20210310090053.21612-21-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -10.38 / 15.00 / 15.00
X-Rspamd-Queue-Id: 184491857
X-Rspamd-UID: a466f4
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/freedesktop.scm (python-cchardet): New
 variable.
 --- gnu/packages/freedesktop.scm | 21 +++++++++++++++++++++ 1 file changed,
 21 insertions(+) diff --git a/gnu/packages/freedesktop.scm
 b/gnu/packages/freedesktop.scm
 index e5f9ea71b6..87f592844d 100644 --- a/gnu/packages/freedesktop.scm +++
 b/gnu/packages/freedesktop.scm @@ -22,6 +22,7 @@ ;;; [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [80.241.56.172 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [80.241.56.172 listed in list.dnswl.org]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: nixo.xyz (xyz)]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/freedesktop.scm (python-cchardet): New variable.
---
 gnu/packages/freedesktop.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index e5f9ea71b6..87f592844d 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2020 Nicolò Balzarotti <nicolo@HIDDEN>
 ;;; Copyright © 2020 Anders Thuné <asse.97@HIDDEN>
 ;;; Copyright © 2020 Raghav Gururajan <raghavgururajan@HIDDEN>
+;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1920,6 +1921,26 @@ encoding names are iconv-compatible.")
     ;; combination is GPL 2.0+.
     (license license:gpl2+)))
 
+(define-public python-cchardet
+  (package
+  (name "python-cchardet")
+  (version "2.1.7")
+  (source
+    (origin
+      (method url-fetch)
+      (uri (pypi-uri "cchardet" version))
+      (sha256
+        (base32
+          "1bqfz85cd51sw0bvhvdq9ikccxi2ld7g5jpni4jkq1a5clrvca64"))))
+  (build-system python-build-system)
+  (inputs
+   `(("uchardet" ,uchardet)))
+  (home-page "https://github.com/PyYoshi/cChardet")
+  (synopsis "Fast universal character encoding detector")
+  (description
+    "cChardet is high speed universal character encoding detector.")
+  (license license:gpl2+)))
+
 (define-public udiskie
   (package
     (name "udiskie")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:58 2021
Received: from localhost ([127.0.0.1]:48692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuj7-00045i-Ts
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:58 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuj4-00044d-Fn
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:54 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwR0F0PnfzQjbj
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:49 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366907;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=iPmqTCFMj2P5M8omA6h2TOK5xnz1dIQdgGq3D1Jpmw0=;
 b=R8ag8JoiFOvf/PwEcY6LvOF/ilGqD9ASj71MkgM9vJZq5BLfiF9nkb52VizTnTTM2eqfrp
 qOkoLLm9bvg0J9FkD4yEFk8qPDqnrfTpKIwtIepHE2g1byEl+IXaWF05GG/QmrjYwpdlwo
 h4pOl9JVkz4PKmFGM76uez3cJ4f+tZyAuM4ua4y2jk7vyeBoJWXF6mG1OmgDPqtq9wZDez
 WNzAWsc/H48fsQO0XTGNyN0lzQWwtCXBXGGQUB0vft3+F6ljJAcvLY/BkpxAb65bIgx7sk
 RK7q0SjoeiFKEgLCbpCmJogljmbGJF3fB+CWo5KNTuQc4msZLn0rifwAHIhJmA==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id ue4PRRvSKIsP for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:46 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 22/27] gnu: python-html5lib: Add python-chardet input.
Date: Wed, 10 Mar 2021 20:00:48 +1100
Message-Id: <20210310090053.21612-22-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: 26182185F
X-Rspamd-UID: e8106e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-web.scm: python-chardet to
propragated-inputs. html5lib uses this as a fallback for encoding
detection, and Calibre tests for its being there, so ad it.
---
 gnu/packages/python-web.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index b0268e5a31..c527cfad90 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -1041,7 +1041,8 @@ storage.")
     (build-system python-build-system)
     (propagated-inputs
      `(("python-six" ,python-six)
-       ("python-webencodings" ,python-webencodings)))
+       ("python-webencodings" ,python-webencodings)
+       ("python-chardet" ,python-chardet)))
     (arguments
      `(#:test-target "check"))
     (home-page
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:54 2021
Received: from localhost ([127.0.0.1]:48688 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuj4-00045E-Ha
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:54 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuj1-00044U-Bq
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:51 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwR096c1kzQjmg
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:45 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366903;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=uq138XQfK1ywobEkjuZK/eLMHrZEx4dq0rHsI8xozn0=;
 b=rbTeKQ0Jw0WHCd2Rf67rnwuRfIU7HBdaq1UxK1Hs6LoAkXmyh59x2l/e1s8IDLpeIeEobW
 rMT2qO78+stFEnGVCJC759g1S/si+RqcIToeiy060M+CokktYO85AA8ysgUseLvyMPlUzD
 US80l2c0iZnxbrxvBvjcovCTFESg7bofTcP2jnYi/cNAha8kufjwHIhlxrHDoG+xwdSbvE
 lruxWcna7KLqfioqM8oz7gJHvPha4QIp0KoJFZxPXgHPfLZJ1M0Tg7gw5+m0S9gTYGo8i+
 6r6uBLsiIXHIvzFdTXcYqLUJDr1UAn+BzDthPb5J8o+szwEHU/uIBFiB15KcJw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id vGuLny8G-M0j for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:42 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 20/27] gnu: Add python-pychm.
Date: Wed, 10 Mar 2021 20:00:46 +1100
Message-Id: <20210310090053.21612-20-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.34 / 15.00 / 15.00
X-Rspamd-Queue-Id: AC8C1185A
X-Rspamd-UID: bf8566
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (python-pychm): New variable.
---
 gnu/packages/ebook.scm | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index 47bbd1a789..763e3eba2b 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -88,6 +88,26 @@
     (description "CHMLIB is a library for dealing with ITSS/CHM format files.")
     (license license:lgpl2.1+)))
 
+(define-public python-pychm
+  (package
+    (name "python-pychm")
+    (version "0.8.6")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pychm" version))
+       (sha256
+        (base32
+         "0wpn9ijlsmrpyiwg3drmgz4dms1i1i347adgqw37bkrh3vn6yq16"))))
+    (build-system python-build-system)
+    (inputs
+     `(("chmlib" ,chmlib)))
+    (home-page "https://github.com/dottedmag/pychm")
+    (synopsis "Python package to handle CHM files")
+    (description
+     "Python package to handle CHM files")
+    (license license:gpl3)))
+
 (define-public calibre
   (package
     (name "calibre")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:54 2021
Received: from localhost ([127.0.0.1]:48686 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuj4-00045C-A4
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:54 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiy-000440-S3
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:49 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwR072tB2zQjwn
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:43 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366901;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=T1F5mhS0NLxhTeyVIZHivBPj3qQU87BhAdbWr5jEmT0=;
 b=OsaoZS1qPcDIVcatyfOmv/GqHqiHZPzNIGxW+1DBULrdq0XsQi3TADxMQQnD28JVyFAPIe
 Ronng83G60bn/NLEINhTkwLYxC/6HsfGL6+99YRuY//uMlHbJctu54odsLAwe1fZ7DX3xe
 Gw4T3hRlnBdFaPkbLoKJJP/opaGTV/UhZgiJUDt4j8+1ubGuKre8V/SmzEEvSRRji48Y/t
 Jn25TZCW5EOsG083+6ViPuukuEj3wvmuRLYNrmA+Btr9Lvnjsp9QbXsA6IMlyZTWfBMGAe
 eprIpm8PE512WD13soKcX06pTNxXSh5ygVr/okm5g3A8agw5NdmhM2TcDiNMPQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id g35jn7Q_Gb-B for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:40 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 19/27] gnu: python-poppler-qt5: Update to 21.1.0.
Date: Wed, 10 Mar 2021 20:00:45 +1100
Message-Id: <20210310090053.21612-19-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: 6EB51186F
X-Rspamd-UID: 2680f4
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/pdf (python-poppler-qt5): Update to 21.1.0. (Unrelated to
Calibre, just updating this since I updated python-sip.)
---
 gnu/packages/pdf.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index a931f04ff7..520f4b60f9 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -316,14 +316,14 @@ When present, Poppler is able to correctly render CJK and Cyrillic text.")
 (define-public python-poppler-qt5
   (package
     (name "python-poppler-qt5")
-    (version "0.24.2")
+    (version "21.1.0")
     (source
       (origin
         (method url-fetch)
         (uri (pypi-uri "python-poppler-qt5" version))
         (sha256
          (base32
-          "0l69llw1fzwz8y90q0qp9q5pifbrqjjbwii7di54dwghw5fc6w1r"))))
+          "0b82gm4i75q5v19kfbq0h4y0b2vcwr2213zkhxh6l0h45kdndmxd"))))
     (build-system python-build-system)
     (arguments
      `(;; There are no tests.  The check phase just causes a rebuild.
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:50 2021
Received: from localhost ([127.0.0.1]:48683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuj0-00044m-27
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:50 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuix-00043a-5k
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:47 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwR0554CtzQjx7
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:41 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366899;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=6B95hzByIG5YEgKfrmvsSPVq84aiQXbYdtHDVb+tLZU=;
 b=TEgHOONHqOZ526RqdS2JpSBnoVJ5eB/0hht5BwOANFe1jA3Mrt8JDg7F9tXasnXZc1oCTZ
 TAYiDCmtIOXwWVK1zWfIhLZTlaEHLKqFVR/5qDusiWHNGUs1elvFIok4mhLgPihJz9NeXn
 qIbIfJyWXek+hUJ406JAL49/4AhkcvGjrJsR3Rjq6DARZ6gOrAPNDoZbTb7AhqbqCdOMpL
 YDJp5oRRFynvDdVjZlxO13nnN/hMwJbSS23RsLqC6SXy6Xk/Wygn0GX7nd733eUUaNM5sK
 /WrFMeLkubAbT++Uvx1BnW7+H29VzYSpne1LVKTXn7vL/ElcNrUwezQ724G77A==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id t_jQqMSs-hX4 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:38 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 18/27] gnu: python-poppler-qt5: Fix build.
Date: Wed, 10 Mar 2021 20:00:44 +1100
Message-Id: <20210310090053.21612-18-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.48 / 15.00 / 15.00
X-Rspamd-Queue-Id: B2A241857
X-Rspamd-UID: 14fa7a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/pdf.scm (python-poppler-qt5): Keep using python-sip 4
since it doesn't work with 5.
---
 gnu/packages/pdf.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/pdf.scm b/gnu/packages/pdf.scm
index e81c3caf87..a931f04ff7 100644
--- a/gnu/packages/pdf.scm
+++ b/gnu/packages/pdf.scm
@@ -346,7 +346,7 @@ When present, Poppler is able to correctly render CJK and Cyrillic text.")
     (native-inputs
      `(("pkg-config" ,pkg-config)))
     (inputs
-     `(("python-sip" ,python-sip)
+     `(("python-sip" ,python-sip-4)
        ("python-pyqt" ,python-pyqt)
        ("poppler-qt5" ,poppler-qt5)
        ("qtbase" ,qtbase)))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:50 2021
Received: from localhost ([127.0.0.1]:48681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiz-00044k-Pn
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:50 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiv-00043M-BC
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:45 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwR036Q6szQjmg
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:39 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366898;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=l7mMS/YAuYhPmtfTxvDCAzeN6wbMW2okfGvX8gdH3Ho=;
 b=ZETiFxAcuTxIxOHqFKfwWtLxONaozZolZgApblCTbk4BlEUyaXCSLMSFvbhmXdoBOcgWkQ
 nwncNXqvuSs6EyKYAGAejFUzcHPrfLkR6eW9xg2/iDwjNEEWC6ZN/MZGgFYRZ0jPBgZVTn
 SAmEIZlnFvMzd6jKFegOt7qjYbN9XX+Tj/lsjX2NHdaan3sE/4iaZTPqeWfH2nydzMp1Xw
 r6E8PvdSSV8UZVp6aodVkZAoH1Xn/VKoX6UZer+ZhuciWe1H6Hk0MKtkHNWhS8cLmScl50
 5sT7KP2OUbOhMZWmxUVSRhMtVkmNEIBobQgGshp0/uQDSeRdhN+Ej3ClAs0J7Q==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id Zk6iIxvIcNhW for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:37 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 17/27] gnu: python-feedparser: Update to 6.0.2.
Date: Wed, 10 Mar 2021 20:00:43 +1100
Message-Id: <20210310090053.21612-17-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.12 / 15.00 / 15.00
X-Rspamd-Queue-Id: E41521885
X-Rspamd-UID: c1a86e
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/web.scm (python-feedparser): Update to 6.0.2.
---
 gnu/packages/web.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 836328d758..ea0155cb54 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -4610,14 +4610,14 @@ their web site.")
 (define-public python-feedparser
   (package
     (name "python-feedparser")
-    (version "5.2.1")
+    (version "6.0.2")
     (source
      (origin
        (method url-fetch)
-       (uri (pypi-uri "feedparser" version ".tar.bz2"))
+       (uri (pypi-uri "feedparser" version ".tar.gz"))
        (sha256
         (base32
-         "00hb4qg2am06g81mygfi1jsbx8830024jm45g6qp9g8fr6am91yf"))))
+         "0x0hm9brh3j71645pydvlkrwxaaca9dnwd7xahwjyjaz882s200v"))))
     (build-system python-build-system)
     (arguments
      '(#:tests? #f))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:45 2021
Received: from localhost ([127.0.0.1]:48676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiv-00044C-DL
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:45 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuis-000436-W3
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:43 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwR013ysTzQjbj
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:37 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366895;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=45yMaXzYeIFmoO0kIGh4l1xVQCinBpstqyj+rXKGjj0=;
 b=Mqs82oZsoeqUu/rTS5Jmx37/9tiAtTTbgpqah6VcDu9NVDqSuUQclohf4wiJ2qThiEDcdh
 LywFqmTXJA/L9NPrlsPa8q9cUx6cvLy2icuQk1TKtStXpIYUJZ/zmUq6GvnlrIFGwgAUuI
 xVgXIZCBzb7he/TKh8vs1WBm+E1SmZo3obS/bArXsuju//piFZP3jZc5RbD8mJV/iHo2kV
 /97dBaBHjn+S0Syxbw3rpe+TL8aPr0Vg2xBK5vWo7YcPtyhR7olAOE9/REBE4g6y4uCZcO
 iYtsVpAlqanNNkoyytN7GPK9r8zjgNQwT7qB8Mu7MNltWAQJVVAZdbG7jdmnAg==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id j4OCEUVSKZhY for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:34 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 16/27] gnu: python-markdown: Update to 3.3.4.
Date: Wed, 10 Mar 2021 20:00:42 +1100
Message-Id: <20210310090053.21612-16-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: ***
X-Rspamd-Score: 3.48 / 15.00 / 15.00
X-Rspamd-Queue-Id: 9E7CB1264
X-Rspamd-UID: 370350
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-markdown): Update to 3.3.4.
---
 gnu/packages/python-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 4ac8b0d926..0bf7c31ede 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -8775,14 +8775,14 @@ Python.")
 (define-public python-markdown
   (package
     (name "python-markdown")
-    (version "3.2.1")
+    (version "3.3.4")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "Markdown" version))
        (sha256
         (base32
-         "00k91gwhxnm8jdnm2v5xjz9irj6dbi7afywz2hpakqdbxs1ydzlh"))))
+         "0jbs73nincha8fkfxx267sfxac6pl0ckszjbqbb8gk4dhs8v9d9i"))))
     (build-system python-build-system)
     (native-inputs
      `(("python-nose" ,python-nose)
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:45 2021
Received: from localhost ([127.0.0.1]:48674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiv-000444-3L
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:45 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuir-000434-SU
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:42 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwR002wYpzQjwn
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:36 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366894;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=oJQHG8dIoQKPebjTZonH2at2ZMhX0yBiQBTHZr4kH9Y=;
 b=isyR39tWM4kwLRggqlyEB53nrDvR4WNcB4YUYyXusYQUm6CkcKHyin8ELEpSy6GXlB3xIW
 aAMu5NvcmDOO8Q6XnuU5zgLmviXOxaXmCtnXuCAAZPzJ8JXRAsZt5s3hs2CHRAASc0J+1X
 Qz6h5S0x+4S1rLeLt8Dm3ey2kYVrHZI3IRHgLWdIT6Dp4nBTaCPtbCt0kD2CYpvGY1ExCg
 Kkzrbso1Wjc/pd0ZT8iweui/bNP1ConL5LqpsVQ6MTasguHxehk4mfo+uPTVOJ67VCvfXG
 86e4ro0hL6si2zank8NKSyiTzVxFSeowZ8gf9R+V3uFygKM4SmcBRh9rwS9D8Q==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id APbbNrYFvG8s for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:32 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 15/27] gnu: Add python-py7zr.
Date: Wed, 10 Mar 2021 20:00:41 +1100
Message-Id: <20210310090053.21612-15-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: 27BB0186B
X-Rspamd-UID: bfd447
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-py7zr): New variable.
---
 gnu/packages/python-compression.scm | 40 +++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index a25a658ff2..9cc5a1b679 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -39,6 +39,7 @@
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
+  #:use-module (gnu packages python-crypto)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sphinx))
 
@@ -124,6 +125,45 @@ Matching statical technique. It is by RAR and 7-Zip as one of several possible
 methods.")
     (license license:lgpl2.1+)))
 
+(define-public python-py7zr
+  (package
+    (name "python-py7zr")
+    (version "0.14.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "py7zr" version))
+       (sha256
+        (base32
+         "1zmgp7yax328fj8yj8pj4l7yh78hp727j6wk12vfi6nmi82wl32i"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-bcj-cffi" ,python-bcj-cffi)
+       ("python-multivolumefile" ,python-multivolumefile)
+       ("python-ppmd-cffi" ,python-ppmd-cffi)
+       ("python-pycryptodome" ,python-pycryptodome)
+       ("python-pyzstd" ,python-pyzstd)
+       ("python-texttable" ,python-texttable)
+       ("python-zstandard" ,python-zstandard)))
+    (native-inputs
+     `(("python-setuptools" ,python-setuptools)
+       ("python-setuptools-scm" ,python-setuptools-scm/next)
+       ("python-coverage" ,python-coverage)
+       ("python-coveralls" ,python-coveralls)
+       ("python-libarchive-c" ,python-libarchive-c)
+       ("python-py-cpuinfo" ,python-py-cpuinfo)
+       ("python-pyannotate" ,python-pyannotate)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-benchmark" ,python-pytest-benchmark)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-remotedata" ,python-pytest-remotedata)
+       ("python-pytest-timeout" ,python-pytest-timeout)))
+    (home-page "https://github.com/miurahr/py7zr")
+    (synopsis "Pure python 7-zip library")
+    (description "py7zr is a library and utility to support 7zip archive
+compression, decompression, encryption and decryption written in Python.")
+    (license license:lgpl2.1+)))
+
 (define-public python-lzo
   (package
     (name "python-lzo")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:45 2021
Received: from localhost ([127.0.0.1]:48672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiu-000442-O6
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:45 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:15988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiq-00042q-QQ
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:41 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwQzz2VL9zQjxQ
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:35 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366889;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=uQQZyN3tA9sOnIKE1ymAPC7Xuoh1F8lUCXXslUarLvE=;
 b=g/Ud6zHYE5iLDxKXwjMzVmYRVCJogTzoDN1PiJ7/rT8FUUqse9c8LJ7fgQtKemfM/tQ0ym
 aqjw1bsIAQjfjpz+1DBUOqHhsdwK6dG5EGsNk4OsHn3xrp3/rmq+PackoPq/6S9aAlLXjo
 y910cHVopKlmElXBqJ8qeBl7FhZlH9zKpW9BogsbYk0ejq6idRrYywRTPBEc1LKf8O56iL
 P0sekBCTM+ejZZezMH9YUgNItizQCgjdau40DteLkB7LhAqAXlGBm5ZJ8R15+CP0CsGKjk
 HMRkVi+ma8UjjID6+KGKK5wgNGyyf2fmPWYtpVMqNTuu42pcNUp3K5ndwkajGg==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id DMSWD3S9Zn8g for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:23 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 10/27] gnu: Add python-multivolumefile.
Date: Wed, 10 Mar 2021 20:00:36 +1100
Message-Id: <20210310090053.21612-10-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -10.87 / 15.00 / 15.00
X-Rspamd-Queue-Id: 23D61186A
X-Rspamd-UID: d82951
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-multivolumefile): New
variable.
---
 gnu/packages/python-compression.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index 6b2da5f925..fe73dd38cb 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2018, 2019, 2020 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2020 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -35,9 +36,37 @@
   #:use-module (gnu packages maths)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sphinx))
 
+(define-public python-multivolumefile
+  (package
+    (name "python-multivolumefile")
+    (version "0.2.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "multivolumefile" version))
+       (sha256
+        (base32
+         "0j46wab4b09s3favjzp3zs1cn2sn8pr7qyngs5wn31hpqqxbbz76"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-pep517" ,python-pep517)
+       ("python-setuptools" ,python-setuptools)
+       ("python-setuptools-scm" ,python-setuptools-scm/next)
+       ("python-coverage" ,python-coverage)
+       ("python-coveralls" ,python-coveralls)
+       ("python-pyannotate" ,python-pyannotate)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "https://github.com/miurahr/multivolume")
+    (synopsis "Treat multiple files as one")
+    (description "MultiVolumefile is a python library to provide a file-object
+wrapping multiple files as virtually like as a single file.")
+    (license license:lgpl2.1+)))
+
 (define-public python-lzo
   (package
     (name "python-lzo")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:42 2021
Received: from localhost ([127.0.0.1]:48669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuis-00043c-71
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:42 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiq-00042c-09
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:40 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwQzy3vbszQjxL
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:34 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366892;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=KLHoE0GPbXwSgiEDZ/8InyhJLPy3hSfsY5WAI36FmDE=;
 b=Nmn5PhQqGb3yFdMh1DRZevPVzqQSXaXinOJdiBJTbh3gD3UmlVO3XAldRR7XINnWhiHiEO
 CkOkklTd5IESO9ntXIW/OY2Y/tGNyOytuz6BzIir4mId10rtkFcdm7ANSIx+3bnrf2ZXv9
 Q0gKikypFJRHmFzzyujsuSH4I5BiiY67KxwI8DdUDI0d6UD3WkMCh36N94PMVNC2HNidIi
 LwWkLef/h6KmhQn17STR95STp57LmmlwZsN33IsHoKAAFBqEf2CKF2NrLxY80dYqaF7sxG
 JSN0RDD173DUIa09Jck1sY5ZmwYvnYUdFejR5r+sYzEi6+OUtE9AWCGhXzVd9A==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id EMXldy6UZmHZ for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:30 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 14/27] gnu: Add python-bcj-cffi.
Date: Wed, 10 Mar 2021 20:00:40 +1100
Message-Id: <20210310090053.21612-14-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: 3B8BD91E
X-Rspamd-UID: 6f909b
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-bcj-cffi): New variable.
---
 gnu/packages/python-compression.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index 51e1fb3ccf..a25a658ff2 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -37,6 +37,7 @@
   #:use-module (gnu packages maths)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-check)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sphinx))
@@ -68,6 +69,32 @@
 wrapping multiple files as virtually like as a single file.")
     (license license:lgpl2.1+)))
 
+(define-public python-bcj-cffi
+  (package
+    (name "python-bcj-cffi")
+    (version "0.5.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "bcj-cffi" version))
+       (sha256
+        (base32
+         "1jcczrb8zgg6w7v76w1wpz3nw75fghk3xwxkn09ll7kck7sdf68d"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-cffi" ,python-cffi)
+       ("python-toml" ,python-toml)
+       ("python-setuptools-scm" ,python-setuptools-scm/next)))
+    (native-inputs
+     `(("python-setuptools" ,python-setuptools)
+       ("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "http://github.com/miurahr/bcj-cffi")
+    (synopsis "bcj algorithm library")
+    (description "bcj algorithm library")
+    (license license:lgpl2.1+)))
+
 (define-public python-ppmd-cffi
   (package
     (name "python-ppmd-cffi")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:42 2021
Received: from localhost ([127.0.0.1]:48666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuir-00043T-Pl
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:42 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:15986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuio-00042Z-4A
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:38 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwQzw4fv5zQjmh
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:32 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366890;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=x2FZqBtGRhkjI1TVhdYqH/sUuiWGE2rIyZAPzE1cJw4=;
 b=YKHu5vPQo/F26rlLIYNdCM149aK2vLufHaEgvrMEJn4IWYNbh8lN9k2eJNyunhK6umxt7t
 7UX8r9FMZnsvNt4bLlMfBzYjWvMpexMs8TUgohSRuQWQEX0S4mzSqNWPgnUbiMP5rahsx0
 /qoKUsbRArXQhujsyh41S/JMGXmhwustb4/fhQnxrSatG88ZrnL7skHsjbau3EXRCuaS0y
 I0dqf9Q+S+XdyWW8xCHWGbM3GFLLPra/Cvw2MuBhZjp9VLiHkOqJ7axhjNjXLdrcOWQmlz
 CD0a60UBhNMnM/zHVycYWJrK27d9r0ptdXEqP13DySxOYgX/Wg7Zi+3qtXc/gw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id GHvnbRrBaiZR for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:29 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 13/27] gnu: Add python-pyzstd
Date: Wed, 10 Mar 2021 20:00:39 +1100
Message-Id: <20210310090053.21612-13-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.34 / 15.00 / 15.00
X-Rspamd-Queue-Id: 5D4BF17CE
X-Rspamd-UID: 7dff2a
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-pyzstd): New variable.
---
 gnu/packages/python-compression.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index 860b4ee342..51e1fb3ccf 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -364,3 +364,21 @@ wrapper.  It provides a backport of the @code{Path} object.")
 the Zstandard compression library.  A C extension and CFFI interface are
 provided.")
     (license license:bsd-3)))
+
+(define-public python-pyzstd
+  (package
+    (name "python-pyzstd")
+    (version "0.14.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pyzstd" version))
+       (sha256
+        (base32
+         "1d3mngs45w2p490vrq5ymd2wz4lp15phmks1ilcx4k7amgibml3d"))))
+    (build-system python-build-system)
+    (home-page "https://github.com/animalize/pyzstd")
+    (synopsis "Zstandard bindings for Python")
+    (description "Python bindings to Zstandard (zstd) compression library, the
+API is similar to Python's bz2/lzma/zlib module.")
+    (license license:bsd-3)))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:38 2021
Received: from localhost ([127.0.0.1]:48662 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuio-000438-G9
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:38 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:15982)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuil-000429-No
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:36 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwQzt1vQnzQjhF
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:30 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366888;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=k7w+j6/j/yhft4Gvk6ee+8DX6BkoCBB7S0RgplVzQHs=;
 b=rULzlPA8+7m4zKQcxMkuHFerxRyVTcVrMsYxAq9bsPk7NsMpoIeLsZo72d5IyOJpKdAzlA
 8sVrZfae0Qsc+MRf0mtcxUKABbGWPtgFUTVUWNfkafkM3OxSlxcuIjYKszViWmtoHplFAu
 SSBvpOpXKY4UGggxIn10Wrmj8VtEToyeeiEvhpKk+5DMhH5u0OyG1AYcau6P/H908v30lo
 ezK6J7Azsbq+wze3tNOo6fhKzPdaGb9Mg1meOXE8UOQQxpZmtiPpUGlgK9dy+CU3pg56t3
 q4E058h0LQ3PHvACeblEqS0tXadz0Me2lfppg6N4pVykmWeg898169snZrHtNg==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id sX49PCY2xnx7 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:27 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 12/27] gnu: python-zstandard: Update to 0.15.2.
Date: Wed, 10 Mar 2021 20:00:38 +1100
Message-Id: <20210310090053.21612-12-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.53 / 15.00 / 15.00
X-Rspamd-Queue-Id: 4722C1862
X-Rspamd-UID: 064828
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-zstandard): Update to 0.15.2.
---
 gnu/packages/python-compression.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index 101211019b..860b4ee342 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -348,13 +348,13 @@ wrapper.  It provides a backport of the @code{Path} object.")
 (define-public python-zstandard
   (package
     (name "python-zstandard")
-    (version "0.13.0")
+    (version "0.15.2")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "zstandard" version))
        (sha256
-        (base32 "0q9msi00s93iqm8vzd839r7yc51gz54z90h5bckqyjdxa6vxijz5"))))
+        (base32 "0by9z7nxnkzhmza075q6q91rs8lnpf91129k8ppv7kymbwshipjj"))))
     (build-system python-build-system)
     (native-inputs
      `(("python-hypothesis" ,python-hypothesis)))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:36 2021
Received: from localhost ([127.0.0.1]:48659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuim-00042r-6R
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:36 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuik-000421-EU
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:34 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwQzr6xhlzQjwn
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:28 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366886;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=8O7/9GUEpRo92gbwKdsoI78kqFIXywwtHr21eLrqIJk=;
 b=enm9ApeUsSjCfj1LpGL7056rr3oX/FxS+hsKV/5E/U+4a5qH1eyY84gqosA7q5nypnSCp6
 m/ztFyzff2Z3MnNLfGhgU8JQ9jpMWUnrR/n58+EY7gys5iCvoniy/HXZQEzHkwh5b5DjKk
 OsKcC8H9TsYtyKJ6CsTKwrh9NZQBIYME9P9+4GyDvoLIeOSBJEzc0niZeS4O11DxBR6gcN
 KnNxUuoToXT+TGYCQD8obt0IMwHMIDatDAop3vw0n+RHb9vML/nCfNqaKPfzFppMLD7Tdi
 9DQnpInGdC5MO/ScWpQx5h9KR4kHzT3AA+ITiuZBsrrtg5vhDmA34cmvZxWC3Q==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id l27vIVS0EV27 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:25 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 11/27] gnu: Add python-ppmd-cffi.
Date: Wed, 10 Mar 2021 20:00:37 +1100
Message-Id: <20210310090053.21612-11-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -0.93 / 15.00 / 15.00
X-Rspamd-Queue-Id: B98484F5
X-Rspamd-UID: a7eed5
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-compression.scm (python-ppmd-cffi): New variable.
---
 gnu/packages/python-compression.scm | 30 +++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index fe73dd38cb..101211019b 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -31,6 +31,7 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
   #:use-module (gnu packages)
+  #:use-module (gnu packages libffi)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages check)
   #:use-module (gnu packages maths)
@@ -67,6 +68,35 @@
 wrapping multiple files as virtually like as a single file.")
     (license license:lgpl2.1+)))
 
+(define-public python-ppmd-cffi
+  (package
+    (name "python-ppmd-cffi")
+    (version "0.3.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ppmd-cffi" version))
+       (sha256
+        (base32
+         "01wcd9l6pp6hivdmd275qh9dhcwficjqfl67hxix5n07vvq7jzz0"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-cffi" ,python-cffi)))
+    (native-inputs
+     `(("python-setuptools" ,python-setuptools)
+       ("python-setuptools-scm" ,python-setuptools-scm/next)
+       ("python-pep517" ,python-pep517)
+       ("python-coverage" ,python-coverage)
+       ("python-pytest" ,python-pytest)
+       ("python-pytest-cov" ,python-pytest-cov)))
+    (home-page "http://github.com/miurahr/ppmd")
+    (synopsis "Compression/decompression library")
+    (description
+     "PPMd is a compression algorithm library using the Prediction by Partial
+Matching statical technique. It is by RAR and 7-Zip as one of several possible
+methods.")
+    (license license:lgpl2.1+)))
+
 (define-public python-lzo
   (package
     (name "python-lzo")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:35 2021
Received: from localhost ([127.0.0.1]:48656 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuik-00042f-Rl
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:35 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:15978)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuih-00041d-9e
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:31 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwQzn5w1tzQjmh
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:25 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366883;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=tT1YIPNxh8c6oXH22B3U3AALmqOykjHO8d1usG0VLak=;
 b=DNujkylCYkUep+vLvovysPuJ98vcIM205MwBuvaNXvsk7oqQqY5yL54iy2n4yRaWy4Vf3Q
 4M6xYa6ClvFeBEXHR1r/HXl4NzbdzkMX+XlWqurEcDoAWHPLSeNh7vG1Gi+5abwlj5+NeB
 Gd/K5f5PSFf08bMMQRgvnenKq4nX1Xf3hVXM0j3qHZ2l76cMAGAUfcQGI8CFWdoKpHMPx4
 wZC9BZEG+pTQ+kALNQSnDmuptC0vJv25skb8cRKdOvUVxmToT3iE6ZNFI+gJ2Dwg6j1Rlg
 TLzKlttljSnxJ/t0hl/2MBTWcDZQAHUtCGuOYLRSBppR7ZV5o91C12scxYZ96w==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id 3wI3wAOWDoDl for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:21 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 09/27] gnu: Add python-pyannotate.
Date: Wed, 10 Mar 2021 20:00:35 +1100
Message-Id: <20210310090053.21612-9-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -9.71 / 15.00 / 15.00
X-Rspamd-Queue-Id: 669941889
X-Rspamd-UID: 5be270
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-check.scm (python-pyannotate): New variable.
---
 gnu/packages/python-check.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index 15efdd3297..0de3a779b6 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -10,6 +10,7 @@
 ;;; Copyright © 2020 Vinicius Monego <monego@HIDDEN>
 ;;; Copyright © 2020 Tanguy Le Carrour <tanguy@HIDDEN>
 ;;; Copyright © 2021 Sharlatan Hellseher <sharlatanus@HIDDEN>
+;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1156,6 +1157,28 @@ any Python VM with basically no runtime overhead.")
     ;; mypyc/lib-rt/getargs.c
     (license (list license:expat license:psfl))))
 
+(define-public python-pyannotate
+  (package
+    (name "python-pyannotate")
+    (version "1.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "pyannotate" version))
+       (sha256
+        (base32
+         "16bm0mf7wxvy0lgmcs1p8n1ji8pnvj1jvj8zk3am70dkp825iv84"))))
+    (build-system python-build-system)
+    (propagated-inputs
+     `(("python-mypy-extensions" ,python-mypy-extensions)
+       ("python-six" ,python-six)))
+    (home-page
+     "https://github.com/dropbox/pyannotate")
+    (synopsis
+     "PyAnnotate: Auto-generate PEP-484 annotations")
+    (description
+     "PyAnnotate: Auto-generate PEP-484 annotations")
+    (license license:asl2.0)))
 (define-public python-eradicate
   (package
     (name "python-eradicate")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:32 2021
Received: from localhost ([127.0.0.1]:48653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuii-00042S-IK
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:32 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuig-00041b-1C
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:30 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwQzm4B88zQjxK
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:24 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366879;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=AcHPtJCoPO8GYehhkTqHOOxmUvFkgTYCFZ8MB+Qo2dA=;
 b=UXZ1cQ9caxD0pSAVnY8UiEDIvlsdenew9rCasr04+L54HcK4s//S+lN45adI0q01gyl7jO
 XYKuqsNYDhU2Cj/wHEIDS6wVX+gJO/yZghb7XJ9f3filA07ErWtXD5qF2zYrKZ1sHAWab8
 yZbAgUJMeeAOvMcrSUzHzuK3X0KfxK0U4Y3163jmJQoOdDXh4vIvv1EAHx8j9bzrqsYZ/2
 S7zYJtUEvqEKSX9PuVjPiUb/WWWuF3aAKadtjzYEwTzOr7OPwaeeqKM4ufyauji+PnN/5j
 pIY3PYNC5yDAzTwrlaqUuAIvRNcaXthdnapF4Q4btWd1J38VLKpwZVyjX1H5NQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id IG2uP8oeQ518 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:18 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 07/27] gnu: Add python-ifaddr.
Date: Wed, 10 Mar 2021 20:00:33 +1100
Message-Id: <20210310090053.21612-7-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -4.82 / 15.00 / 15.00
X-Rspamd-Queue-Id: 8E17591E
X-Rspamd-UID: 456f99
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-ifaddr): New variable.
---
 gnu/packages/python-xyz.scm | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index b1ac3e2e3b..f6bb57d518 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -43,7 +43,7 @@
 ;;; Copyright © 2017, 2018, 2019 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2017 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2017 Muriithi Frederick Muriuki <fredmanglis@HIDDEN>
-;;; Copyright © 2017, 2019 Brendan Tildesley <mail@HIDDEN>
+;;; Copyright © 2017, 2019, 2021 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2018 Ethan R. Jones <ethanrjones97@HIDDEN
 ;;; Copyright © 2018 Fis Trivial <ybbs.daans@HIDDEN>
 ;;; Copyright © 2018 Vijayalakshmi Vedantham <vijimay12@HIDDEN>
@@ -20684,6 +20684,32 @@ by Igor Pavlov.")
 (define-public python2-pylzma
   (package-with-python2 python-pylzma))
 
+(define-public python-ifaddr
+  (package
+    (name "python-ifaddr")
+    (version "0.1.7")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "ifaddr" version))
+       (sha256
+        (base32
+         "150sxdlicwrphmhnv03ykxplyd2jdrxz0mikgnivavgilrn8m7hz"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _ (invoke "nosetests"))))))
+    (native-inputs
+     `(("python-nose" ,python-nose)))
+    (home-page "https://github.com/pydron/ifaddr")
+    (synopsis
+     "Cross-platform network interface and IP address enumeration library")
+    (description
+     "Cross-platform network interface and IP address enumeration library")
+    (license license:expat)))
+
 (define-public python2-zeroconf
   (package
     (name "python2-zeroconf")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:30 2021
Received: from localhost ([127.0.0.1]:48650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuig-000428-7r
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:30 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuif-00041O-2i
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:29 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwQzl4VyvzQjbj
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:23 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366881;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=1SR+ENwqFk+GvU8/ZMwz8LvQdAQX9FyBwaR+oJzwbkU=;
 b=aNHSQkCIC0aVQbKQ7tApk0WnuUISQjSmaNB6weJJsa9NQw+axjlr9dlARFEItdQqDJRlCK
 6v/F8Dx3If1d4EVv6elwLLi0s1KoFhEWcdAlZ404V6yA8l7jJ/+/iBse/rW1GJccRlC9rs
 DTAAfWLr4l3wumQM5zk3PQDAxCr24exn/cJ9PG8kT6ycZuiSGoeMKf4SdCa9U7WkrxuTZU
 CC/yFz0vLk0kLY2MuaS7w0RLniFHfTqLVrOwLCLHZVQPhdExuLk2dXy38wzxZ7bmOBR/tv
 y2oEiOxgRdsC2KcQgVd3SEG21QrTPcvB/exPYjY4W0CGaKd2Nzq2o4+fOdDiiw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id feuCW4bxKdfm for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:20 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 08/27] gnu: Add python-zeroconf.
Date: Wed, 10 Mar 2021 20:00:34 +1100
Message-Id: <20210310090053.21612-8-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.29 / 15.00 / 15.00
X-Rspamd-Queue-Id: 57B0F1871
X-Rspamd-UID: 20ce72
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/python-xyz.scm (python-zeroconf): New variable.
---
 gnu/packages/python-xyz.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index f6bb57d518..4ac8b0d926 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -20710,6 +20710,39 @@ by Igor Pavlov.")
      "Cross-platform network interface and IP address enumeration library")
     (license license:expat)))
 
+(define-public python-zeroconf
+  (package
+    (name "python-zeroconf")
+    (version "0.28.8")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "zeroconf" version))
+       (sha256
+        (base32
+         "0narq8haa3b375vfblbyil77n8bw0wxqnanl91pl0wwwm884mqjb"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-nose" ,python-nose)))
+    (propagated-inputs
+     `(("python-ifaddr" ,python-ifaddr)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda _ ;; Networking isn't available for these tests.
+             (invoke "nosetests" "-v"
+                     "--exclude" "test_integration_with_listener_ipv6"
+                     "--exclude" "test_launch_and_close_v6_only"
+                     "--exclude" "test_launch_and_close_v4_v6"
+                     "--exclude" "test_launch_and_close"))))))
+    (home-page "https://github.com/jstasiak/python-zeroconf")
+    (synopsis "Pure Python mDNS service discovery")
+    (description
+     "Pure Python multicast DNS (mDNS) service discovery library (Bonjour/Avahi
+compatible).")
+    (license license:lgpl2.1+)))
+
 (define-public python2-zeroconf
   (package
     (name "python2-zeroconf")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:28 2021
Received: from localhost ([127.0.0.1]:48646 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuid-00041o-Rr
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:28 -0500
Received: from mout-p-102.mailbox.org ([80.241.56.152]:15976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuib-00040o-Vn
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:26 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4DwQzh0MwhzQjhF
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:20 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366877;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=W0fdkIWISmTiI63mAuMjAKiJPkZfzU7CVjUH9HfZL5o=;
 b=t7YKyTKx0jgCGkxBrQlgXdYW1xUwbpEz/LSW5PXldvtB5O0OpQDVxBhTrRdbvxMFDf9MNI
 DJLSOpYeCRXqNQaDIdbF6JDavtmiF7gsHpo7+WUpaILY8PikSrnB2lOkK57lMIRinExk/q
 A63DP9uVtXuesShwKRhF7YRwCnPh8dJhzQNNgD4s8P1pHp8c8MSGaR5s1Uxlo8p5a/IpOa
 VlTvvgy0eNa/Babm5Yb/bXOhucuj2a2ytJc6eMvfqc/Smaijxosnc5+IuWKXiVsUEfN83T
 1hbItNdexHwvpUtt8+3mZjYddkykj5uyg64QLrM9JRZkIzlAhycs4xqpGZNb3w==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id qZRVucNvIxzJ for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:16 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 06/27] gnu: python-pyqt: Fix build for new python-sip.
Date: Wed, 10 Mar 2021 20:00:32 +1100
Message-Id: <20210310090053.21612-6-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.89 / 15.00 / 15.00
X-Rspamd-Queue-Id: BFA718A6
X-Rspamd-UID: b6fc77
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python-pyqt)
[source]: Remove pyqt-public-sip.patch. PyQt uses python-pyqt5-sip
now. This patch is still used by python2-pyqt so we don't delete it completely.
[inputs]: Add python-pyqt-builder, python-pyqt5-sip
[arguments]: Add phase to link PyQt5-sip module.
---
 gnu/packages/qt.scm | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 65e61d4dc4..b615a74755 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2074,12 +2074,11 @@ module provides support functions to the automatically generated code.")
                    (string-append "https://www.riverbankcomputing.com/static/"
                                   "Downloads/PyQt5/" version "/PyQt5-"
                                   version ".tar.gz")))
-        (file-name (string-append "PyQt5-"version ".tar.gz"))
+        (file-name (string-append "PyQt5-" version ".tar.gz"))
         (sha256
          (base32
           "1z74295i69cha52llsqffzhb5zz7qnbjc64h8qg21l91jgf0harp"))
-       (patches (search-patches "pyqt-configure.patch"
-                                "pyqt-public-sip.patch"))))
+        (patches (search-patches "pyqt-configure.patch"))))
     (build-system gnu-build-system)
     (native-inputs
      `(("qtbase" ,qtbase))) ; for qmake
@@ -2087,6 +2086,8 @@ module provides support functions to the automatically generated code.")
      `(("python-sip" ,python-sip)))
     (inputs
      `(("python" ,python-wrapper)
+       ("python-pyqt-builder" ,python-pyqt-builder)
+       ("python-pyqt5-sip" ,python-pyqt5-sip)
        ("qtbase" ,qtbase)
        ("qtconnectivity" ,qtconnectivity)
        ("qtdeclarative" ,qtdeclarative)
@@ -2144,7 +2145,16 @@ module provides support functions to the automatically generated code.")
                        ; installed into the python package's
                        ; site-package directory, which is read-only.
                        "--stubsdir" stubs
-                       "--sipdir" sip)))))))
+                       "--sipdir" sip))))
+         ;; Linking here means the sip module can be found without
+         ;; python-pyqt5-sip needing to be added as an input.
+         (add-after 'install 'pyqt5-sip
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (pyqt5-sip  (assoc-ref inputs "python-pyqt5-sip"))
+                    (site "/lib/python3.8/site-packages/PyQt5/")
+                    (.so (first (find-files (string-append pyqt5-sip site) "sip.*"))))
+               (symlink .so (string-append out site (basename .so)))))))))
     (home-page "https://www.riverbankcomputing.com/software/pyqt/intro")
     (synopsis "Python bindings for Qt")
     (description
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:27 2021
Received: from localhost ([127.0.0.1]:48644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuid-00041m-H8
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:27 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuia-00040b-2Y
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:24 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwQzf38d4zQjx0
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:18 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366876;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=vKf/JR7QS28DKlhlAp3QQVSdOM5Kzv0XCS7lsRpJ604=;
 b=SNlFWs4+yJaNfbPDzQHvQ+GZtjpHVLAiXDGNUKxnie+79UgNXr4zOWnZPMOaWNQa8U8hJG
 YuU70rW4NoAm+5V8rYMuI93R/gYoFpCP7r8Dh7mPa/o61ov9qwTzopK8coL1pQAAuSEPBh
 +FjDLnYCa92YXNR0vqxWzlIVwrDoiyMpcAzldlmShy3iDmAttr7wdoV3b7e6n/GAFxsxYD
 PLKG/YR7XbJN2LI0ywbUUZURISh3y9NCo5U1y8dhIAGMhdyj25uF8eDhdgdbfSCidZo1xQ
 9jc5KY9n+WNmuWan0kLW0UkwOa0oyvRw8kJUfunUDhnT3Ezir+0zHiVtw1yYBQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id 9aIXTipYOPNJ for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:14 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 05/27] gnu: Add python-pyqt5-sip.
Date: Wed, 10 Mar 2021 20:00:31 +1100
Message-Id: <20210310090053.21612-5-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.53 / 15.00 / 15.00
X-Rspamd-Queue-Id: 2C813188C
X-Rspamd-UID: 11a79d
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python-pyqt5-sip): New variable.
---
 gnu/packages/qt.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 6435c4b3c3..65e61d4dc4 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2153,6 +2153,25 @@ framework.  The bindings are implemented as a set of Python modules and
 contain over 620 classes.")
     (license license:gpl3)))
 
+(define-public python-pyqt5-sip
+  (package
+    (name "python-pyqt5-sip")
+    (version "12.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "PyQt5_sip" version))
+       (sha256
+        (base32
+         "1gg032ys4pccwkdzmdryadc9a4lq85nr05pag9swrsdykbdl9s9h"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:tests? #f)) ;; No test code.
+    (home-page "https://www.riverbankcomputing.com/software/sip/")
+    (synopsis "Sip module support for PyQt5")
+    (description "Sip module support for PyQt5")
+    (license license:lgpl2.1+)))
+
 (define-public python-pyqtwebengine
   (package
     (name "python-pyqtwebengine")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:24 2021
Received: from localhost ([127.0.0.1]:48640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiZ-00041I-LG
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:24 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiX-00040Y-SW
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:22 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwQzc2xGrzQjx4
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:16 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366874;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=+HcI0StU4y25w7SkF+db+K0xqJuZf3wT3WDCdNUt8sQ=;
 b=gUcacG/c8r41lPQe3UABrVOc2YpbA4YMeHNkF6J/25TyEEL5xt3BbDO6N2U8ex/h2T67ys
 1+mcP0+cDeF2Q0SkOUDUIRwf8rzKHPDn7XAakr8H0UK3ktAsEBc4xkzbwa4RtsRuEdOHKH
 tuW1/Y6+oqPPAckqauu5R3F8eILT+c/uAhYVjr0k0Y3P67jWPbVMe4X+xNS91Pu5oOm9Bx
 bP7yztlQgTh3sapragDusvym8MqsBck/QUBeA9wLzPtE2UO85atJZMVzhowdQMyhOIQLJk
 p0K+TRBI46Tx5dMWMcSXJqlu8rTXlrh6JM49yjW/qFRaH5OW00KbDb/8+0nlLQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id XymPbLEsmxq7 for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:12 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 04/27] gnu: Add python-pyqt-builder.
Date: Wed, 10 Mar 2021 20:00:30 +1100
Message-Id: <20210310090053.21612-4-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.53 / 15.00 / 15.00
X-Rspamd-Queue-Id: 22B3217CE
X-Rspamd-UID: 3eb830
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python-pyqt-builder): New variable.
---
 gnu/packages/qt.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index 877e4b698e..6435c4b3c3 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2326,6 +2326,27 @@ itself.")
                        "--sipdir" sip)))))))
     (license (list license:gpl2 license:gpl3)))) ; choice of either license
 
+(define-public python-pyqt-builder
+  (package
+   (name "python-pyqt-builder")
+   (version "1.9.0")
+   (source
+    (origin
+     (method url-fetch)
+     (uri (pypi-uri "PyQt-builder" version))
+     (sha256
+      (base32
+       "0nh0054c54ji3sm6d268fccf0y5f613spswwgwqd3rnn816hnljl"))))
+   (build-system python-build-system)
+   (inputs
+    `(("python-sip" ,python-sip)))
+   (home-page "https://www.riverbankcomputing.com/static/Docs/PyQt-builder/")
+   (synopsis "The PEP 517 compliant PyQt build system")
+   (description "PyQt-builder is a tool for generating Python bindings for C++
+libraries that use the Qt application framework.  The bindings are built on
+top of the PyQt bindings for Qt.  PyQt-builder is used to build PyQt itself.")
+   (license (list license:gpl2 license:gpl3))))
+
 (define-public python-qtpy
   (package
     (name "python-qtpy")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:23 2021
Received: from localhost ([127.0.0.1]:48638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiZ-00041F-95
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:23 -0500
Received: from mout-p-101.mailbox.org ([80.241.56.151]:63594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiV-00040U-Tw
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:21 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4DwQzZ0182zQjwn
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:14 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366872;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=lkHu2fCJu5sgAKqWb4DjZN+U+gtWArp2YYtfQsSarXE=;
 b=dT5iec8/4Pej8IcWXnzkf8XOUV60mOEBRIM+Lpc2Dn1CELYEEcOEvPL3hox/XcbQsaZs6o
 QdIOE+fHPgDd6oqLHGfiWKfRnysA+dV9dPEcr4ZP91DuLPnxia05phyxIxKTnxA7oZTNNP
 Wmi3ts05VEsAgYy0SE1837OGW+zQWw0SvOd8rnT0+kZS86OK96/4X35jADj2KZ+KImJwmc
 MNrf+HWu0siOlcVzZnonC10DXq4AGcjOSwRu/rTAgFJI9132isr4hKw5cRgKimFatg5LBJ
 rUa5oNNCS2kKOiinFWAaqC6ElzMsSm8FQyt40IL2ZIn06V/3ZhstwLFZ9IZlFQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id U5SekrGVgSpe for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:10 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 03/27] gnu: veusz: Fix build.
Date: Wed, 10 Mar 2021 20:00:29 +1100
Message-Id: <20210310090053.21612-3-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.53 / 15.00 / 15.00
X-Rspamd-Queue-Id: 0314317F1
X-Rspamd-UID: 66e747
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/maths.scm (veusz): Fix build that was broken by updating python-sip
---
 gnu/packages/maths.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 6856737bdf..675e1d5b88 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -2289,7 +2289,8 @@ ASCII text files using Gmsh's own scripting language.")
     (native-inputs
      `(("pkg-config" ,pkg-config)
        ;;("python-astropy" ,python-astropy) ;; FIXME: Package this.
-       ("qttools" ,qttools)))
+       ("qttools" ,qttools)
+       ("python-sip" ,python-sip-4)))
     (inputs
      `(("ghostscript" ,ghostscript) ;optional, for EPS/PS output
        ("python-dbus" ,python-dbus)
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:22 2021
Received: from localhost ([127.0.0.1]:48635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiX-00040w-86
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:22 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:20378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiT-00040P-Au
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:19 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DwQzV73H9zQjxJ
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:10 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366869;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=yPYZTIudKNuEy6DnTDLSW65cg1zVmnAPEnvhmTjLsoU=;
 b=juoVOozQbt7Kqd14cYeDCUFsS7P63RGuqgvNMwB2b1am82IEy31vsWQZ+hSh9ezXOwB0ms
 6VzaooUY21vijXTqiRP+ZBgDUf1S5sVBB94roHd+5ObgKomMXwz+zBcRnVdbzjnnAJS6Tx
 1YxDHuNtCqAl9TUSrDHBUss22KNmPUE9MSSOlbcjIgh45QadIk0uwwfBDEUI1nDZ3DF2Yg
 qG3GVUZ8kpj9jc62mkStWOWquuaNYTVkfPtgrZzyoSvGsPy9HbiAJ7CNrbvH5rFWi8Nmac
 Fuc3lIo+Nr6E29aaXyZBzt8rnIqWxVfOEhGDIr8Y+Cb1aXB9VrMugb6H3mmGnQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id 7nxDq95DkV2V for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:07 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 01/27] gnu: python-sip: Update to 5.5.0. Add python-sip-4
Date: Wed, 10 Mar 2021 20:00:27 +1100
Message-Id: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -4.78 / 15.00 / 15.00
X-Rspamd-Queue-Id: A88751871
X-Rspamd-UID: 54cd30
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python-sip): Update to 5.5.0.
(python-sip-4): New variable. Rename the old python-sip to python-sip-4.
---
 gnu/packages/qt.scm | 52 +++++++++++++++++++++++++++++++++------------
 1 file changed, 39 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index d921aa87fe..ac5a68e8de 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2020 Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
 ;;; Copyright © 2020 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -88,6 +89,7 @@
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages protobuf)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages regex)
   #:use-module (gnu packages ruby)
@@ -1977,6 +1979,42 @@ and binaries removed, and adds modular support for using system libraries.")
 
 (define-public python-sip
   (package
+    (name "python-sip")
+    (version "5.5.0")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (list (pypi-uri "sip" version)
+                   (string-append "https://www.riverbankcomputing.com/static/"
+                                  "Downloads/sip/" version
+                                  "/sip-" version ".tar.gz")))
+        (sha256
+         (base32
+          "1idaivamp1jvbbai9yzv471c62xbqxhaawccvskaizihkd0lq0jx"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python" ,python-wrapper)))
+    (propagated-inputs
+     `(("python-toml" ,python-toml)
+       ("python-packaging" ,python-packaging)))
+    (home-page "https://www.riverbankcomputing.com/software/sip/intro")
+    (synopsis "Python binding creator for C and C++ libraries")
+    (description
+     "SIP is a tool to create Python bindings for C and C++ libraries.  It
+was originally developed to create PyQt, the Python bindings for the Qt
+toolkit, but can be used to create bindings for any C or C++ library.
+
+SIP comprises a code generator and a Python module.  The code generator
+processes a set of specification files and generates C or C++ code, which
+is then compiled to create the bindings extension module.  The SIP Python
+module provides support functions to the automatically generated code.")
+    ;; There is a choice between a python like license, gpl2 and gpl3.
+    ;; For compatibility with pyqt, we need gpl3.
+    (license license:gpl3)))
+
+(define-public python-sip-4
+  (package
+    (inherit python-sip)
     (name "python-sip")
     (version "4.19.24")
     (source
@@ -1992,6 +2030,7 @@ and binaries removed, and adds modular support for using system libraries.")
     (build-system gnu-build-system)
     (native-inputs
      `(("python" ,python-wrapper)))
+    (propagated-inputs `())
     (arguments
      `(#:tests? #f ; no check target
        #:imported-modules ((guix build python-build-system)
@@ -2014,19 +2053,6 @@ and binaries removed, and adds modular support for using system libraries.")
                        "--bindir" bin
                        "--destdir" lib
                        "--incdir" include)))))))
-    (home-page "https://www.riverbankcomputing.com/software/sip/intro")
-    (synopsis "Python binding creator for C and C++ libraries")
-    (description
-     "SIP is a tool to create Python bindings for C and C++ libraries.  It
-was originally developed to create PyQt, the Python bindings for the Qt
-toolkit, but can be used to create bindings for any C or C++ library.
-
-SIP comprises a code generator and a Python module.  The code generator
-processes a set of specification files and generates C or C++ code, which
-is then compiled to create the bindings extension module.  The SIP Python
-module provides support functions to the automatically generated code.")
-    ;; There is a choice between a python like license, gpl2 and gpl3.
-    ;; For compatibility with pyqt, we need gpl3.
     (license license:gpl3)))
 
 (define-public python2-sip
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 10 Mar 2021 09:01:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 10 04:01:21 2021
Received: from localhost ([127.0.0.1]:48633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lJuiW-00040n-79
	for submit <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:21 -0500
Received: from mout-p-201.mailbox.org ([80.241.56.171]:33332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lJuiU-00040R-1c
 for 42885 <at> debbugs.gnu.org; Wed, 10 Mar 2021 04:01:18 -0500
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4DwQzW73SLzQjwy
 for <42885 <at> debbugs.gnu.org>; Wed, 10 Mar 2021 10:01:11 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1615366870;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=lCaGLV4WRq9Iya2+XZybwP/OZvD66UeY/JpbkeQLmW0=;
 b=CM5wX6AhTbd8xBjd9PCavNV7RFQciN5xadVAQMBoG5nP5IaAqDTfNszFXZvb0uuMhzYfmV
 EZsNqG8YJE2oWadAfkRVBUx7a9qoHBYdmyztyPcoO7EzpRjPozyctWd9FYji9gQELkneoK
 p4AFfGc9qWXdh2S4VFqKNI17QQTkVv8ihDOn4Tk1VIKIXzAZqvoBYkFse0Nr8BJD4Ti6rV
 dYm/t/mPfYVfHwwjgfCtlyfjLmtvCfOnQ1+yJ14Yu3vqXwgc/Rydjqi1oKNmEFgWnLAR7d
 iAqj9OO2nCfmg89aVY7f+wkYevx4G/VSe/BXIYE7U+tUmMnkyeZWODNja7iStQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id P147CptenAlX for <42885 <at> debbugs.gnu.org>;
 Wed, 10 Mar 2021 10:01:09 +0100 (CET)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 02/27] gnu: python2-sip: Fix build.
Date: Wed, 10 Mar 2021 20:00:28 +1100
Message-Id: <20210310090053.21612-2-mail@HIDDEN>
In-Reply-To: <20210310090053.21612-1-mail@HIDDEN>
References: <20210310090053.21612-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: ***
X-Rspamd-Score: 3.53 / 15.00 / 15.00
X-Rspamd-Queue-Id: F162317F1
X-Rspamd-UID: 7fdee2
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/qt.scm (python2-sip): Fix renamed python-sip-4 input.
---
 gnu/packages/qt.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index ac5a68e8de..877e4b698e 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2056,7 +2056,7 @@ module provides support functions to the automatically generated code.")
     (license license:gpl3)))
 
 (define-public python2-sip
-  (package (inherit python-sip)
+  (package (inherit python-sip-4)
     (name "python2-sip")
     (native-inputs
      `(("python" ,python-2)))))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 17 Feb 2021 02:47:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 16 21:47:29 2021
Received: from localhost ([127.0.0.1]:42147 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lCCsC-0004FD-KP
	for submit <at> debbugs.gnu.org; Tue, 16 Feb 2021 21:47:29 -0500
Received: from mout-p-202.mailbox.org ([80.241.56.172]:51062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1lCCs6-0004Et-Ta
 for 42885 <at> debbugs.gnu.org; Tue, 16 Feb 2021 21:47:27 -0500
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4DgMgm3KywzQlSD;
 Wed, 17 Feb 2021 03:47:16 +0100 (CET)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1613530034;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:to:
 cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=5xlVk1HwJPyUe+v4/DD2Nw4SuiOUX0sTdCjNHOapIr0=;
 b=sJfqLXFMP4CVS6OV2QuOxMkIkJywTJPIdX+ouTN4oXhFE8cImVQqMb1Ti/n2VFk9EsuFsL
 DvKu7Pojdt8keMzIybAqSRZxUlCTFpksXx+/jiSUikLPKwHwnIewW4jthgXElWo6HRFyMX
 ueWMbvxPUWQ0llEIZwLYCGG2E1onA3Jd6Vul6kktqvxctt8+VPYmpftPrIuDbqbg2MwwCP
 IKw+mKn6JS98oHB2X02KVIuzOce5jmsjv/7fsF1OanZQ8x27CIM9E335vbekASRLsOv50d
 Nx0229qvzFAnN7MtmCIGoIxTAmU72DwgMSuIp/N5bboQpwVQqLJtH3fnEefpzw==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id hv3oXz0eYNfu; Wed, 17 Feb 2021 03:47:12 +0100 (CET)
Subject: Re: bug#42885: [PATCH 0/4] gnu: calibre: Update to 4.22.0.
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN> <87y2lpvrrd.fsf@HIDDEN>
 <87zh65csve.fsf@HIDDEN> <871rjhfhtt.fsf@HIDDEN>
 <87y2lj1moa.fsf@HIDDEN> <877dt3ct7u.fsf@HIDDEN>
 <87sgbq20kw.fsf@HIDDEN> <874knwbtgv.fsf@HIDDEN>
 <87a6xove66.fsf@HIDDEN> <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN> <87blh5yg6o.fsf@HIDDEN>
 <87zh4i6on4.fsf@HIDDEN> <87eeioanm3.fsf_-_@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <1eb856e2-c462-e74c-ab8d-668d10c71a52@HIDDEN>
Date: Wed, 17 Feb 2021 13:47:04 +1100
MIME-Version: 1.0
In-Reply-To: <87eeioanm3.fsf_-_@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-MBO-SPAM-Probability: ***
X-Rspamd-Score: 3.87 / 15.00 / 15.00
X-Rspamd-Queue-Id: 212EF1817
X-Rspamd-UID: 62f9e1
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42885
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42885 <at> debbugs.gnu.org,
 Arun Isaac <arunisaac@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 14/1/21 1:00 am, Ludovic Courtès wrote:
> Hey ho!
>
> What’s the status of this Calibre update?
>
>    https://issues.guix.gnu.org/42885
>
> It it waiting on the SWC thing?
>
> Thanks in advance,  :-)
> Ludo’.

I was away from the project for a bit, but I'm back. I intend to update 
Calibre to the latest (5.11.0) without mathjax since it's not a big 
deal. New obstacles have come in to existence. I think python-pyqt5 may 
need to be updated to use sip5 or sip6, which uses some new sip-build 
thingy. I found it results in make files that tries to install files to 
the python-wrapper store directory, which is immutable. Haven't yet 
figured out how to fix that.





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 14 Jan 2021 20:50:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 15:50:14 2021
Received: from localhost ([127.0.0.1]:39424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l09ZO-0006OO-B5
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 15:50:14 -0500
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1l09ZM-0006OG-JH
 for 42885 <at> debbugs.gnu.org; Thu, 14 Jan 2021 15:50:13 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1610657403; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=d43IREa89n+G4Bcwo4BjGKVD3PsE9fVMgV3XplvQ8JWxXzQgSTUIKJcHAcE/ReaSPoFstMAdnlaxgokZFZ75l0L8WU0gZFWyE6R+A4bzIBA0odtYS+uMaR/NnxoYMaUXxQwDloAn2xOoOTuTLmGXkxY38bZnT5b8An2q84J/DUc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1610657403;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=tCBEQ8omvaeEhqaM/fEIZlb4VLqaYetxRAsFKl+JbXE=; 
 b=N+vYz799GCoNfb5MqW+fnZFLaL+Dlqr7cQigCU0u5sUzPyXveePssRLE0KHLccZMyltjii/kVJ5pixtYsioRwEtTdPUFc31QSoD4qSy0rZrOBRdPaFLHea3k1ySYhlhsnBISeOBVGC0xOT/ZHHo0ASz+Obp0JnjkQk+RUDmpNBs=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1610657403; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=tCBEQ8omvaeEhqaM/fEIZlb4VLqaYetxRAsFKl+JbXE=;
 b=gnWgBRXQKNvdubB7mh2xE3Wt0NzfZR/7+RP8EIg7awuEuiZ2pnQ977rfLQy+mSo7
 Zceq2LrgzTx1lOkVV68uYhzRudrGyhpRwG9RjAF6c5vSqy23BCGJGy/c2k0yBe5MvEU
 rZy7LT19enFIhFOikua0f3gV+jaTWYdVVLVb4ZH4=
Received: from localhost (p54ad4ef9.dip0.t-ipconnect.de [84.173.78.249]) by
 mx.zohomail.com with SMTPS id 1610657401965676.9803526333802;
 Thu, 14 Jan 2021 12:50:01 -0800 (PST)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN> <87blh5yg6o.fsf@HIDDEN>
 <87zh4i6on4.fsf@HIDDEN> <87eeioanm3.fsf_-_@HIDDEN>
 <874kjjsgxr.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: bug#42885: [PATCH 0/4] gnu: calibre: Update to 4.22.0.
In-reply-to: <874kjjsgxr.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 14 Jan 2021 21:49:58 +0100
Message-ID: <87k0sfckg9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-ZohoMailClient: External
X-Zoho-Virus-Status: 1
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Arun Isaac <arunisaac@HIDDEN> writes:

> I got a minimal swc (attached in my previous mail) working. This minimal
> swc works for compiling typescript to javascript. But, I haven't figured
> out how to use it to build web components.

We can also try esbuild.

> This is blocking packaging
> mathjax v3, and thus calibre. I feel that if calibre can go ahead
> without mathjax v3, it should. Then, we can close this issue and open a
> separate one for web components and mathjax.

I=E2=80=99ve been trying to package mathjax v3 for a while, but didn=E2=80=
=99t get far
enough to present anything yet.  Here=E2=80=99s what I have:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=p.patch

diff --git a/gnu/packages/javascript.scm b/gnu/packages/javascript.scm
index 8434836c6f..e6ff5d619d 100644
--- a/gnu/packages/javascript.scm
+++ b/gnu/packages/javascript.scm
@@ -27,6 +27,7 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages lisp-xyz)
+  #:use-module (gnu packages node)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages web)
   #:use-module (guix packages)
@@ -270,6 +271,95 @@ of wicked-good-xpath together with xmldom.")
       (license (list license:expat
                      license:lgpl2.0)))))
 
+(define-public js-mathjax-3
+  (package
+    (name "js-mathjax")
+    (version "3.1.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+              (url "https://github.com/mathjax/MathJax-src")
+              (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0kqcb6pl0zfs4hf8zqb4l50kkfq7isv35vpy05m0lg0yr9w0w4ai"))))
+    (build-system trivial-build-system)
+    (arguments
+     `(#:modules ((guix build utils))
+       #:builder
+       (begin
+         (use-modules (guix build utils)
+                      (ice-9 match))
+         (set-path-environment-variable
+          "PATH" '("bin") (map (match-lambda
+                                 ((_ . input)
+                                  input))
+                               %build-inputs))
+         (copy-recursively (assoc-ref %build-inputs "source")
+                           "source")
+         (chdir "source")
+
+         ;; TODO: we can't build this because it depends on
+         ;; speech-rule-engine.
+         ;;(delete-file-recursively "ts/a11y")
+         (delete-file-recursively "components/src/a11y")
+         
+         ;;(delete-file-recursively "components/src/sre")
+         ;; This file copies a11y files, which we don't build (see above).
+         (delete-file "components/src/node-main/copy.json")
+
+         (substitute* '("components/bin/build"
+                        "components/bin/pack"
+                        "components/bin/copy"
+                        "components/bin/makeAll")
+           (("/usr/bin/env node")
+            (which "node")))
+
+         ;; Make the compiled files of the context menu available. 
+         (mkdir-p "mj-context-menu/js")
+         (copy-recursively (string-append (assoc-ref %build-inputs "js-context-menu")
+                                          "/share/javascript/context-menu")
+                           "mj-context-menu/js")
+
+         (let ((esbuild (string-append (assoc-ref %build-inputs "esbuild")
+                                       "/bin/esbuild"))
+               (node (string-append (assoc-ref %build-inputs "node")
+                                    "/bin/node"))
+               (target (string-append %output "/share/javascript/mathjax")))
+
+           ;; Transpile TypeScript
+           (apply invoke esbuild
+                  "--bundle"
+                  "--tsconfig=tsconfig.json"
+                  "--platform=node"
+                  "--outdir=js"
+                  (find-files "ts" "\\.ts$"))
+
+           (setenv "HOME" "/tmp")
+           (with-directory-excursion "components"
+             ;; This requires network access
+             (substitute* "bin/makeAll"
+               (("processDir\\(fulldir, webpackLib\\);") ""))
+             (invoke node "bin/makeAll" "src"))
+
+           ;; Build components
+           (invoke esbuild
+                   "components/src/tex-chtml-full/tex-chtml-full.js"
+                   "--bundle"
+                   "--minify"
+                   "--platform=node"
+                   (string-append "--outfile=" target "/es5/mml-chtml.js"))))))
+    (native-inputs
+     `(("esbuild" ,esbuild)
+       ("node" ,node-10.22)
+       ("js-context-menu" ,js-context-menu)))
+    (home-page "https://www.mathjax.org/")
+    (synopsis "TODO")
+    (description "TODO")
+    (license license:asl2.0)))
+
 (define-public js-respond
   (package
     (name "js-respond")

--=-=-=
Content-Type: text/plain



-- 
Ricardo

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 14 Jan 2021 14:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 14 09:59:48 2021
Received: from localhost ([127.0.0.1]:38905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l046G-00082r-0E
	for submit <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:59:48 -0500
Received: from mugam.systemreboot.net ([139.59.75.54]:50308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1l046C-00082g-H7
 for 42885 <at> debbugs.gnu.org; Thu, 14 Jan 2021 09:59:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=76NohoanR7JvkXhwsjfgdDOoiLamOWmBfhovNTyEOj4=; b=VTvS5c+iORa1xbagi0GNlFmdb
 Y4dyX/hhhCkWweAhVyrC/22WlpZh7Ph2FVZkn1PWyb4zaSkH1TSQCrBG4KE/ZgbMVtgIXfUBGu7dH
 J0saMrnPcLUaTbcHohcm6QGzUyOvZ2Ewv6v+JFfw0hnM7flkQIubvv1XkdNZj4OxpydC/Z23BOO+F
 NnytFxcctBoVLYKA+3s1qqZz3P9ZfK73RmQYMufSdisHFSX3LJ4G3FJBCryTO5IxhotX5VNIHWaS6
 nIVC8bUZGvHegnNSb/0khCySHJC/eueDIs/kPqDXCvLXi+tnkyLmLX+Ye92qRodTLQ1M57vNRF4Jd
 l8/0Aow8w==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1l041u-0002ia-Gp; Thu, 14 Jan 2021 20:25:18 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#42885: [PATCH 0/4] gnu: calibre: Update to 4.22.0.
In-Reply-To: <87eeioanm3.fsf_-_@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN> <87blh5yg6o.fsf@HIDDEN>
 <87zh4i6on4.fsf@HIDDEN> <87eeioanm3.fsf_-_@HIDDEN>
Date: Thu, 14 Jan 2021 20:29:12 +0530
Message-ID: <874kjjsgxr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42885 <at> debbugs.gnu.org,
 Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi Ludo,

I got a minimal swc (attached in my previous mail) working. This minimal
swc works for compiling typescript to javascript. But, I haven't figured
out how to use it to build web components. This is blocking packaging
mathjax v3, and thus calibre. I feel that if calibre can go ahead
without mathjax v3, it should. Then, we can close this issue and open a
separate one for web components and mathjax.

Regards,
Arun

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAmAAXEAbHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzQfQH/3VRB/Oow5qalogKs26J
gEFT+8a2dB9l2Rz/zwmfeWBiShNsxK40vIbWRxJbJtAjzB468KPiv5xPSa5cr1bw
xdhBeAnB6CCsyFzI5dQrqREwbwW70Dyh9/S9cKfdhNawRmPfwf0AlXCuCIx4WWY9
gZjliFNed9HlG1vVBpjpJTUmYQ+w0CMt1H0JYUy+m+LVz07jadGy6wvmnwLQ028W
EvSenqm1jgVcXfVX1n9KvyrenE0VdKsrm3OG5bpRnCgR21ucYeiyy9N1yo8+Fxz3
z75/AXex4flezJ13QOCEW9iwCG3nLZbgGl9elVQNKsohT5hZl3ImSbiqe7EkBegc
e+k=
=WA6s
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 13 Jan 2021 15:00:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 10:00:16 2021
Received: from localhost ([127.0.0.1]:36215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzhd9-0007zm-Vs
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 10:00:16 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kzhd8-0007zU-FI
 for 42885 <at> debbugs.gnu.org; Wed, 13 Jan 2021 10:00:15 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57467)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kzhd0-0002A6-En; Wed, 13 Jan 2021 10:00:06 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=39308 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kzhcz-0005UN-UF; Wed, 13 Jan 2021 10:00:06 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: bug#42885: [PATCH 0/4] gnu: calibre: Update to 4.22.0.
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN> <87blh5yg6o.fsf@HIDDEN>
 <87zh4i6on4.fsf@HIDDEN>
Date: Wed, 13 Jan 2021 16:00:04 +0100
In-Reply-To: <87zh4i6on4.fsf@HIDDEN> (Arun Isaac's message of "Tue, 
 20 Oct 2020 00:15:19 +0530")
Message-ID: <87eeioanm3.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42885
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42885 <at> debbugs.gnu.org,
 Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hey ho!

What=E2=80=99s the status of this Calibre update?

  https://issues.guix.gnu.org/42885

It it waiting on the SWC thing?

Thanks in advance,  :-)
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 19 Oct 2020 18:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 14:45:40 2020
Received: from localhost ([127.0.0.1]:42367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUaA7-0006DF-OJ
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 14:45:40 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:47072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kUaA5-00069U-1I
 for 42885 <at> debbugs.gnu.org; Mon, 19 Oct 2020 14:45:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zlpPRylyTk6oH26FkjP5JCKwA5T7Zg0ZHNEjBf7ffEM=; b=OMZ8YxWLmoIgyUSN5oxAznkoF
 FYGm7eo4vVb1oP8mn4rVl+6A/cco52zuDxiZ0r+Zz0XzaQ+PRmMflNcys9PoFl18VQ2ztRaaIx2/w
 fhw+gQS3nrYuGVVCBqO77XPzO1n/VP6LxHrzPOrk4o4PlpMM1piQVVVWfWQT4TNKAcxlxZ9iBD0hL
 wRJtHTfI2Oc3wZQY05yjLr3phDz88odmrWK92WqwP6qLdYahcOKvA/MG8nh7WTFP4iLSWKhQJyO31
 V58ufI+icgQFiua1VFylcOaHG4g1mRwyPjSgg+riF9V66Xh5VcxmSPkhf/0zaiC/83z/8y/WHgomJ
 SW5qKTAdw==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kUa7a-001Wyc-7J; Tue, 20 Oct 2020 00:13:02 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] Merge wip-swc
In-Reply-To: <87blh5yg6o.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN> <87blh5yg6o.fsf@HIDDEN>
Date: Tue, 20 Oct 2020 00:15:19 +0530
Message-ID: <87zh4i6on4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain


> I looked at this today, but my rust-foo is very, very weak.
> I tried to compile this:
>
>   https://github.com/swc-project/swc/blob/master/examples/usage.rs

I managed to get this working. Please see the attached tarball. The
steps to test are:

Unpack the tarball and change directory.
Clone the swc git repo.
Build and run using cargo.

--8<---------------cut here---------------start------------->8---
tar xvf miniswc.tar.gz
cd miniswc
git clone https://github.com/swc-project
cargo run
--8<---------------cut here---------------end--------------->8---

src/main.rs in the tarball is a slightly modified version of
examples/usage.rs in the swc git repo. On running, it transpiles the
file foo.ts and outputs to stdout.

The next step is to see if this is any good for building MathJax from
source.

Cheers!


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=miniswc.tar.gz
Content-Transfer-Encoding: base64

H4sIAAAAAAAAA+2W3W/bNhDA88y/gtOAQQJUyfJHPMhdsSB76B6KFQiKPgSBwVInm6tECiS1zAj8
v+9IyR/NhgXD2nQY+HuwzOPxeCfy7tQKKcw9z6+Z3qjMqra5+OxMkMv53D2L5WIyPOeXXu6YLy8v
itlyPpstFtMp6hWz2XJ2QSef35U/0xvLNKUXTPfy7/VAm+dw6Hm57Rj/yDZwRyRrgf5Ao3a4ERH5
DQMWSjrZJCuySURYb7dKG5TcRlf4vujPhjFOX7p3J9zfH83OWGg1fFDKZhLsq+iOQCXsaGc6Kb6P
CPmW3gDQVmmgH2FnKJMVtVsQmlZQ4/ZOHaWWbq3tTJnnleKZxpN60TC5yZTe5Nzd11xDDRokh7xl
UtRgbLa1bUPIbQUdyAqnBJg7gvHg9g8ds1vnRpa7APdOvOaqbb1zn87mgzxKaQ3M9hqGqK3dvYBW
WAs6utuTr316/57xtPNaYfZ/ofv9ZP4Xy0P+F7PLJeb/dLFchPx/DoTEq1wzDvQdBkgfCKWuEJTU
WC3kZoVjUZVU9u0H0CuyJ4Q3zBivfcW56qV9chEOOSa01T23SsfnqumZYuINUawEwmRjNXKP1Ukq
KpSJykn23hdnlrqjKQf/cQXcnzsXR2963W13mMhFsiINYFGBplHvlW6csei1G1E/jFb/g4T+hxzy
32iONVTI7Atc8ifyv5hNpsf+v1j6/r+YFiH/nwMMC1OxKkvf/sryLf6m1OwkL8srzfcr4jXucfhg
oKlTl8q12JTlL51v0yeNsZWiok9Y0Bq/FXB0rRqlr/2qlL7GXt+A3qde50b1msMb1hE0Q2pJ3RWM
D4XAJStvMUnRkbJ8eVR+VZb4ncD6xsbJ6qi5HSwf1LEOxONmZXkv7HaNvXs99u7Yr3KcOYcB91al
xymsV3Aa1awxZ8Mb1ULM24w3SkKcJMNMcuaP++Lw7+1atZ3wbjifTmvSg8tHI8Pio4Xaxc7b455Z
o1i1rtFW/NYflrMXDZ07SpKTHvzeAcfSVzPUxU8rRd1K6lZGia/HlHZYfu03cfSwj05RITzrtOJg
zPpXM+x1PuvfRJs+Fn03Xobx4B6RZT8Nx3V2bo/19p/YTP4ihNGtMYqMqwoS15C+dgYFAoFAIBAI
BAKBQCAQCAQCgUAgEAgEAv8d/gBrx1xuACgAAA==
--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl+N3r8bHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzEmEIAJ7nljlqok3eJ34nmbJG
K5Hj5CD84jn32k1YRod39UxDaUyyKu3tuCdJXnjTYyEgmY62DV47Gq7JXe9LGwnx
EkfUsszEay8pyHlc3jvDF0bLRtwZ3e29k9wH5x6CtBQeBQK8OxTdYPaL6XoT9tJr
QMZtDbtv6kuTUoXojbTmNgpDi6JviYcLWJtlCb9mlCHIzZlVIjqWFbYqvTvU1DAG
nv6Cq04xydQ8JXXs1W8AA9VVLCG6ZbZg29sJ2+KTRyeQN2TLxH2UTh345jX0EB3d
EiTvjOCiBOwGhd8v5eMeHaP4PV3+8omQnqlyPlsZsLHMYesog8zSP7KkygXBaG/2
14g=
=jjSw
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 13 Oct 2020 21:20:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 17:20:52 2020
Received: from localhost ([127.0.0.1]:49090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSRj2-0003jV-E2
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 17:20:52 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21191)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kSRiz-0003jL-Vj
 for 42885 <at> debbugs.gnu.org; Tue, 13 Oct 2020 17:20:51 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1602624040; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=I6b83vwBx+HoShQtiZs8xo+yXLARK2tX3yGyQRv6rcJnmhf6500ZVzCHM0tSS0i/X18+4y7KRQzD6W05BQovnBJF5UkasjVPROH0yttcwAsTPgHcHNlqE6+JzdDVQgCqPe/ZpcYP97syw2cC9Z1TXeiWpMgQj5uVSaaQicP3LJQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1602624040;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=b9XjmFvT9JTu6BCaue5qdHKvtbzSy4MsqRuseqiQIxg=; 
 b=fCm2qpYoWIx88SMEldoi3KOrAs2EVxWsaQW6eJguedt/s3uvaalysx99ELhBTg3iSzySw5TxjuLEdxzi6p9TVKYCRZ9FyrFQknhNp4EOjBRCFdXCBwd3jyL3AvNM4eagkogkzDfXopeB6q/owtsusOWF8+uXOFk79k7/L97OFG0=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1602624040; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=b9XjmFvT9JTu6BCaue5qdHKvtbzSy4MsqRuseqiQIxg=;
 b=PcnZuDcMRQuyYswy4tHRakZE+gZMWTwoqSL3hataCxNqECKG9bJInimsH3j9cvry
 AyIjAC+u+z2q8GGZbuEnPvmMVDN3Mr7k3/chPGX+iG4R9kPlUDsgtvwnr2lkdBE4dxd
 Fr68wdICijxZWuo8JElQJhdWv7/mgWvkvZ1COMIk=
Received: from localhost (p54ad4fdc.dip0.t-ipconnect.de [84.173.79.220]) by
 mx.zohomail.com with SMTPS id 1602624038389371.9398008089379;
 Tue, 13 Oct 2020 14:20:38 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
 <87blh6q835.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] Merge wip-swc
In-reply-to: <87blh6q835.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 13 Oct 2020 23:22:23 +0200
Message-ID: <87blh5yg6o.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Brendan Tildesley <mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Arun Isaac <arunisaac@HIDDEN> writes:

>> I'm kind of worried how long it will take to get that build system. Even 
>> if we have it, will it really succeed at building MathJax so easily? If 
>> it's going to take a while, I'm tempted to just update Calibre without 
>> mathjax support. In theory I'm willing to do work to help but it all 
>> seems rather advanced for me, so i'm glad to see you make progress. 
>> What's the next step?
>
> True, I have similar concerns too. The next step, like Ricardo said, is
> to write a simple rust script that uses rust-swc to compile typescript
> to javascript. I am unfamiliar with both rust and typescript. So, if I
> am to do it, I would need some time. If someone else volunteers to do
> it, that would be great.

I looked at this today, but my rust-foo is very, very weak.
I tried to compile this:

  https://github.com/swc-project/swc/blob/master/examples/usage.rs

jlicht told me on IRC that we also have a package for esbuild now, which
could also be used for transpiling TypeScript to JS.

-- 
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 13 Oct 2020 18:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 14:44:40 2020
Received: from localhost ([127.0.0.1]:48825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSPHr-0008Ey-Pn
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 14:44:40 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:45424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kSPHo-0008En-JN
 for 42885 <at> debbugs.gnu.org; Tue, 13 Oct 2020 14:44:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=W/km3Fnx722i5aKS/pVg26rJYyPetibW1KlXhspgQsc=; b=D2h3isFkeZmhL6oc22Y9S3l69
 tdEbkPFMqT6QD4Q2iyO+MpWREIqcPkEjkuZgw7OcbBEYeeFy5REIQzPQUsKlHwzjysjRfEWSCPdv7
 c4u0CfpkrJ91dYiTSsfmv5bIv5feijHLvH7JT7f0POJvbtOzvM2I/xWBtfLYsCv3+tfWHo57YaQnF
 wMBHbCflvePjopHKexhrp6eWfGJtEYrttmgF76FoUAkhq4vN77I+zkHrDyLPyr8E9Vivu0z4QE0sZ
 qCjv2nJS2e7qc4tu6Jrxb9P9c5LVdbyC+IDrM8pIVdr3FLFksgsXd7WahfZoRANLrb7ua6JEpi3eo
 CWmgDcMcA==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kSPFc-000xcd-Mm; Wed, 14 Oct 2020 00:12:20 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>, Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] Merge wip-swc
In-Reply-To: <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
 <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
Date: Wed, 14 Oct 2020 00:14:30 +0530
Message-ID: <87blh6q835.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Thank you very much.

:-)

> I'm kind of worried how long it will take to get that build system. Even 
> if we have it, will it really succeed at building MathJax so easily? If 
> it's going to take a while, I'm tempted to just update Calibre without 
> mathjax support. In theory I'm willing to do work to help but it all 
> seems rather advanced for me, so i'm glad to see you make progress. 
> What's the next step?

True, I have similar concerns too. The next step, like Ricardo said, is
to write a simple rust script that uses rust-swc to compile typescript
to javascript. I am unfamiliar with both rust and typescript. So, if I
am to do it, I would need some time. If someone else volunteers to do
it, that would be great.

> Calibre 5+ is out now which is on python3. I could even create a 
> calibre-next so that both calibre@HIDDEN exists and calibre will be 
> calibre@HIDDEN, utilizing Guix's design.

I think we shouldn't let the typescript build system and mathjax block
calibre. If I understand correctly, calibre depends on mathjax only
optionally. So, you should go ahead with your work on calibre regardless
of what happens with mathjax.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 12 Oct 2020 22:17:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 18:17:45 2020
Received: from localhost ([127.0.0.1]:44266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS68W-0007mI-R2
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 18:17:45 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:15496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kS68T-0007m3-N7
 for 42885 <at> debbugs.gnu.org; Mon, 12 Oct 2020 18:17:43 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4C9CjC35mZzKmgD;
 Tue, 13 Oct 2020 00:17:35 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1602541053;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ShBunFO4Nbp/9EdiqFaqlwOb0HVXFJgbuGGv1ml6Wg8=;
 b=LNbFgfweahBpO5OkJCoJTtQYujbw/DGfKN3fEA/zE+2tFGlps2I4TL8YFzWrZdSAmWinsI
 hfggQdp/31XvhdELCvXwY9NqX1trxo9xU1S25+Tsxk24BMUVhKN6HvuL9OAp32xuoVNno/
 cNIDLCEeH0gN1FPSOhD7VN1kCdYoRWR/QgM9faqrXanw6qhc4T275c9CWe7LYwNHTgVRCS
 yyX7zWyl44hWp/o2rD6K4qHvuUAPEDXBJcECDW11mVZiCBdtxA19jwUTVS1cTKxxx1XHxg
 C8GD3gWahXS8cfiLtomwg8qqejAsG8C8OvALbg97YGeExTOPRwydH/LliOhI2A==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id hDYSi8-UZpi4; Tue, 13 Oct 2020 00:17:32 +0200 (CEST)
Subject: Re: [bug#42885] Merge wip-swc
To: Arun Isaac <arunisaac@HIDDEN>,
 Ricardo Wurmus <rekado@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN> <87y2lpvrrd.fsf@HIDDEN>
 <87zh65csve.fsf@HIDDEN> <871rjhfhtt.fsf@HIDDEN>
 <87y2lj1moa.fsf@HIDDEN> <877dt3ct7u.fsf@HIDDEN>
 <87sgbq20kw.fsf@HIDDEN> <874knwbtgv.fsf@HIDDEN>
 <87a6xove66.fsf@HIDDEN> <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN> <87a6wr29i2.fsf@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <ecbb3547-3253-edda-a1fb-e508c0b80b61@HIDDEN>
Date: Tue, 13 Oct 2020 09:17:23 +1100
MIME-Version: 1.0
In-Reply-To: <87a6wr29i2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.31 / 15.00 / 15.00
X-Rspamd-Queue-Id: 8A51F108B
X-Rspamd-UID: 8904ff
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 12/10/20 5:23 pm, Arun Isaac wrote:
> I have merged wip-swc into master. Should this bug report be closed now?
> Is there any pending work here related to calibre? We need a typescript
> build system that uses swc. But, we should handle that in a separate bug
> report.
>
> Thanks!

Thank you very much.

I'm kind of worried how long it will take to get that build system. Even 
if we have it, will it really succeed at building MathJax so easily? If 
it's going to take a while, I'm tempted to just update Calibre without 
mathjax support. In theory I'm willing to do work to help but it all 
seems rather advanced for me, so i'm glad to see you make progress. 
What's the next step?

Calibre 5+ is out now which is on python3. I could even create a 
calibre-next so that both calibre@HIDDEN exists and calibre will be 
calibre@HIDDEN, utilizing Guix's design.





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 12 Oct 2020 07:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 03:23:37 2020
Received: from localhost ([127.0.0.1]:41570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRsBF-0005R1-MD
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 03:23:37 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:38350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kRsBB-0005Qp-AN
 for 42885 <at> debbugs.gnu.org; Mon, 12 Oct 2020 03:23:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=EsN7ODsA7LogLi23cehpkJ7VoZ/bLNhsprwAIirxM4w=; b=T/W7whBF3K/tx+eRq9oRWlYt8
 4lILF6plycv2aZJKIla6VYHSjYfAD6pN+xHYCt2pweai/LaMWS6jZJgaq2JzMgl0gSpgvRpmj6SPO
 kvsTgsNlY2F+SAJ9vqQjfnfABnv2J+JDl7T32sl6eSl16+IPgo49wl0iQsRtRY/6PzsofvX2oA8l2
 EidHuenUbYnjfBVUjE+9BROtP/cjt7C4d1pYXEIbPHNGdpWT0LjnvPp8qH4XI1YXhHyp1wajJEKVT
 7FSshbMAK50XzIMVUUB0/lH2735U1RuFcAWxA5uPcfgh6ALGU8pwbaIDkyB1lyr5aumiFzyknksSj
 vcLnzoRuQ==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kRs8t-000tPp-Hq; Mon, 12 Oct 2020 12:51:11 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>, Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] Merge wip-swc
In-Reply-To: <87ft6zx1rh.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
 <87ft6zx1rh.fsf@HIDDEN>
Date: Mon, 12 Oct 2020 12:53:17 +0530
Message-ID: <87a6wr29i2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I have merged wip-swc into master. Should this bug report be closed now?
Is there any pending work here related to calibre? We need a typescript
build system that uses swc. But, we should handle that in a separate bug
report.

Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 30 Sep 2020 05:38:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 30 01:38:43 2020
Received: from localhost ([127.0.0.1]:57846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNUp9-0000i9-4J
	for submit <at> debbugs.gnu.org; Wed, 30 Sep 2020 01:38:43 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:35252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kNUp6-0000hy-56
 for 42885 <at> debbugs.gnu.org; Wed, 30 Sep 2020 01:38:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WlYjtJl3p2Gp1pkKgxhUcHzbzcIUShaavcsuXHSfF2E=; b=k5tghb3MORJQwoYjkhIoIH2R6
 yMUschwoCoN6KC4lXTmhFe+5VwUtOHDzHnJMefkHpkUbx9z+19PDebW5/1NHAM2mcKpiFQ+Llz3D4
 QwTMh6MErCtKttYZ+LORR5FzAbcrc20NuVvMmYapnV+eIBpH0vRvlqOrfEBXKqPQhlQyvbR5/DXV2
 MmuZ9t1F2Elnv8EA+bp+8EZN/9wLajfgOaw+xbNnVJ0O+VcwjYsE8aU1onpgEBQUbT1gOjUuIQQZs
 xg5tKBaDs+XFFGcfJUXQyG8MHb5JBE3Q3fzZEnbT8ZdNIEvGLFPWl7I6q65ACq3tbTBCtQ8LUjdQ9
 vucvgyy6w==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kNUnP-000T8D-Fv; Wed, 30 Sep 2020 11:06:55 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>, Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] Merge wip-swc
In-Reply-To: <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
 <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
Date: Wed, 30 Sep 2020 11:08:26 +0530
Message-ID: <87ft6zx1rh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> BTW, is it possible for your wip-swc branch to be merged into master?

I think it can be done. I was just waiting for someone to review and
approve it.

@Ricardo: Shall I go ahead and merge?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl90GdIbHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzGG4H/101/0xviF6/pHQYKGEc
+Ied2WiPBB8Gyg93YcSTotliUB5lpFW1xlg4ty5OCXAUhK2gML+5hK0YYzbtnMXs
jLCyOgswEnHdrcqhoGVRsWj756i2taU5fRY2FYy5uCar/GI8UgI09i2VHPqRt77/
F3+6NzWenzsAX+MrbQe7jZ4IJqzZjcFBThHQrtcidkmwry0jBID8ZOrQNVcOG+8r
LOTBp0pGG+CZrsM9IwUt2JLkx63nkMIsDT7HBrRs09k6g0RxWCa+V4/737dl+o78
cMd6YM2jQFps0HVjo4+lWeYqI53M0S9Yi+TSweu3kWSOydh5C4686mNBWoOLZkTa
QJ8=
=IQwu
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 29 Sep 2020 23:56:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 29 19:56:56 2020
Received: from localhost ([127.0.0.1]:57565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kNPUO-0004Tw-7n
	for submit <at> debbugs.gnu.org; Tue, 29 Sep 2020 19:56:56 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:25744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kNPUL-0004Ti-JV
 for 42885 <at> debbugs.gnu.org; Tue, 29 Sep 2020 19:56:54 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4C1GWd203yzKmmm;
 Wed, 30 Sep 2020 01:56:45 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1601423803;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=DNsZm8aDiRfNhryEO5mVgnUmtuIDoZ1uan99UJpGpG0=;
 b=evNPDhpd4IbBkE4vT2cWes74MlHO5Ez1xGW2wM7XDT1AHiUHIcBCB4F9LAfF63+yuo4Xyq
 z7aJNbnUiEeVAOjUDtTqNop7w+pI1z71Mp7eKPKfyd3pFqhGlaWUTJGcHPjLtdXbFG2HNh
 FNNJnf42wvElqgQ/qI+pAeR82IkMZ4LdPKUAXHGAdyGWQauTwQmO81AZbaGYWtCMt54j09
 wlJDy2b+bYacl9k6jAB6UE4uVPRRET32UQxMQX6fE4fun9NBbjlmLaNHUl+5nWikL0SX6p
 xB2+jr/9iSrbG70MbEub7gWFloTTxmxweH1gxfL8wKHGZT3RLlAARRyfz/SnzQ==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id ciAsA6P-LaVm; Wed, 30 Sep 2020 01:56:41 +0200 (CEST)
Subject: Re: [bug#42885] Merge wip-swc
To: Arun Isaac <arunisaac@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN> <87y2lpvrrd.fsf@HIDDEN>
 <87zh65csve.fsf@HIDDEN> <871rjhfhtt.fsf@HIDDEN>
 <87y2lj1moa.fsf@HIDDEN> <877dt3ct7u.fsf@HIDDEN>
 <87sgbq20kw.fsf@HIDDEN> <874knwbtgv.fsf@HIDDEN>
 <87a6xove66.fsf@HIDDEN> <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
 <87pn6eid4c.fsf@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <7d55f6f8-ff58-c548-8bec-8508a71be2cf@HIDDEN>
Date: Wed, 30 Sep 2020 09:56:34 +1000
MIME-Version: 1.0
In-Reply-To: <87pn6eid4c.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -3.40 / 15.00 / 15.00
X-Rspamd-Queue-Id: 02CC2EF7
X-Rspamd-UID: 7ffa8c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


BTW, is it possible for your wip-swc branch to be merged into master? I 
found my self building a package of my own starting from this branch 
because it includes the rust packages I needed. Is there any reason it 
can't be done? It would be convenient for me at least.





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 22 Sep 2020 05:39:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 22 01:39:45 2020
Received: from localhost ([127.0.0.1]:56961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKb1l-0006NI-4t
	for submit <at> debbugs.gnu.org; Tue, 22 Sep 2020 01:39:45 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:50856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kKb1i-0006N8-0w
 for 42885 <at> debbugs.gnu.org; Tue, 22 Sep 2020 01:39:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kPWY926uPDO/xpU5noqMQwLnWNPlmSZge61aCgA9kDI=; b=d/v9I3MX8KyOC5AnElPjdsMAQ
 0lRkqf8I+Wvwr9HoLOGtWH7a9V9/qb2a5J4/Z44pDhOo6tOgdfOA2oPsNcbZG8OvBwQf7/jufgaPb
 AKoCD96/f3zVO5M3wrFx/OTrwgcWMyWhGM/uA9i4N+ap1iEkkRr4D6r6ogl8CNTWLb5lxBxytr2MK
 o4v48jMq9wbVDpMkdkWEUberqdkIBSgYmTra+NePFKT8Zo5xTr4J2Ubbcua5W3mIpt29YkvYskXFB
 ft88jl4yd44e7Q7F/jI3WcPIXFvFjhFUrD/TvfmZVD5SWHYTFXapwpK6Fggm1uM1J9X8RQePUgXJ+
 IPvt8aKhQ==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kKb0L-0000r0-0g; Tue, 22 Sep 2020 11:08:17 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
 <87y2l3zaa4.fsf@HIDDEN>
 <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
Date: Tue, 22 Sep 2020 11:09:31 +0530
Message-ID: <87pn6eid4c.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> While working on this patchset, I hacked the crate importer a bit to
>> make my life easier.

> Are you aware of this importer: https://issues.guix.gnu.org/issue/38408/ ?

Oh, I wasn't aware of this importer. It seems to address my
concerns. So, I'll just wait for it to get merged into master.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9pjhMbHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuz1CEH/A5O+ioyNExSYxGADPGV
3sBbPNGdrGiWku2l2w+stiO4O+4KTiNwHvMdzfNPAjPee/PHJVKAuU/Fzmwh8HVW
uewWlMWYa8PsoMrm/hvQJMITvabpH8nQKw2IF4ObsyQ8ctu5k2zIfHyJV2bc1ogs
j7HOQJXbwMJNnD2iNnYXLVG5UzJlQXdFQuhFUI7cueB9WzMlP1evnm/wJLrI+FF8
I93hujYTv8U0A94AKvBHnOgt5KrRMwVkf0k0gCmI83zzOe+RH/KFLzJ3VQVElt4W
HoFKyFCqNHahDlAH0SRqYVh2DhWtCJ6QnQhTnxNf0HvRNHsgh6dqtE74UyUjzBX/
Vyc=
=DkXU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 21 Sep 2020 11:09:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 21 07:09:21 2020
Received: from localhost ([127.0.0.1]:53548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKJhA-0005QJ-Jq
	for submit <at> debbugs.gnu.org; Mon, 21 Sep 2020 07:09:20 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:11572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kKJh8-0005Q4-Oq
 for 42885 <at> debbugs.gnu.org; Mon, 21 Sep 2020 07:09:19 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-384) server-signature RSA-PSS (4096 bits) server-digest
 SHA256) (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4Bw1sg4WRFzKmcH;
 Mon, 21 Sep 2020 13:09:11 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1600686549;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=EkrsOZMtgbacY94VA3nDy3X7SzyZddpO8Bl50B9rwfY=;
 b=TNJttciH9JllWrakFozCm3ZdWMcWD0TECBRbd3hNxXlVn0U2d33QMv6lvmU3JANHreH3Fm
 OaiH7HLk+Tka3kPUkVKik+tz31JWfMFNG+Zaa4JOOfztc+rQX8QL003AclytQOphxL8HRK
 itIAR8I7Y/aIA9Q/8ijsN6p0YrPSvvgN1WGrjSTAm/kogfXQR635tqWUvzUlOnaZnoXn5S
 qn7uPCT7YjXVDZbKlxzvOThJv6skXDWg7ONW2mfVgj+46nz8+IxZWR8b2dL0dsuk0c9rtH
 rZkjpLqd6qTL8SadaImOf6BrZUp3FpyQP8DQrjPX1TC/TMEI+84stMQnqyRQOg==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id YsDg5OzsRTGo; Mon, 21 Sep 2020 13:09:05 +0200 (CEST)
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
To: Arun Isaac <arunisaac@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN> <87y2lpvrrd.fsf@HIDDEN>
 <87zh65csve.fsf@HIDDEN> <871rjhfhtt.fsf@HIDDEN>
 <87y2lj1moa.fsf@HIDDEN> <877dt3ct7u.fsf@HIDDEN>
 <87sgbq20kw.fsf@HIDDEN> <874knwbtgv.fsf@HIDDEN>
 <87a6xove66.fsf@HIDDEN> <87y2l3zaa4.fsf@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <f9b1f9ec-da99-c2f4-7a48-375eb6ac5552@HIDDEN>
Date: Mon, 21 Sep 2020 21:08:49 +1000
MIME-Version: 1.0
In-Reply-To: <87y2l3zaa4.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -4.96 / 15.00 / 15.00
X-Rspamd-Queue-Id: 1798117E6
X-Rspamd-UID: 3a95ac
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 21/9/20 8:36 pm, Arun Isaac wrote:
> ...
> While working on this patchset, I hacked the crate importer a bit to
> make my life easier. In particular, I modified it to correctly append
> the version to the package variable name. This requires a slightly more
> general recursive importer than we have currently. The current recursive
> importer assumes that we will package only one version for each
> package. That assumption does not stand for rust crates.
Are you aware of this importer: https://issues.guix.gnu.org/issue/38408/ ?





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 21 Sep 2020 10:37:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 21 06:37:21 2020
Received: from localhost ([127.0.0.1]:53516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kKJCD-0004fX-Jv
	for submit <at> debbugs.gnu.org; Mon, 21 Sep 2020 06:37:21 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:46432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kKJCA-0004fM-1I
 for 42885 <at> debbugs.gnu.org; Mon, 21 Sep 2020 06:37:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kniI8trt9Y759ArhhvwYrLMKaJrjKE7fagWV701cvMU=; b=CRddGx6r+iyZtXKWgS05yQJPS
 svNG8fGivc0I7iTZT9Af45+KLcN1iM3k72d/tD1MkxThgPXXQJSYQDh7YFmHOOMnbf+mVOoZNYZYJ
 yfRK0h9MSwj7UoGEPop6wPlLqC741nm0B6fyKsnZxYDNneFyKTygeeF0OQ9SwBNTyBbWOauXfvLkG
 4wYj7WvIv4ORFpP4s7XvhKqdwaoKms+LdwMygZW/NFh1om50mBlcr+OX0sg7h+BQEleQ9U6oQkezG
 03eyu3HyeqENM17sLyNdUml5nEHR7pognaekra6QjElbnfBWaPu4jBJjtGXpEK4NPN0amjGDwqMOH
 Vi+VgqdFA==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kKJAV-0000Lz-6P; Mon, 21 Sep 2020 16:05:35 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <87a6xove66.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN> <87a6xove66.fsf@HIDDEN>
Date: Mon, 21 Sep 2020 16:06:35 +0530
Message-ID: <87y2l3zaa4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


I have pushed my commits to a new wip-swc branch. A few questions and
discussion points below.

Considering that only the source of rust dependencies is used, should
those packages successfully build on their own? In the wip-swc branch, I
have only verified that the rust-swc package builds. There may be some
dependencies which fail to build on their own.
  
Related to the previous question, what is the purpose of the
#:skip-build? argument? Should it be set to #t for all dependency
packages?

While working on this patchset, I hacked the crate importer a bit to
make my life easier. In particular, I modified it to correctly append
the version to the package variable name. This requires a slightly more
general recursive importer than we have currently. The current recursive
importer assumes that we will package only one version for each
package. That assumption does not stand for rust crates.

We also don't always need to put the minor version into the package
variable name. For example, rust-syn-1 is sufficient. rust-syn-1.0 is
not required. The exact rules follow from
https://doc.rust-lang.org/cargo/reference/specifying-dependencies.html
I improved the crate importer to better understand these version
requirement rules and put packages of the correct version into the
#:cargo-inputs and #:cargo-development-inputs fields.

I will send patches for these crate importer improvements separately
after this patchset is approved.

We also need some automated way to "garbage collect" old versions of
packages in crates-io.scm. crates-io.scm is getting quite large, and I
suspect many packages in there are old versions that are not really
necessary.

> I expected as much, but I was hoping that we could invoke it some other
> way, much like we invoke uglify-js (the Common Lisp package) with a
> little custom wrapper.

That is a good idea. But, I have never written any rust. Perhaps someone
who is more familiar with rust should write it.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 17 Sep 2020 11:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 07:23:41 2020
Received: from localhost ([127.0.0.1]:37422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIs0r-00089y-19
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 07:23:41 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kIs0o-00089o-U7
 for 42885 <at> debbugs.gnu.org; Thu, 17 Sep 2020 07:23:39 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1600341813; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=nd4u9ltal9sRNzLGqyxBAeVzH2yjQQWOMNyU4/5kmrdo76wICrRsg3Gj+D4klAc4G5lSxP5+nbHbKyrOftaPub+zUYqbNPRz+6X9AxmuCNSM2VVKEg2otxVN4lfZgNJzjd0zT2DXJPenNfwjf5p7Rnr+gYcDjYpN/YUzLxHVYO0=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1600341813;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=LpojbZNDIINL3vBSW9esvvysMuXILgTTQ3fI0fOB+NU=; 
 b=FRTdTaowH0MoCWRm6iPmceyP0g43vTUw+C4chMfoJ6V7KThsp8XUJI/5SJUlYpKKy1rMM8cPcaEZY5OLN8Ys+QcqF5GpSz684KwpPcUYIAjh/adPQBdI6vkZnTaEq6t7D7og+QCzds+XHXwVCHcjWi/OvN2c1r3sk9ZRT1lDRCA=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600341813; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=LpojbZNDIINL3vBSW9esvvysMuXILgTTQ3fI0fOB+NU=;
 b=UUofEk/7leNyO1oR5GSWHgaOzMbWMoyNH0N6SSBKjXvIus5ldiPBfnutw0tZwNYW
 FI59ZzFXYKm8GcdluOXB9IDD4zg97hu54hp3p8nIIqMeOq8T1jdld8iqAbW1FMLwTW8
 XJqqofcqSrnSnY4ZVYrX/jlIXhH4W615Q7cR/mmY=
Received: from localhost (p54ad4c4f.dip0.t-ipconnect.de [84.173.76.79]) by
 mx.zohomail.com with SMTPS id 1600341811097172.70776485703254;
 Thu, 17 Sep 2020 04:23:31 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
 <874knwbtgv.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-reply-to: <874knwbtgv.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 17 Sep 2020 13:24:49 +0200
Message-ID: <87a6xove66.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi Arun,

> I have finished packaging swc. I am now mid-way through cleaning up and
> committing my changes. Considering the number of commits, that alone
> might take a couple more days. I will push my changes to a wip-swc
> branch and let you know.

Wow, thank you very much!

> But, I also have some bad news. swc is not entirely written in rust. Its
> CLI, swc-cli, is a separate package and uses node. So, packaging that
> may be yet another deep rabbit hole.

I expected as much, but I was hoping that we could invoke it some other
way, much like we invoke uglify-js (the Common Lisp package) with a
little custom wrapper.

-- 
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 17 Sep 2020 10:15:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 17 06:15:14 2020
Received: from localhost ([127.0.0.1]:37385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kIqwc-0006Q8-LS
	for submit <at> debbugs.gnu.org; Thu, 17 Sep 2020 06:15:14 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:46356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kIqwX-0006Px-V6
 for 42885 <at> debbugs.gnu.org; Thu, 17 Sep 2020 06:15:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Nnc3PEi44IZeV6uzPuiGSPpxAIvaL2ethcKkdn/h3fQ=; b=YNnWI5nEFP9FgPUxiTDQtBe1F
 H9YenAlPsi1D3zSbWqDmWzQ5Rbe1ehi8EtliMmixPUDvHiorN8M+Mj9BIX4jOq8HggIU1h8KK/hYV
 k4Ed9YXUZzZGAX2gaI/8VhW/rpgfHsgwcuEPNyvtlh1VSLPEjzRkHNIFMJMyZEwpoEVLWPPsT3umd
 n1/G/wAefor/Z41YVN+Ir1zHAjL1YLUp4BcXP9NbBcCeXEVD9kmnZY2hcUb30lVqCae7dntBd3D2p
 NKz2SN1EQfwDE+9t44wf6/ZJ3lbc1VJE0bRClvjIh1XgdZlBOtcjNCrLl+vtVK75OVi2uS8T6jOx6
 29Fcd4z8g==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kIquq-000uBC-5P; Thu, 17 Sep 2020 15:43:24 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <87sgbq20kw.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN> <87sgbq20kw.fsf@HIDDEN>
Date: Thu, 17 Sep 2020 15:44:40 +0530
Message-ID: <874knwbtgv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Hi,

I have finished packaging swc. I am now mid-way through cleaning up and
committing my changes. Considering the number of commits, that alone
might take a couple more days. I will push my changes to a wip-swc
branch and let you know.

But, I also have some bad news. swc is not entirely written in rust. Its
CLI, swc-cli, is a separate package and uses node. So, packaging that
may be yet another deep rabbit hole.

Regards,
Arun

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9jNxEbHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzimsIAJ5qb9oQXlxlg+aHvIfu
IfrAsJ3tHYNyQUwRqjdqUCTKhkUaWkGIom25gb2t9vkag3wcouVFTvw73hodrVmT
IGpcHS14HtItIB3xRspN1CbBNw10xqlGYsKYb7v0rhGi2US11JDFhgqFqc0+qQfg
bO1xtPgizSBz4fA5U9UmMasgvoFborSLqE1k9WgPsj0/QEGu07NyH+92Lsm/evrJ
ZfR+vxfP4ZVTbG7DgdMEwzjFpuXDbyQMewFMX0PN5itnT4vKLuHafahuaqq89LfR
Z95l/krM7XEH658Fi4LduePaauOc4XcW9xaKgYoz+8nUWavG7YorOTF2MpccaRpf
jTE=
=rx9z
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 9 Sep 2020 19:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 15:48:49 2020
Received: from localhost ([127.0.0.1]:34799 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG65J-0006UQ-8Y
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 15:48:49 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:60504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kG65G-0006UE-9j
 for 42885 <at> debbugs.gnu.org; Wed, 09 Sep 2020 15:48:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uRklSc1NyZ+NytlLaSBA+XZXLhOuD/OL3b/iuubkAyE=; b=SgkPHNiplO3TBxvQ7RMRFBxym
 eeRa2DOfdhB4D5q6fn/axKhIQZIxyzRnEkyGb71VXOLTa828b8dMSGc8Y4HCt93MS+U/usGcmBgor
 bsiUYsZ8yeOXd2gNBfzk5IzRY0FTQls52+NhZJ2mUI2/YPE6QqN3IgE/xw/2azyFKPYkPU2+rVRa0
 esG9KtrA/YUosITdW9hbgkPu3wGAk/MtDzm7SISYb10FMv8UU/8pv8PgBdX0Han8MQysHFg9/fFFc
 lYOgve9ExMaWNTyAZeSu430DmijsWVDhIjBets6dAjEspfO1m89dE4Kkl2mVi7Bfd3tgb3c9GasGY
 6NoQnX7Fg==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kG645-000X6v-MS; Thu, 10 Sep 2020 01:17:33 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <877dt3ct7u.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
 <877dt3ct7u.fsf@HIDDEN>
Date: Thu, 10 Sep 2020 01:18:31 +0530
Message-ID: <87sgbq20kw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> I am packaging swc for Guix. I'm running into some unstable feature
>> issues with Rust, but otherwise things are going well. I will report on
>> further progress by tonight.
>
> Oh, me too.

Oops, hopefully we haven't duplicated too much work.

Packaging rust programs is a much deeper rabbit hole than I imagined!
But, I'm making progress, and will hopefully be done given some more
time. Will keep you posted.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9ZMY8bHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuzAYgIALTc2Hy4OwvSy7S69aSS
4UvbZ5K6ooP38qlSvXGahAruaZd2gLRSR7+1oqYlbQFi1ktiba3WLA/6ut2TJaE7
dwqoEZL1wXOUi9xtGxeO+J8UZdLHr/HzdkqeAsENt8Nn8LZhCG1+rtdG1qI3mphY
8Dnf3nWTde1BAnfEWksArVQTyrz+6rKnA4HkOcz+vEHetgcVo1JhcvuV8+OddWoP
u854Z7eEJCMfRIRtyXhZISLFS4vJP1EUYj5HCHWuJ7k9aJ83IQ2T5MIQ8NXua9dC
q15W1RDoRham3BWH5wS4/HFmOg4VFXRnLbf2YbW8uJGo8TuqgVarKQcZkRGEvDvg
FH4=
=DKCT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 9 Sep 2020 08:38:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 04:38:54 2020
Received: from localhost ([127.0.0.1]:57145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFvcz-0007ub-Qr
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 04:38:54 -0400
Received: from mail-pf1-f178.google.com ([209.85.210.178]:43292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>)
 id 1kFvcx-0007u9-1d; Wed, 09 Sep 2020 04:38:52 -0400
Received: by mail-pf1-f178.google.com with SMTP id f18so1522011pfa.10;
 Wed, 09 Sep 2020 01:38:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=9tZkJi+hK0rHUP1z5Z1ulGFDHmW3fvMmq7LGbzjXSzc=;
 b=OsHY+nryAlPZVnAPnvDrKORPnIJC9FxW6e6xm8AR2zqKhrkkwb1lBaXhSWHROSsBdE
 M23CW5X1ZAl049kybmH11LDY5m3JU12qcAQAKtgNfVsMaK79PKRPvQLbpeMqPFFXMhS6
 VyCUsnx4K3+pkl6rVw8aqrOw5Lz44qKk5qBYe1O8HMZli9UnffJ9h6LXwp0V2dWXqk4t
 II9gVN70d7HYhCsuVAQ/KsGkzRYhLJXZBRpRUPk3p39E72/BZVJJXQobl/aJcT9qDKI0
 NG0+NYaABqC0XCPrJzY4u1xWNowkJhj3onAUnztvDYUZ2aDgm3nIDJOGlj195WVTbLtc
 9WrQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=9tZkJi+hK0rHUP1z5Z1ulGFDHmW3fvMmq7LGbzjXSzc=;
 b=LCgpnWkLMj1qv5oJmThqwlQb9rbXcT/lNarixilnaDU9zD3YYlfk9pRgXd73CTHsVp
 Yge1ci2nWkYD9PDOzWzz7NUBDWgau2lXwTyZvq/LuSY0jSUaWldfBUQSgRI4Wz+nBZNN
 COXiXj3WkL0Z4g0Zt5vE5CZsKEk3oOgPfH2MtzjRNSY4Gk18RDjHnry8141bviN+Tq7X
 4670jfpTZJNKbnnYazISVNAjpMMu5r3Jq8nMIa6KnfWIqh+jIlcR7q1eICk5owT9Nffz
 Ig+PKprhTiNW+6Axw0q0jxt+1sAGp3gqtnOlA6Fz2P/5ckyCccrq8tWXkPw9ivhof7LO
 LlXQ==
X-Gm-Message-State: AOAM532H2FtZ8wP9pWFjtlPrAot/ex2fF+P4TjwoY7wLBNguCPEOi4rX
 UO91GP02uQ5dmGvW6Y68gKmrH4cNyhrooSu61n4=
X-Google-Smtp-Source: ABdhPJx4NlQsmxRhoTYuYD2y1Zpe0pEvznqjHsXosP+t0cF2Ht8ek30oS24IfuX1oh+xQ38hmwBESH0GPIUS7h8mVvg=
X-Received: by 2002:a17:902:bc81:: with SMTP id
 bb1mr2779702plb.105.1599640725003; 
 Wed, 09 Sep 2020 01:38:45 -0700 (PDT)
MIME-Version: 1.0
References: <a99e52ae-decc-0396-6d4e-d3dff56dd5d2@HIDDEN>
 <6492c3cc-07e0-b56b-ea72-99d403770755@HIDDEN>
 <20200908201144.GA25269@jurong>
In-Reply-To: <20200908201144.GA25269@jurong>
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Wed, 9 Sep 2020 14:23:34 +0545
Message-ID: <CAFw+=j0McVLzs-vxeB19Je91Npq7G+AS3X2WZmiGY7fzB8UWTA@HIDDEN>
Subject: Re: bug#43151: Resolve Calibre run-time dependency
To: Andreas Enge <andreas@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002ea3c905aedd61ce"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, 43249-done <at> debbugs.gnu.org,
 Brendan Tildesley <mail@HIDDEN>, 43151-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000002ea3c905aedd61ce
Content-Type: text/plain; charset="UTF-8"

I see. Thank you for the update.

Hopefully (wrap-program) will be fixed soon. That should save us a lot of
code-duplication.

Congratulations, Mr. Tildesley! (:

--0000000000002ea3c905aedd61ce
Content-Type: text/html; charset="UTF-8"

<div dir="ltr"><div>I see. Thank you for the update.</div><div><br></div><div>Hopefully (wrap-program) will be fixed soon. That should save us a lot of code-duplication.</div><div><br></div><div>Congratulations, Mr. Tildesley! (:<br></div></div>

--0000000000002ea3c905aedd61ce--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 9 Sep 2020 07:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 03:18:58 2020
Received: from localhost ([127.0.0.1]:56986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFuNd-0001WW-P1
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 03:18:57 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kFuNa-0001WM-UU
 for 42885 <at> debbugs.gnu.org; Wed, 09 Sep 2020 03:18:56 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1599635920; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=cjEBW/ObRqpvhPRkgzo2hh0Ltn90N3lEhzRJW0UlthNl5PQ1MN/T8FdTfGm97BE4yG7dSunZGQ4PUCLagTbCgvsrX5i5kmes1iunBdfyC+7m2ObkxOSd4MmNlUCSSPtIKgL/IKB56S83oslmSuYnlsDiCYBbo9JkV+cf/xrAzc8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1599635920;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=XYq6/ndschdyxblvkH/Q8wXHtD8w9RnALaOGofklstA=; 
 b=htQe+lWAY9NzjFFmkt76jXTm+NFDKjgAK/4x/A4SECaG/92YawE+mVSlBaD8TI0IXnkucBzSGi2GMJn/+b895uv3vIcRWMPbWNjW0dJ4luHJvXmyXk2aLjfSwdzOpnoPSon7X1K8oQ2nCuI0WgCpHIrAVx8aTzgoevjSAZqifoM=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1599635920; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=XYq6/ndschdyxblvkH/Q8wXHtD8w9RnALaOGofklstA=;
 b=P3/zepibS7cAxM0ckqjiDTuWZtjqucCVDF8NQm53V2BVatI42tldzKywQ9lDmODO
 xS+IOF5uj3rUc/BLXNigQ8sK5oVwLx0zDzJlN5wAHn+MjG4DX+0jbWA75mKehmBWkYk
 TYQ40qGSihtaYybfkp+rz9fACUdsP9x7S7mp9r74=
Received: from localhost (p54ad4cd7.dip0.t-ipconnect.de [84.173.76.215]) by
 mx.zohomail.com with SMTPS id 1599635917531369.75822981642295;
 Wed, 9 Sep 2020 00:18:37 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN> <87y2lj1moa.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-reply-to: <87y2lj1moa.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 09 Sep 2020 09:19:49 +0200
Message-ID: <877dt3ct7u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Arun Isaac <arunisaac@HIDDEN> writes:

>> There may be a way to transpile the TypeScript sources with swc, a
>> babel-like transpiler with TypeScript support; it=E2=80=99s written in R=
ust, so
>> there may be a way to work around the JavaScript packaging problem.
>
> I am packaging swc for Guix. I'm running into some unstable feature
> issues with Rust, but otherwise things are going well. I will report on
> further progress by tonight.

Oh, me too.

I=E2=80=99m currently at rust-napi@HIDDEN

--=20
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 9 Sep 2020 06:36:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 02:36:56 2020
Received: from localhost ([127.0.0.1]:56972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFtiy-0000YF-1S
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 02:36:56 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:57092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kFtiv-0000Y3-54
 for 42885 <at> debbugs.gnu.org; Wed, 09 Sep 2020 02:36:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2dJO3wkQeYH+cJIMypymmFyuEpyxnGZgg0bL9vmNcpQ=; b=BgiCjn71RVcvUq0A0szJHgSYi
 oTYeN4hltJE9DqS1DN99Hnr9RkOfvK+1A1Pj7Snj/Ul+dkGgLsi8kvrD0EQ9Frb9CIAfML7TrOom5
 gO4lE6fALA40VZChUjM7eGmkyjxBaVAPuFXLVq1FF4GBjyBhONhzarWjezCW92IYFt0W3O6CAhfmJ
 aOo56j8kQAjXyx5k21V7nzrvBMgECepgtI3EOAWqD7/USj3ZbXarVaECpGK5xH+qo1+49V+/pcbCR
 Z6JMgiu0u13KTrMmkKvrNpAmOuwdzuT/eJyjGNC3ZgfIqoZbOlrkV4PL06Fn1thkVdhytBIOZbXj5
 RfmIqJY3w==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kFthm-000W2p-6H; Wed, 09 Sep 2020 12:05:42 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <871rjhfhtt.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
 <871rjhfhtt.fsf@HIDDEN>
Date: Wed, 09 Sep 2020 12:06:37 +0530
Message-ID: <87y2lj1moa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


> There may be a way to transpile the TypeScript sources with swc, a
> babel-like transpiler with TypeScript support; it=E2=80=99s written in Ru=
st, so
> there may be a way to work around the JavaScript packaging problem.

I am packaging swc for Guix. I'm running into some unstable feature
issues with Rust, but otherwise things are going well. I will report on
further progress by tonight.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFPBAEBCAA5FiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9Yd/UbHGFydW5pc2Fh
Y0BzeXN0ZW1yZWJvb3QubmV0AAoJEC4l7othgCuz/MMIAJs84szQkQPMPCSapuTd
RKjgJLgAdALPc+I04/bnSLJJn6FJLWPOHZNYbROEY6yx3RJrdPXEmLQNOzqbFiES
ZURP6BlYvDltb/XM2UssNAH6LrpnSRftChPSXUvlQFgahgBcqEuG1dHIPyCa4z24
qwj9F9Zmi6crWDf4iv8nz+XHeE4S6QexWHHtlcGpBNzNxDgmjKNSv7qQV7znid/6
5vIL8tPM41Z4D0lQTS74u+nCHGYpfPCzPttw01vkuEDljglvwYJBvRESrVk9PDWe
hVGdRv7NPE0Rs97rdpWeQTPVcl/4PFm3jla4hEjr5KSDGkQTmLZS52dCzC79PE19
0Xg=
=UbJ/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 8 Sep 2020 20:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 16:12:08 2020
Received: from localhost ([127.0.0.1]:56525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFjyK-0006TM-8A
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 16:12:08 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:57498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>)
 id 1kFjyG-0006T6-MV; Tue, 08 Sep 2020 16:12:07 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 4AF58DE74;
 Tue,  8 Sep 2020 22:12:03 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 98v6YOuN9Fmn; Tue,  8 Sep 2020 22:12:02 +0200 (CEST)
Received: from jurong (unknown [IPv6:2001:910:103f::c08])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 401A6DB58;
 Tue,  8 Sep 2020 22:12:02 +0200 (CEST)
Date: Tue, 8 Sep 2020 22:11:44 +0200
From: Andreas Enge <andreas@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: bug#43151: Resolve Calibre run-time dependency
Message-ID: <20200908201144.GA25269@jurong>
References: <a99e52ae-decc-0396-6d4e-d3dff56dd5d2@HIDDEN>
 <6492c3cc-07e0-b56b-ea72-99d403770755@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <6492c3cc-07e0-b56b-ea72-99d403770755@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, 43249-done <at> debbugs.gnu.org,
 Prafulla Giri <pratheblackdiamond@HIDDEN>, 43151-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello,

On Mon, Sep 07, 2020 at 06:15:15PM +1000, Brendan Tildesley wrote:
> Your patch also works I think but it will wrap the programs twice, so
> you will get calibre, .calibre-real, and ..calibre-real-real, etc for
> every program, which seems ugly. My patch reproduces the same PYTHONPATH
> that is set in python-build-system in addition to wrapping PYTHONPATH
> (unless I made a mistake), although at the cost of code duplication. I
> leave it to you and who ever is reviewing this to decide which way is
> more correct and push one, haha.

thanks to both of your for your patches! I just pushed Brendan's, which
wraps only once at the price of copy-pasting from another package. I confirm
that it works, also to click on an epub file from within calibre. Closing
the two bugs asking about qtwebengine.

Concerning the update, is mathjax a required input now, or could we just
leave it out and update nevertheless?

Andreas





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 7 Sep 2020 03:40:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 06 23:40:35 2020
Received: from localhost ([127.0.0.1]:47590 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kF81D-0005nH-ER
	for submit <at> debbugs.gnu.org; Sun, 06 Sep 2020 23:40:35 -0400
Received: from mail-pf1-f180.google.com ([209.85.210.180]:33794)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1kF81B-0005n4-Fp
 for 42885 <at> debbugs.gnu.org; Sun, 06 Sep 2020 23:40:34 -0400
Received: by mail-pf1-f180.google.com with SMTP id v196so7922899pfc.1
 for <42885 <at> debbugs.gnu.org>; Sun, 06 Sep 2020 20:40:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=uWLGQ4tkAjl2mzMWvtYkzTjyJ0Vkor1EUdOjmYorfw4=;
 b=WZZ8T3BnRmwpN7iBt1iARP1tqswug/0ppM7/KSK8e++Q+5t35wSW4oV3uf9qqpveKB
 3QBWwKoKtciJhjIgEDs5wXXrcLfmyHeo4mezS7oYvy+HUHpSgMfzHvk2b2VAuCfkBDTt
 cXnXMQie0XGCPDmTWurVUeEYotB5kjISJLqaBoYHYg08vJ4+psudGhcK5D6mI7RClr5I
 szhDa+mmPnDlN85a8SoNiuQQcg0qCM4dA9T0wK2p+Wum/sz/L7EemP6uAdn5mIpsmDQD
 Rt4fwA0D5QsnQaBUMxskxqeB2ucyFHNODOda+Eog0RlYV3Qwcrm2u2SVGL3h5Xs+fO5P
 uXRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=uWLGQ4tkAjl2mzMWvtYkzTjyJ0Vkor1EUdOjmYorfw4=;
 b=Mjsk4tJ9EP9V2rAjtRNfx/EwNJbrGn7EvMMCTNoXXLB2cmhWN0Dnx+DKdxkNFMfhby
 TR/95ZCGgiA04CbhrlzSmMWHrR2qkosx6/v0fAvoT2L5uxqeU0ZeOVL4l+MAc5vRe8Bt
 b+Ka97aDpl+RcdiNuwFmUQzfsJMuzoX+1auOj9qsbpX6KB0VWehXkuRkhCxLbc+WdpKn
 gzh3jmXlFaCRdiN/V3y+25mClWKpWuEFa4uwAH2E0mQ3aXwHBbKNgVBabt7B2d616gc5
 sPCnu77GPb9Oxu3M6Ai5DvMe89Os07/HA3qSe+kI0WwAhn0JPBpbFSVuDcalbk0c0mI2
 /N5Q==
X-Gm-Message-State: AOAM532U1ZqXv5oj+WcC35ZCQc/mdA+TKm6aKpbmk8K0HDr9OABDK+W4
 i6ujfploKVbvvLd42Husjpti5MboPIBIZUPfp7Y1wy1vdpw=
X-Google-Smtp-Source: ABdhPJwhJuTf4bhTiKN0u9u+KXJZWp4yL64UjM0R3kBXxV9pzOP14bAY6TFqCnBWObMluefMXI1LQNdM969b3cZbrcU=
X-Received: by 2002:a65:5c0d:: with SMTP id u13mr15976473pgr.333.1599450027308; 
 Sun, 06 Sep 2020 20:40:27 -0700 (PDT)
MIME-Version: 1.0
References: <CAFw+=j1KTHP21puE0z+++oK6OjENW+E-tjySCPA-7UJ7we5fLw@HIDDEN>
In-Reply-To: <CAFw+=j1KTHP21puE0z+++oK6OjENW+E-tjySCPA-7UJ7we5fLw@HIDDEN>
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Mon, 7 Sep 2020 09:25:15 +0545
Message-ID: <CAFw+=j3GS7V3OrxM+oY=oYoA7zBXZvYSFtrHs6dOOEicHP57aQ@HIDDEN>
Subject: Re: Regarding Patch 4
To: 42885 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000b6bb5d05aeb0fa6c"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b6bb5d05aeb0fa6c
Content-Type: text/plain; charset="UTF-8"

I just realized that the PYTHONPATH set by the default %standard-phase
'wrap of python-build-environment is (most likely) a superset of the manual
PYTHONPATH set by the custom phase 'wrap phase added after 'install in
patch no. 4. As such, perhaps it is redundant, too?

On Mon, Sep 7, 2020 at 8:56 AM Prafulla Giri <pratheblackdiamond@HIDDEN>
wrote:

> Hey there Mr. Tildesley,
>
> Without knowing that this was going on, I worked on, and sent a patch to
> fix the QtWebEngineProcess issue yesterday:
> https://issues.guix.gnu.org/43249
>
> My patch also fixes this issue, but without appending things to
> PYTHONPATH. And it works just the same.
>
> Since you say, sir, that you copied the wrap-phase from Anki to fix the
> issue, and I manually poked around with things, grepping the output of
> `env` and stuff to deal with it - I wonder if I have stumbled upon the bare
> minimum changes necessary to resolve this issue.
>
> I would like to request that you, and other esteemed contributors, test my
> patch. And, if it seems good to you, I would like to request that you
> incorporate my patch in this change set.
>
> Attached are the wrappers for `ebook-viewer`: with your patch applied, and
> with my patch applied, for anyone to compare.
>
> Please do let me know if there are any insufficiencies in my solution, or
> if it does not work for anybody else (I did use --pure option with `guix
> environment`).
>
> Thank you
>

--000000000000b6bb5d05aeb0fa6c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>I just realized that the PYTHONPATH set by the defaul=
t %standard-phase &#39;wrap of python-build-environment is (most likely) a =
superset of the manual PYTHONPATH set by the custom phase &#39;wrap phase a=
dded after &#39;install in patch no. 4. As such, perhaps it is redundant, t=
oo?</div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gma=
il_attr">On Mon, Sep 7, 2020 at 8:56 AM Prafulla Giri &lt;<a href=3D"mailto=
:pratheblackdiamond@HIDDEN">pratheblackdiamond@HIDDEN</a>&gt; wrote:<=
br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8e=
x;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr"=
><div>Hey there Mr. <span>Tildesley,</span></div><div><br></div><div>Withou=
t knowing that this was going on, I worked on, and sent a patch to fix the =
QtWebEngineProcess issue yesterday: <a href=3D"https://issues.guix.gnu.org/=
43249" target=3D"_blank">https://issues.guix.gnu.org/43249</a></div><div><b=
r></div><div>My patch also fixes this issue, but without appending things t=
o PYTHONPATH. And it works just the same.</div><div><br></div><div>Since yo=
u say, sir, that you copied the wrap-phase from Anki to fix the issue, and =
I manually poked around with things, grepping the output of `env` and stuff=
 to deal with it - I wonder if I have stumbled upon the bare minimum change=
s necessary to resolve this issue.</div><div><br></div><div>I would like to=
 request that you, and other esteemed contributors, test my patch. And, if =
it seems good to you, I would like to request that you incorporate my patch=
 in this change set.</div><div><br></div><div>Attached are the wrappers for=
 `ebook-viewer`: with your patch applied, and with my patch applied, for an=
yone to compare.</div><div><br></div><div>Please do let me know if there ar=
e any insufficiencies in my solution, or if it does not work for anybody el=
se (I did use --pure option with `guix environment`).</div><div><br></div><=
div>Thank you<br></div></div>
</blockquote></div>

--000000000000b6bb5d05aeb0fa6c--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 7 Sep 2020 03:11:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 06 23:11:50 2020
Received: from localhost ([127.0.0.1]:47558 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kF7ZO-00054l-3Q
	for submit <at> debbugs.gnu.org; Sun, 06 Sep 2020 23:11:50 -0400
Received: from mail-pf1-f177.google.com ([209.85.210.177]:41146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pratheblackdiamond@HIDDEN>) id 1kF7ZM-00054Y-8B
 for 42885 <at> debbugs.gnu.org; Sun, 06 Sep 2020 23:11:48 -0400
Received: by mail-pf1-f177.google.com with SMTP id z19so5717098pfn.8
 for <42885 <at> debbugs.gnu.org>; Sun, 06 Sep 2020 20:11:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=SKRktNoVPBN7y6hQX1/oXwhGJNAn1mWEAZ0LaYANbIw=;
 b=VIUzOJwrlMmr7B//MsLqwFTXaBheQFLWHXhGVqV297iIzGxoHGRiA0SOX04gibrCTf
 v0sHXM5VxaTsqj0NWxwPWxXLcNXZeCyvYn3+uXLFsYw56Y0F1afxb8rjvslqjE6xDbP7
 0qCUQnoaJxVhNYIE2CoQwNDvtpKSdK0+U28udAwfHMuwmoLWxhYR9Ca8Vtz9+V24ZsOa
 SGVWApSrlfNYPVLbtw58PS9cX3jrlMVRir6zzZDP0YVskOVnUQMRE3sWyWdXSqH5IF2W
 e9wMwFNoHf8wALb+l3khZTitkEkV1Y+QmLuDBZoMySpBvK5gg+hTo/V6FDKErqg0+6Lv
 0cKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=SKRktNoVPBN7y6hQX1/oXwhGJNAn1mWEAZ0LaYANbIw=;
 b=KE/rJY40J4THAtjyM8GF2Ti8Nmptc4ObfBxvYHWBnQ2avSJ0I1DohsR9QqB49m9JRR
 KlGcqZygR0G6+vcIfMk67CaEMTFcpH8v15JrsMdzSjA9pmefSiDCDQfdeX4TvfAwHVwT
 pmPoK1BlEuRxL0pyxOSEaGkfZJrx2olx2QQgkyoQCukEebrXOhp/bHVBf9Us3CXEflqE
 ft5rOJxP//sEyiyQp4lCFIZ0CwNUZcG4LyRrJ5dGCU8AAiY7j0il4ttNoxL6Wt0rDTlo
 ZDd8ImJEPJLlyWkfLWMDLKFNAoVIjRCTxtv++V0drhjadOvDGickdJnA+wXtLQVM+g9E
 Pfiw==
X-Gm-Message-State: AOAM531PhGOIR6nH5kvhMAK4i85nhIRo12D19epvUjLG3gsApzhvgbot
 qGlzXGa63IG4928AYsnsZ8ysDhmd0Ebwh1C4z3nY9jyTJHHMlA==
X-Google-Smtp-Source: ABdhPJwSdt68bIXM4IrySy+NVQVEKjz6/TbNMPviornVa53QRdDSFxqNWU01ojKemJ1yp+4tgGpvoQ36CNCDKZOSUDA=
X-Received: by 2002:a63:d216:: with SMTP id a22mr5700855pgg.339.1599448301836; 
 Sun, 06 Sep 2020 20:11:41 -0700 (PDT)
MIME-Version: 1.0
From: Prafulla Giri <pratheblackdiamond@HIDDEN>
Date: Mon, 7 Sep 2020 08:56:30 +0545
Message-ID: <CAFw+=j1KTHP21puE0z+++oK6OjENW+E-tjySCPA-7UJ7we5fLw@HIDDEN>
Subject: Regarding Patch 4
To: 42885 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary="000000000000deb59905aeb09302"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000deb59905aeb09302
Content-Type: multipart/alternative; boundary="000000000000deb59605aeb09300"

--000000000000deb59605aeb09300
Content-Type: text/plain; charset="UTF-8"

Hey there Mr. Tildesley,

Without knowing that this was going on, I worked on, and sent a patch to
fix the QtWebEngineProcess issue yesterday:
https://issues.guix.gnu.org/43249

My patch also fixes this issue, but without appending things to PYTHONPATH.
And it works just the same.

Since you say, sir, that you copied the wrap-phase from Anki to fix the
issue, and I manually poked around with things, grepping the output of
`env` and stuff to deal with it - I wonder if I have stumbled upon the bare
minimum changes necessary to resolve this issue.

I would like to request that you, and other esteemed contributors, test my
patch. And, if it seems good to you, I would like to request that you
incorporate my patch in this change set.

Attached are the wrappers for `ebook-viewer`: with your patch applied, and
with my patch applied, for anyone to compare.

Please do let me know if there are any insufficiencies in my solution, or
if it does not work for anybody else (I did use --pure option with `guix
environment`).

Thank you

--000000000000deb59605aeb09300
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hey there Mr. <span class=3D"gmail-address">Tildesley=
,</span></div><div><br></div><div>Without knowing that this was going on, I=
 worked on, and sent a patch to fix the QtWebEngineProcess issue yesterday:=
 <a href=3D"https://issues.guix.gnu.org/43249">https://issues.guix.gnu.org/=
43249</a></div><div><br></div><div>My patch also fixes this issue, but with=
out appending things to PYTHONPATH. And it works just the same.</div><div><=
br></div><div>Since you say, sir, that you copied the wrap-phase from Anki =
to fix the issue, and I manually poked around with things, grepping the out=
put of `env` and stuff to deal with it - I wonder if I have stumbled upon t=
he bare minimum changes necessary to resolve this issue.</div><div><br></di=
v><div>I would like to request that you, and other esteemed contributors, t=
est my patch. And, if it seems good to you, I would like to request that yo=
u incorporate my patch in this change set.</div><div><br></div><div>Attache=
d are the wrappers for `ebook-viewer`: with your patch applied, and with my=
 patch applied, for anyone to compare.</div><div><br></div><div>Please do l=
et me know if there are any insufficiencies in my solution, or if it does n=
ot work for anybody else (I did use --pure option with `guix environment`).=
</div><div><br></div><div>Thank you<br></div></div>

--000000000000deb59605aeb09300--

--000000000000deb59905aeb09302
Content-Type: application/octet-stream; name=ebook-viewer_MrTildesley
Content-Disposition: attachment; filename=ebook-viewer_MrTildesley
Content-Transfer-Encoding: base64
Content-ID: <f_kery0xzn0>
X-Attachment-Id: f_kery0xzn0
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--000000000000deb59905aeb09302
Content-Type: application/octet-stream; 
	name=ebook-viewer_peanutbutterandcrackers
Content-Disposition: attachment; 
	filename=ebook-viewer_peanutbutterandcrackers
Content-Transfer-Encoding: base64
Content-ID: <f_kery0y2c1>
X-Attachment-Id: f_kery0y2c1
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--000000000000deb59905aeb09302--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Sep 2020 19:43:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 15:43:08 2020
Received: from localhost ([127.0.0.1]:40658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEHc3-0000rh-Qi
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 15:43:08 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kEHc1-0000rY-5D
 for 42885 <at> debbugs.gnu.org; Fri, 04 Sep 2020 15:43:05 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1599248572; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=EYGzRj3rR4DLkE0mqoqthExywvJOUJT+pG9emfIcZtCOchdKP4nprJPMFUNaOPDqkr6tKzHUkS3To1W9JTPmiAEl/OXrfVIaxhRPI9SjYUOBPQe/EPww0bVVy7F3/nr205dbGYSno4HuhmQWqa+gxgHah96EiTzbS2opvn0yS0w=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1599248572;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=8GLBcKjHSlPe9Zx1k2kwfrlVYH8XWbGJdGdoDmzZEJU=; 
 b=Uq1YHqYl48tAZadbNhu8bJcUcpThTlHafLkUgiNizH4klQ9UJcn78YmedBibES85dz/uvM1/njBYb4VBZeuGUWbStMRrlVm2OcRNSxAqNhW0ozeS09RN6s8REBdVtb0wPc9diBmKgSIqcNXo6Zn/vxewMYATPSvhzpnr/5oO3k4=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1599248572; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=8GLBcKjHSlPe9Zx1k2kwfrlVYH8XWbGJdGdoDmzZEJU=;
 b=FmSj/pU/raAL4AlUOZ/wXsc6sH/Ys03dzZ6YJouMG74xIczQqJuni+js0xi2xBuM
 1lFzUHtf+nN8np+FFfwd7FASWSX0JwSaFl0WFHRyjU3H7lZuSWOMBuepMuaV2GnTRkC
 IOITGym0QpBUO02sUburHhyND9EjRKkFosqN89h0=
Received: from localhost (p54ad4e44.dip0.t-ipconnect.de [84.173.78.68]) by
 mx.zohomail.com with SMTPS id 1599248568939488.61256104741733;
 Fri, 4 Sep 2020 12:42:48 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN> <87zh65csve.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-reply-to: <87zh65csve.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 04 Sep 2020 21:43:58 +0200
Message-ID: <871rjhfhtt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Arun Isaac <arunisaac@HIDDEN> writes:

>> Arun, Leo, what=E2=80=99s the status of this patch series?
>>
>>   https://issues.guix.gnu.org/42885
>>
>> Can it be applied?
>
> Ricardo has clarified that we may consider the existing js-mathjax 2.7.2
> package to have been built from source even though it isn't the form
> upstream uses for development. No problems there.
>
> But, like Brendan said, mathjax 3 is quite a different beast. With
> mathjax 2, the source was in javascript, and our build system had merely
> to minify it. But mathjax 3 is written in typescript that gets compiled
> into javascript and then combined into "web component files" (this is
> the first I'm hearing of web components and I'm not entirely clear what
> they are). Since we don't have a typescript build system, packaging
> mathjax 3 may be non-trivial. So, we should proceed with updating
> calibre without mathjax support.

There may be a way to transpile the TypeScript sources with swc, a
babel-like transpiler with TypeScript support; it=E2=80=99s written in Rust=
, so
there may be a way to work around the JavaScript packaging problem.

--=20
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Sep 2020 18:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 14:14:00 2020
Received: from localhost ([127.0.0.1]:40587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEGDo-0004zs-7q
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 14:14:00 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:60950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kEGDk-0004zd-NS
 for 42885 <at> debbugs.gnu.org; Fri, 04 Sep 2020 14:13:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Transfer-Encoding:Content-Type:
 MIME-Version:Message-ID:Date:References:In-Reply-To:Subject:Cc:To:From:Sender
 :Reply-To:Content-ID:Content-Description:Resent-Date:Resent-From:
 Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:
 List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7UQp294f7wAss0GWzl8fqwrbdr/8uCWlBqjCP3MBftU=; b=WaMjvklj3a1eV0JuYzQf5aM6wn
 ur12Rv8+jNUuNCsczTQkQ300e9ohPliIyu5AnbDAlDyFineVVwzCuQefO88bhSO6m8jS5AyeRQbPe
 P7vfrcZKG1F5DIXcysopK6RSuQOWJwqtcxLhRcLN/d/7k3XpOVDkeK3+v8aRaA/T1eYroR0v5hCP1
 ueNz4x3VloIiBCX2lkru5RfPPeSG0NOFLMfYDwu9ltG5ewm8lTvxB6BCsUUnPAQzTPxPxcan7Q96j
 TgINORLMyMUPSWW5jFKub3in5ZzMAcTMWd9+g5LrL5GcUeQ7AMyjWwi9iDVZ9El4Idwk/NqhlSyZz
 FiwkEbeQ==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kEGCh-000Mmu-KQ; Fri, 04 Sep 2020 23:42:51 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, Brendan Tildesley
 <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <87y2lpvrrd.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN>
Date: Fri, 04 Sep 2020 23:43:41 +0530
Message-ID: <87zh65csve.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: Ricardo Wurmus <rekado@HIDDEN>, 42885 <at> debbugs.gnu.org,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Arun, Leo, what=E2=80=99s the status of this patch series?
>
>   https://issues.guix.gnu.org/42885
>
> Can it be applied?

Ricardo has clarified that we may consider the existing js-mathjax 2.7.2
package to have been built from source even though it isn't the form
upstream uses for development. No problems there.

But, like Brendan said, mathjax 3 is quite a different beast. With
mathjax 2, the source was in javascript, and our build system had merely
to minify it. But mathjax 3 is written in typescript that gets compiled
into javascript and then combined into "web component files" (this is
the first I'm hearing of web components and I'm not entirely clear what
they are). Since we don't have a typescript build system, packaging
mathjax 3 may be non-trivial. So, we should proceed with updating
calibre without mathjax support.

> Brendan, to make it clear what the latest version of the patch series is
> (next time), consider adding a =E2=80=9Cv2=E2=80=9D etc. suffix to the su=
bject, like so:
>
>   git format-patch --subject-prefix=3D"PATCH v2" =E2=80=A6

You could also do the slightly shorter

git format-patch -v2 ...

Cheers!




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Sep 2020 13:10:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 09:10:10 2020
Received: from localhost ([127.0.0.1]:37966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEBTm-0002tE-2l
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 09:10:10 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kEBTk-0002t6-7F
 for 42885 <at> debbugs.gnu.org; Fri, 04 Sep 2020 09:10:08 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1599224989; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=lsaqn4uin92lJpmTyLisguAkGiG5JXSJIYuna6jkLYSNV3hStjdwbbc18mK8PhFGBpz/QpQENHUPciUGC7BdgTqw4BYi1V7y+v+WW/WXTBPjGk9xqW+WvhGQQnkO6Oppa7ULecdXRYndzqYNw8NwimdUesM0C8ekY6kcSnSsYVQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1599224989;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=tVI348IN+AW5g9ONBJKv4mokIk2WWDRW5UtdLGDkKAA=; 
 b=EZyR/X0HEwUw1dP3vntEDZ5Gc9T4eAMt0uE5328KWOqqJivLrIVzBk4QPhaMJUH1L1qldgR6/fJ3x4T4xkUbnorw2if/AF2K81D5rkL5L9/Onooi68I86TKQuqwKl/JDe3ncfz6Rfo6OvH1p5/kKKNi2MBTRZYbLzTQ6wSf0ZYE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1599224989; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=tVI348IN+AW5g9ONBJKv4mokIk2WWDRW5UtdLGDkKAA=;
 b=XkiOGZ7dfeI5RvR+zzLVc6RlZG6rt2oh/bIOr4qt7L0Bpyr9ZrJmUtJ8U6KkFAkY
 RzMQv0kJfzjomwgSjdggUFJ6/a3055LnS1qcxpdxfSCkdT4rAcgdAOz5uvjxAW7PjeV
 QL44N5FiuNCUxlECfu6hyz/Z7eUf+aWoptsh7g7Y=
Received: from localhost (p54ad4e44.dip0.t-ipconnect.de [84.173.78.68]) by
 mx.zohomail.com with SMTPS id 1599224986464454.33704992656953;
 Fri, 4 Sep 2020 06:09:46 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-reply-to: <87eenwzgoa.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 04 Sep 2020 15:10:54 +0200
Message-ID: <87ft7xg00x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Brendan Tildesley <mail@HIDDEN>,
 guix-patches@HIDDEN, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Arun Isaac <arunisaac@HIDDEN> writes:

>> I had thought js-mathjax was just the component files too and not
>> truely built from source. Maybe I was wrong. Currently, building this
>> from the true source requires a huge number of js packages and we
>> haven't got a npm importer and full JavaScript bootstrap yet so I
>> wasn't sure what to do.
>
> True. js-mathjax is not truly built from source. A true source build
> will properly depend on a huge number of other js packaces. js-mathjax
> only redoes the minification step. In light of this, perhaps we should
> remove js-mathjax from Guix. But, I'm not sure.

js-mathjax does not contain minified JavaScript.  The code is in
editable and readable form although it is not in the form that upstream
uses for development.  In this case I still consider it to be actual
source code, because for the purposes of Guix this is the preferred
format (given that we have no way of building the sources in the format
that is used by upstream).

-- 
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Sep 2020 13:10:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 09:10:03 2020
Received: from localhost ([127.0.0.1]:37963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEBTe-0002sl-NZ
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 09:10:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:52884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kEBTc-0002sI-GW
 for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 09:10:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43998)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kEBTc-0005QK-CI
 for guix-patches@HIDDEN; Fri, 04 Sep 2020 09:10:00 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21110)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kEBTX-0001rr-1I
 for guix-patches@HIDDEN; Fri, 04 Sep 2020 09:10:00 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1599224989; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=lsaqn4uin92lJpmTyLisguAkGiG5JXSJIYuna6jkLYSNV3hStjdwbbc18mK8PhFGBpz/QpQENHUPciUGC7BdgTqw4BYi1V7y+v+WW/WXTBPjGk9xqW+WvhGQQnkO6Oppa7ULecdXRYndzqYNw8NwimdUesM0C8ekY6kcSnSsYVQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1599224989;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=tVI348IN+AW5g9ONBJKv4mokIk2WWDRW5UtdLGDkKAA=; 
 b=EZyR/X0HEwUw1dP3vntEDZ5Gc9T4eAMt0uE5328KWOqqJivLrIVzBk4QPhaMJUH1L1qldgR6/fJ3x4T4xkUbnorw2if/AF2K81D5rkL5L9/Onooi68I86TKQuqwKl/JDe3ncfz6Rfo6OvH1p5/kKKNi2MBTRZYbLzTQ6wSf0ZYE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1599224989; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=tVI348IN+AW5g9ONBJKv4mokIk2WWDRW5UtdLGDkKAA=;
 b=XkiOGZ7dfeI5RvR+zzLVc6RlZG6rt2oh/bIOr4qt7L0Bpyr9ZrJmUtJ8U6KkFAkY
 RzMQv0kJfzjomwgSjdggUFJ6/a3055LnS1qcxpdxfSCkdT4rAcgdAOz5uvjxAW7PjeV
 QL44N5FiuNCUxlECfu6hyz/Z7eUf+aWoptsh7g7Y=
Received: from localhost (p54ad4e44.dip0.t-ipconnect.de [84.173.78.68]) by
 mx.zohomail.com with SMTPS id 1599224986464454.33704992656953;
 Fri, 4 Sep 2020 06:09:46 -0700 (PDT)
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Arun Isaac <arunisaac@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-reply-to: <87eenwzgoa.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 04 Sep 2020 15:10:54 +0200
Message-ID: <87ft7xg00x.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.51; envelope-from=rekado@HIDDEN;
 helo=sender4-of-o51.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/04 09:09:50
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 42885 <at> debbugs.gnu.org, Brendan Tildesley <mail@HIDDEN>,
 guix-patches@HIDDEN, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Arun Isaac <arunisaac@HIDDEN> writes:

>> I had thought js-mathjax was just the component files too and not
>> truely built from source. Maybe I was wrong. Currently, building this
>> from the true source requires a huge number of js packages and we
>> haven't got a npm importer and full JavaScript bootstrap yet so I
>> wasn't sure what to do.
>
> True. js-mathjax is not truly built from source. A true source build
> will properly depend on a huge number of other js packaces. js-mathjax
> only redoes the minification step. In light of this, perhaps we should
> remove js-mathjax from Guix. But, I'm not sure.

js-mathjax does not contain minified JavaScript.  The code is in
editable and readable form although it is not in the form that upstream
uses for development.  In this case I still consider it to be actual
source code, because for the purposes of Guix this is the preferred
format (given that we have no way of building the sources in the format
that is used by upstream).

-- 
Ricardo




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Sep 2020 11:59:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 07:59:53 2020
Received: from localhost ([127.0.0.1]:37687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEANk-0007Dw-Px
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 07:59:53 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:41990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1kEANi-0007Dm-SC
 for 42885 <at> debbugs.gnu.org; Fri, 04 Sep 2020 07:59:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 0942D22D8;
 Fri,  4 Sep 2020 13:59:49 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 3Hs_-xHNSDcF; Fri,  4 Sep 2020 13:59:47 +0200 (CEST)
Received: from jurong (unknown [147.210.21.1])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 28F0D22CD;
 Fri,  4 Sep 2020 13:59:47 +0200 (CEST)
Date: Fri, 4 Sep 2020 13:59:35 +0200
From: Andreas Enge <andreas@HIDDEN>
To: Ludovic =?iso-8859-15?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
Message-ID: <20200904115935.GA8977@jurong>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN>
 <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
 <87y2lpvrrd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87y2lpvrrd.fsf@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Arun Isaac <arunisaac@HIDDEN>,
 Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello,

On Fri, Sep 04, 2020 at 11:02:46AM +0200, Ludovic Courtès wrote:
> Arun, Leo, what’s the status of this patch series?
>   https://issues.guix.gnu.org/42885

why is the variable called mathjax-bin? Should it not be mathjax?

By the way, there is a version 3.1.0 now.

Andreas





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 4 Sep 2020 09:03:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 05:03:01 2020
Received: from localhost ([127.0.0.1]:37266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE7cb-0000BY-3T
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:03:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1kE7ca-0000BL-EA
 for 42885 <at> debbugs.gnu.org; Fri, 04 Sep 2020 05:03:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55678)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1kE7cR-0008VX-Qn; Fri, 04 Sep 2020 05:02:51 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=46400 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1kE7cQ-0002jT-RA; Fri, 04 Sep 2020 05:02:51 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
 <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
Date: Fri, 04 Sep 2020 11:02:46 +0200
In-Reply-To: <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN> (Brendan
 Tildesley's message of "Mon, 24 Aug 2020 17:41:10 +1000")
Message-ID: <87y2lpvrrd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org, Arun Isaac <arunisaac@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello there!

Arun, Leo, what=E2=80=99s the status of this patch series?

  https://issues.guix.gnu.org/42885

Can it be applied?

Brendan, to make it clear what the latest version of the patch series is
(next time), consider adding a =E2=80=9Cv2=E2=80=9D etc. suffix to the subj=
ect, like so:

  git format-patch --subject-prefix=3D"PATCH v2" =E2=80=A6

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 25 Aug 2020 02:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 22:00:07 2020
Received: from localhost ([127.0.0.1]:59681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAOFn-0005DB-C6
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 22:00:07 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:53890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kAOFk-0005CA-Nu
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 22:00:02 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BbByL3DLQzQlL3;
 Tue, 25 Aug 2020 03:59:54 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598320790;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=9Fn6z9dTr2/AlX5+PPuYmuGUOYhO+1KOWUOhwib3WuM=;
 b=KGtsBHSte+x4H65/THA6LFCjcEDKWMgkUJuG+Y4FD4VXPqOk8l/wm4D4L+n9gk5xfzJ9Qj
 8fzzBB4pt+G3VUmdqVj23x39VuL894DAhMylsU1sUhI6BIISZ2J4/Eo+cIu3RsqcGMnDer
 01S9v7HWobiwUCsyuinw5hLMErJAnlcORqhYZ96wmF6wLPVzfCRBSwMdKhMxfm5J7ir5IR
 VRoLgduis+tRVlvF8L0iygAgsJp6Vp0UAPyMebjkU8nTgqot6OCgkdb6Pt8DncXktS6/KN
 MDD5XMgqAhofGPq2pcizyBUyyRC4P3olrT4q1CpZb4OaDmSIRd/QJDYyidKuzQ==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id TpOOTCMJRI7U; Tue, 25 Aug 2020 03:59:48 +0200 (CEST)
Subject: [PATCH 2/4] gnu: Add mathjax-3.
To: 42885 <at> debbugs.gnu.org
References: <8b1e2bed-e543-44a2-574b-f3c2c5a14d3f@HIDDEN>
 <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <a0c22641-ba6c-32b6-7d61-2e776edf1d33@HIDDEN>
Date: Tue, 25 Aug 2020 11:59:42 +1000
MIME-Version: 1.0
In-Reply-To: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
Content-Type: multipart/mixed; boundary="------------D5C3B5BC672253DA9E9D97EE"
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -6.97 / 15.00 / 15.00
X-Rspamd-Queue-Id: 3C617178E
X-Rspamd-UID: 6e5db3
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: arunisaac@HIDDEN, leo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------D5C3B5BC672253DA9E9D97EE
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

This replaces the second patch, renaming mathjax-bin to mathjax-3 since 
its not actually binary.

--------------D5C3B5BC672253DA9E9D97EE
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-Add-mathjax-3.patch"
Content-Transfer-Encoding: 8bit
Content-Disposition: attachment;
 filename="0002-gnu-Add-mathjax-3.patch"

From 77e2312306c6684cdfc72f90e6be1a008e5e676f Mon Sep 17 00:00:00 2001
From: Brendan Tildesley <mail@HIDDEN>
Date: Sun, 16 Aug 2020 16:14:02 +1000
Subject: [PATCH 2/4] gnu: Add mathjax-3.

* gnu/packages/javascript.scm: (mathjax-3): New variable.
---
 gnu/packages/javascript.scm | 40 +++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/javascript.scm b/gnu/packages/javascript.scm
index d5ff5bffee..57e8302094 100644
--- a/gnu/packages/javascript.scm
+++ b/gnu/packages/javascript.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2017, 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2020 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Nicolas Goaziou <mail@HIDDEN>
+;;; Copyright © 2020 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -128,6 +129,45 @@ plugins or software to be installed on the browser.  So the page author can
 write web documents that include mathematics and be confident that readers will
 be able to view it naturally and easily.")))
 
+(define-public mathjax-3
+  (package
+    (name "mathjax")
+    (version "3.0.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mathjax/MathJax")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1zd0chn0cjahi28qv3nzshwljz2hgmj6lizyvvd8qs89gsx0z3h9"))))
+    (build-system trivial-build-system)
+    (arguments
+     `(#:modules ((guix build utils))
+       #:builder
+       (begin
+         (use-modules (guix build utils)
+                      (ice-9 match))
+         (let ((install-directory (string-append %output "/lib/node_modules/mathjax")))
+           (mkdir-p install-directory)
+           (copy-recursively (string-append (assoc-ref %build-inputs "source"))
+                             install-directory)))))
+    (home-page "https://www.mathjax.org/")
+    (synopsis "JavaScript display engine for LaTeX, MathML, and AsciiMath (prebuilt)")
+    (description "MathJax is a JavaScript display engine for LaTeX, MathML,
+and AsciiMath notation that works in all modern browsers.  It requires no
+plugins or software to be installed on the browser.  So the page author can
+write web documents that include mathematics and be confident that readers will
+be able to view it naturally and easily.
+
+The package is derived from not the true source but the built version of
+MathJax 3 for distribution by upstream. This package should eventually be
+replaced my a package built directly from the source at
+https://github.com/mathjax/MathJax-src.")
+    (license license:asl2.0)))
+
 (define-public js-respond
   (package
     (name "js-respond")
-- 
2.28.0


--------------D5C3B5BC672253DA9E9D97EE--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 07:41:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 03:41:29 2020
Received: from localhost ([127.0.0.1]:55910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA76f-0000QR-CR
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 03:41:29 -0400
Received: from mout-p-202.mailbox.org ([80.241.56.172]:34142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kA76d-0000QB-Aa
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 03:41:28 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-202.mailbox.org (Postfix) with ESMTPS id 4BZkZm6K0QzQlFN;
 Mon, 24 Aug 2020 09:41:20 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598254879;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=Wt/WI8iXso7b9d9OTA9wWSQMImv6A5KI+Dtmwl9DtSM=;
 b=S3sNLrjDU9kcWH6P3LMYK8R2xRGaxntFO+OJvpDSJSFCIVrGdH95s9VI1AK6KpdfFCJOjT
 OkpAPeDof5rAcJM80OexadTO0g1+zHMjqXgBUPYD9g+0emL4SU4WAJchNu+L75NE/7K9r1
 hwOAisnspOdbKvVG1Q+Lq7JdJ1HnxPNiEUmlc2g+vvkwZn9WoSQtlWjdRn9XOneQXwKIyc
 AozKRYUNvBAiJ1FEqXODjDjL+uDXttOL0ZbKlRc6sRqpQSvf9tDDxbdbXHrNwBYDMcYNus
 rd+AwH+ZQqx8/cBfa/RJ5r+/H3wgY1y7L1Y5eH8pa0kEN80ZnODwb01pZNpZaQ==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id MfE3kIhq-Not; Mon, 24 Aug 2020 09:41:18 +0200 (CEST)
Date: Mon, 24 Aug 2020 17:41:10 +1000
In-Reply-To: <87eenwzgoa.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----T17Q4177G5HUVU1T0M7LQNEY1PVDNQ"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
To: Arun Isaac <arunisaac@HIDDEN>,Leo Famulari <leo@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <C779B0BA-45A5-4F81-BB8B-69B2B8A42222@HIDDEN>
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.79 / 15.00 / 15.00
X-Rspamd-Queue-Id: D0B2A17B0
X-Rspamd-UID: 0ab17d
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------T17Q4177G5HUVU1T0M7LQNEY1PVDNQ
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

On August 24, 2020 4:44:37 PM GMT+10:00, Arun Isaac <arunisaac@systemreboot=
=2Enet> wrote:
>
>> I had thought js-mathjax was just the component files too and not
>> truely built from source=2E Maybe I was wrong=2E Currently, building th=
is
>> from the true source requires a huge number of js packages and we
>> haven't got a npm importer and full JavaScript bootstrap yet so I
>> wasn't sure what to do=2E
>
>True=2E js-mathjax is not truly built from source=2E A true source build
>will properly depend on a huge number of other js packaces=2E js-mathjax
>only redoes the minification step=2E In light of this, perhaps we should
>remove js-mathjax from Guix=2E But, I'm not sure=2E
>
>> If you like we can ignore this and I can modify calibre to disable
>> mathjax for now since I don't think it works with the old mathjax 2=2E
>I
>> would like to work on getting more JavaScript in to guix properly
>
>Yes, disabling mathjax for calibre is a good way to go if the
>functionality is not too critical=2E But, I don't know much about
>calibre=2E So, someone else should take a call=2E

Its just for rendering math in the eBook-viewer for books that include it=
=2E It shouldn't be essential=2E The reason I felt OK adding it is because =
its not like its actually proprietary, its just we haven't gotten around to=
 integrating JavaScript into guix yet fully, and it doesn't look like that =
will happen any time soon=2E
------T17Q4177G5HUVU1T0M7LQNEY1PVDNQ
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">On August 24, 2020 4:44=
:37 PM GMT+10:00, Arun Isaac &lt;arunisaac@systemreboot=2Enet&gt; wrote:<bl=
ockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border=
-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><br><blockquote class=3D"gmail_quote" style=3D"margi=
n: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;"=
>I had thought js-mathjax was just the component files too and not<br>truel=
y built from source=2E Maybe I was wrong=2E Currently, building this<br>fro=
m the true source requires a huge number of js packages and we<br>haven't g=
ot a npm importer and full JavaScript bootstrap yet so I<br>wasn't sure wha=
t to do=2E<br></blockquote><br>True=2E js-mathjax is not truly built from s=
ource=2E A true source build<br>will properly depend on a huge number of ot=
her js packaces=2E js-mathjax<br>only redoes the minification step=2E In li=
ght of this, perhaps we should<br>remove js-mathjax from Guix=2E But, I'm n=
ot sure=2E<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0p=
t 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">If you l=
ike we can ignore this and I can modify calibre to disable<br>mathjax for n=
ow since I don't think it works with the old mathjax 2=2E I<br>would like t=
o work on getting more JavaScript in to guix properly<br></blockquote><br>Y=
es, disabling mathjax for calibre is a good way to go if the<br>functionali=
ty is not too critical=2E But, I don't know much about<br>calibre=2E So, so=
meone else should take a call=2E<br></pre></blockquote></div><br clear=3D"a=
ll">Its just for rendering math in the eBook-viewer for books that include =
it=2E It shouldn't be essential=2E The reason I felt OK adding it is becaus=
e its not like its actually proprietary, its just we haven't gotten around =
to integrating JavaScript into guix yet fully, and it doesn't look like tha=
t will happen any time soon=2E</body></html>
------T17Q4177G5HUVU1T0M7LQNEY1PVDNQ--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 07:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 03:28:36 2020
Received: from localhost ([127.0.0.1]:55899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA6uC-000062-6I
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 03:28:36 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:55580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kA6uA-00005o-6K
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 03:28:35 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4BZkHv4yZdzKmXH;
 Mon, 24 Aug 2020 09:28:27 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598254105;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=lg4SVl3mpb0OxyWtsm+BEr7UUdOnqYjCu+i2qcG9Y1U=;
 b=zMB1W/1g1htZmN1T33Uij/igbwV64GsHQrK/UsJ1JAklR0DrIP3gp9S1QVSmXgiq14OLeT
 wUZttOw+CgkUPRdTt/7Nqe4HNK7s4zVm1CzWcxFdx4PNOywbSqG98Mu2hpmFjZIimx5FTw
 +1Jrq19FXGU2kKic5kZQFr5J0u9OF3XXHJvdh3Tec/QC3ojEKfgvqzUSz/8W2mrPmhuyAA
 Mz7zOA12EzOrdwbpQx610GB486phKatPoi5DMoP6NiITmlKpTZYqqGEwb3ACCt3j9Ai6Z3
 iqKoN9bI3RITj85byPQ5KrZK4FeWAVVvP3CCf7F2fvuueVBqc7EmFROkXIFvIQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id cuGv5MfV06pX; Mon, 24 Aug 2020 09:28:24 +0200 (CEST)
Date: Mon, 24 Aug 2020 17:27:11 +1000
In-Reply-To: <87eenwzgoa.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
 <87eenwzgoa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----C3JE8RMXQPFTBGE7NQLM283MZBW5IB"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
To: Arun Isaac <arunisaac@HIDDEN>,Leo Famulari <leo@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <6B389576-1F3B-4C26-BE23-869D72319ACD@HIDDEN>
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.81 / 15.00 / 15.00
X-Rspamd-Queue-Id: 819966D2
X-Rspamd-UID: 398ebb
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------C3JE8RMXQPFTBGE7NQLM283MZBW5IB
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

On August 24, 2020 4:44:37 PM GMT+10:00, Arun Isaac <arunisaac@systemreboot=
=2Enet> wrote:
>
>> I had thought js-mathjax was just the component files too and not
>> truely built from source=2E Maybe I was wrong=2E Currently, building th=
is
>> from the true source requires a huge number of js packages and we
>> haven't got a npm importer and full JavaScript bootstrap yet so I
>> wasn't sure what to do=2E
>
>True=2E js-mathjax is not truly built from source=2E A true source build
>will properly depend on a huge number of other js packaces=2E js-mathjax
>only redoes the minification step=2E In light of this, perhaps we should
>remove js-mathjax from Guix=2E But, I'm not sure=2E
>
>> If you like we can ignore this and I can modify calibre to disable
>> mathjax for now since I don't think it works with the old mathjax 2=2E
>I
>> would like to work on getting more JavaScript in to guix properly
>
>Yes, disabling mathjax for calibre is a good way to go if the
>functionality is not too critical=2E But, I don't know much about
>calibre=2E So, someone else should take a call=2E


------C3JE8RMXQPFTBGE7NQLM283MZBW5IB
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">On August 24, 2020 4:44=
:37 PM GMT+10:00, Arun Isaac &lt;arunisaac@systemreboot=2Enet&gt; wrote:<bl=
ockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border=
-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><br><blockquote class=3D"gmail_quote" style=3D"margi=
n: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;"=
>I had thought js-mathjax was just the component files too and not<br>truel=
y built from source=2E Maybe I was wrong=2E Currently, building this<br>fro=
m the true source requires a huge number of js packages and we<br>haven't g=
ot a npm importer and full JavaScript bootstrap yet so I<br>wasn't sure wha=
t to do=2E<br></blockquote><br>True=2E js-mathjax is not truly built from s=
ource=2E A true source build<br>will properly depend on a huge number of ot=
her js packaces=2E js-mathjax<br>only redoes the minification step=2E In li=
ght of this, perhaps we should<br>remove js-mathjax from Guix=2E But, I'm n=
ot sure=2E<br><br><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0p=
t 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;">If you l=
ike we can ignore this and I can modify calibre to disable<br>mathjax for n=
ow since I don't think it works with the old mathjax 2=2E I<br>would like t=
o work on getting more JavaScript in to guix properly<br></blockquote><br>Y=
es, disabling mathjax for calibre is a good way to go if the<br>functionali=
ty is not too critical=2E But, I don't know much about<br>calibre=2E So, so=
meone else should take a call=2E<br></pre></blockquote></div><br clear=3D"a=
ll"></body></html>
------C3JE8RMXQPFTBGE7NQLM283MZBW5IB--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 06:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 02:45:05 2020
Received: from localhost ([127.0.0.1]:55875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA6E5-0007TI-M3
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 02:45:05 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:55868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kA6E2-0007SV-9C
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 02:45:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lKkwOCr9BTkkCpOGoeIGRgHIqvh+sFUDjStLvdQ47cM=; b=LZ/b9wNr0o84o0rt0U0Udaicz
 ycMaLMJMIHzfMj5UfW5gBEHtRUUrKIbc9ScZr1No+6D1pZC5HV2VyneBOuna/OjIL5qZx3zK93jHU
 WAEeW+NvinTeLZbRF6ycGFWqIE/v6E+p6L7rEVYb2V4mR0rKoPy1JfkUGXCAqwokJBS5qZm0ueKQn
 uG2LE77KtefoQ7cuBgSyjP3Rfh270CIbuW6vehWF6bzb+8X4wVFRSvB+c67YUlNrK5xAmqUVYcWKA
 6lZa2F21go4gfLhAncXzyd+wnrTCxiClXRhBxkBYGi1Pg3yk3rtyRDIQr1vxLGNnH8RXJSyaQlgSX
 heNyZ3SKA==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kA6DV-0001gU-Rg; Mon, 24 Aug 2020 12:14:29 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>, Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
 <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
Date: Mon, 24 Aug 2020 12:14:37 +0530
Message-ID: <87eenwzgoa.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


> I had thought js-mathjax was just the component files too and not
> truely built from source. Maybe I was wrong. Currently, building this
> from the true source requires a huge number of js packages and we
> haven't got a npm importer and full JavaScript bootstrap yet so I
> wasn't sure what to do.

True. js-mathjax is not truly built from source. A true source build
will properly depend on a huge number of other js packaces. js-mathjax
only redoes the minification step. In light of this, perhaps we should
remove js-mathjax from Guix. But, I'm not sure.

> If you like we can ignore this and I can modify calibre to disable
> mathjax for now since I don't think it works with the old mathjax 2. I
> would like to work on getting more JavaScript in to guix properly

Yes, disabling mathjax for calibre is a good way to go if the
functionality is not too critical. But, I don't know much about
calibre. So, someone else should take a call.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEyBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9DYdUACgkQLiXui2GA
K7MBZgf47tEyWUElDrh/emRlCKskr+G7fhNNvDkFizpnwu4qXJXNu2DSkYBBmuOR
LInkdm6yvrhwrcb42qQM780oJmhiHqMeBLwV53RhiLRRTERGssNekX2k6m2vpnYw
8X1hODwsoCNTCUMMDEqhVxhqmSKVp0yUhb1Em4+V0ScyoNIUJNfhAG1X1eOs+eQ/
v8VPBQyaNONwichn5ihzpDcvoEcGgm0hK0Lo493mJijIDSojdRnRGAcp/UXtOJ4q
kcgJJ9wNtXLXTn2lTYBoD7P797RqBo5g2NpUu9lGTjvTXeK+5fk2mbdFzJMRxCUL
0zZz+2oE2ef0ow4t1B/e7QK7ksnA
=Gmn/
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 05:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 01:12:36 2020
Received: from localhost ([127.0.0.1]:55772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA4ma-00054P-MG
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 01:12:36 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:25818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kA4mX-00054D-Ks
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 01:12:35 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BZgGz1FKHzQkKx;
 Mon, 24 Aug 2020 07:12:27 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598245945;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=t79sTcBQdhIMUPL+zeCq9n3r4a6iT7Kmme3fCnZnMm4=;
 b=ym02KZ+o0kUqSnYWTKD4+2AiLvZ71lUvDP3RxyrMQAs1UDEWb8kbTwEZQrmfc9ask/7hRZ
 N5c1BExbJiIqxPiGciGdHv4Y0FPSGiwsgS1yImJOQ6YJ201ASqtjF53hzXyvEfIoOa8TjY
 8I3jID9J8qqVtBn3u7ISV01CkT32dlEaSVxpEJPL3hE7H078cprUdaUylaI8tnrBpcMST5
 mDq5TLtTNNMRnPOXZsEQbL3p55UT1Q6FMZtvCr7hlI/x7KgJphZzKu/OjwiOR9VNedU2Ee
 5Wg8tpnomi14Sr3sYFKay4jdR9tkbxcLAwN3tcouAw3Gsm5Jh/HprKM5BI8FAg==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id 0zZUckMdgNHf; Mon, 24 Aug 2020 07:12:23 +0200 (CEST)
Date: Mon, 24 Aug 2020 15:12:13 +1000
In-Reply-To: <87h7sszn4j.fsf@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN> <87h7sszn4j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----88DZ9PSJXTC91C9M9S50M1AASVHA7P"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
To: Arun Isaac <arunisaac@HIDDEN>,Leo Famulari <leo@HIDDEN>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <6F7B2CEB-1A83-4B01-B815-1529359169E1@HIDDEN>
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -3.01 / 15.00 / 15.00
X-Rspamd-Queue-Id: A3C381796
X-Rspamd-UID: 213417
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------88DZ9PSJXTC91C9M9S50M1AASVHA7P
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

On August 24, 2020 2:25:16 PM GMT+10:00, Arun Isaac <arunisaac@systemreboot=
=2Enet> wrote:
>
>>> +The package is derived from not the true source but the built
>version of
>>> +MathJax 3 for distribution by upstream=2E This package should
>eventually be
>>> +replaced my a package built directly from the source at
>>> +https://github=2Ecom/mathjax/MathJax-src=2E")
>>
>> I'm not really familiar with the state of JavaScript in Guix=2E
>However,
>> Guix generally only includes packages built from source=2E
>
>If I understand correctly, we already have a mathjax package built from
>source=2E See js-mathjax=2E

Mathjax 3 is a complete rewrite of mathjax 2=2E I had thought js-mathjax w=
as just the component files too and not truely built from source=2E Maybe I=
 was wrong=2E Currently, building this from the true source requires a huge=
 number of js packages and we haven't got a npm importer and full JavaScrip=
t bootstrap yet so I wasn't sure what to do=2E If you like we can ignore th=
is and I can modify calibre to disable mathjax for now since I don't think =
it works with the old mathjax 2=2E I would like to work on getting more Jav=
aScript in to guix properly 
------88DZ9PSJXTC91C9M9S50M1AASVHA7P
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">On August 24, 2020 2:25=
:16 PM GMT+10:00, Arun Isaac &lt;arunisaac@systemreboot=2Enet&gt; wrote:<bl=
ockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 0pt 0=2E8ex; border=
-left: 1px solid rgb(204, 204, 204); padding-left: 1ex;">
<pre class=3D"k9mail"><br><blockquote class=3D"gmail_quote" style=3D"margi=
n: 0pt 0pt 1ex 0=2E8ex; border-left: 1px solid #729fcf; padding-left: 1ex;"=
><blockquote class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; bo=
rder-left: 1px solid #ad7fa8; padding-left: 1ex;">+The package is derived f=
rom not the true source but the built version of<br>+MathJax 3 for distribu=
tion by upstream=2E This package should eventually be<br>+replaced my a pac=
kage built directly from the source at<br>+https://github=2Ecom/mathjax/Mat=
hJax-src=2E")<br></blockquote><br> I'm not really familiar with the state o=
f JavaScript in Guix=2E However,<br> Guix generally only includes packages =
built from source=2E<br></blockquote><br>If I understand correctly, we alre=
ady have a mathjax package built from<br>source=2E See js-mathjax=2E<br></p=
re></blockquote></div><br clear=3D"all">Mathjax 3 is a complete rewrite of =
mathjax 2=2E I had thought js-mathjax was just the component files too and =
not truely built from source=2E Maybe I was wrong=2E Currently, building th=
is from the true source requires a huge number of js packages and we haven'=
t got a npm importer and full JavaScript bootstrap yet so I wasn't sure wha=
t to do=2E If you like we can ignore this and I can modify calibre to disab=
le mathjax for now since I don't think it works with the old mathjax 2=2E I=
 would like to work on getting more JavaScript in to guix properly </body><=
/html>
------88DZ9PSJXTC91C9M9S50M1AASVHA7P--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 04:25:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 24 00:25:35 2020
Received: from localhost ([127.0.0.1]:55707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA435-0003od-GU
	for submit <at> debbugs.gnu.org; Mon, 24 Aug 2020 00:25:35 -0400
Received: from mugam.systemreboot.net ([139.59.75.54]:54436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <arunisaac@HIDDEN>) id 1kA432-0003oR-5n
 for 42885 <at> debbugs.gnu.org; Mon, 24 Aug 2020 00:25:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=systemreboot.net; s=default; h=Content-Type:MIME-Version:Message-ID:Date:
 References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:
 Content-Transfer-Encoding:Content-ID:Content-Description:Resent-Date:
 Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:List-Id:
 List-Help:List-Unsubscribe:List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jP9kQvuBERdFycEt2Dmtwx9W2JmDgQu2F3v/+nh0P30=; b=fSUh1O/8vEtDJwFyxNGjq2DMC
 dMNF41R7ABXih4IkuafbO5lSXlQqNLR3V4y7NJYf2LioW6gmRq31UirIxH0v/jy2U+BEXX/x5JBJ+
 d279SpAQO4UoK6XcBzNTuzEd8lUXkJq3rf4s32WEVOgU34+cxS5oqTMulmrpbD/jDlm3t5EBSD2yF
 xjcfnyyUpvzzUUkzadBULim7jLpBdISipcRjORdFyZEPCoGTPvpvSv+QJLWDmiazXxXUgHNVffGDI
 vf2LQypTN9ko3CKGRI6HrjRxaId0kBvE/RFOCn6oz5W5Zy+vGyGBSJPt4ZSnJcHmtwY4xf2+xMdt1
 FrdC8q9wQ==;
Received: from [192.168.2.1] (helo=steel)
 by systemreboot.net with esmtpsa  (TLS1.3) tls TLS_AES_256_GCM_SHA384
 (Exim 4.94) (envelope-from <arunisaac@HIDDEN>)
 id 1kA42U-0001TO-Qe; Mon, 24 Aug 2020 09:54:58 +0530
From: Arun Isaac <arunisaac@HIDDEN>
To: Leo Famulari <leo@HIDDEN>, Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
In-Reply-To: <20200824010501.GB14757@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
 <20200824010501.GB14757@HIDDEN>
Date: Mon, 24 Aug 2020 09:55:16 +0530
Message-ID: <87h7sszn4j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


>> +The package is derived from not the true source but the built version of
>> +MathJax 3 for distribution by upstream. This package should eventually be
>> +replaced my a package built directly from the source at
>> +https://github.com/mathjax/MathJax-src.")
>
> I'm not really familiar with the state of JavaScript in Guix. However,
> Guix generally only includes packages built from source.

If I understand correctly, we already have a mathjax package built from
source. See js-mathjax.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEf3MDQ/Lwnzx3v3nTLiXui2GAK7MFAl9DQS0ACgkQLiXui2GA
K7MJsQf+JNI/ZXCgeTUazcmZG4JAz5HjJ6sinIeqwM0D1NiPo5Qk1m6V9+F2pHAq
Lv24sb7RhbRGHUcQLgMxP1JZ/8IyAjMoq9PHUuh5/JBCGGH+OGA4VTNtUzgQlptG
TeKeHbqi89NjbVsu1g0eDh9jl6Mlh8i0nnGr0UV0OM7HglxTXQNWROgsL7Gisp8W
TwBsEREWLrxfMJzTIl3twEdiHYa8yqSMNccPUaEhoPowbjOoNig0BxPmCupy55zb
uQyg+Jx7PPbanha7H4BMcQWYzluqaB8KvJdW7JzIs7iK5pC2ALXN4hSNL3XlEfDf
saLA1O8EV6Oq5CpQC3C7K6n84kYO4Q==
=ncMz
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 01:05:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 21:05:11 2020
Received: from localhost ([127.0.0.1]:55453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA0v9-0005E2-K0
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:05:11 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:33107)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kA0v7-0005Do-M4
 for 42885 <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:05:10 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 932A45C00DE;
 Sun, 23 Aug 2020 21:05:04 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Sun, 23 Aug 2020 21:05:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=LVzRaKGY+S0LEXp1DCo10I8Q
 7uZAxGV1r0zk+Lmb7VY=; b=AzUv7zARComALuVKMRFjwdjTPtJoK6seZdvnnLIW
 tZkwBZdzaZGsLYoGLM90XeKGpKZvnbFCz442OWJK39c3IMQHnmKflmWUCGHkPkjU
 tauwiK8Gj86sJKu6UX1GaCI0Y/Pz4FiIJsU6KHVABywmf7uaCVp3O7ft/bpB+LGF
 ZaU=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=LVzRaK
 GY+S0LEXp1DCo10I8Q7uZAxGV1r0zk+Lmb7VY=; b=XKsXhE2sDhZOSiRglU4oRa
 gJbAyZ3UzEtDNW6dO+U4wW4ErAq8BK0GVT7f8jKY4jJ/UQqMCXSC8CA4/3920Bjq
 MbBeoYt33xOBrVXQosugjip4i56zfEcLeyBZtxox7rhJtfpWfDLHK1gccgkyYE7z
 +d9TSeAGLCWVclFBAdoliiuwmWnoEs1oC5PY1YLuieEVqs6YqDU6knqWxTBnh6wj
 XBe301Jp7MmPspNw3ehE58nkA00T2nTgxc+iqMfBHTqm7Ra7p/HGSXHVRgimASnd
 ahV8O4liXtxmzUdFI46rYMfj6eBlO790bnEGymOmnUV36Zbbwj4F3Ph7nn9Yc3rw
 ==
X-ME-Sender: <xms:QBJDX_5HeTRjry32VMh_1DpYDrBu9oC7euh6vPYpivSbJY0PqUC4gw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedruddujedgvdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesthdtre
 dttddtvdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhephefgleevhfdttdefheeitdfgheffff
 ffledvlefhgfektdethefguefgheegtefhnecuffhomhgrihhnpehgihhthhhusgdrtgho
 mhenucfkphepjeefrddugedurdduvdejrddugeeinecuvehluhhsthgvrhfuihiivgeptd
 enucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:QBJDX073bzins0w6IYuNCtj2nAEdrxjoguwwRF2wZXSeQkgG8vPjVA>
 <xmx:QBJDX2e4JDcMwz77OuVHmoi3bdVZ5kPqTpcFbaJe7Et6v8_IytXlxw>
 <xmx:QBJDXwJ6Jg5Cu-HJhBTWG9JdNRBX_TJn4lQyORXhtK7g0iOON5Bhzw>
 <xmx:QBJDX4V0X80SkvhmAOKjyIY51SkIlNKV5Yl_2S8W9UNl6LEdvKerrg>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 02A6A30600B1;
 Sun, 23 Aug 2020 21:05:03 -0400 (EDT)
Date: Sun, 23 Aug 2020 21:05:01 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
Message-ID: <20200824010501.GB14757@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
 <20200816070318.18642-2-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20200816070318.18642-2-mail@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Aug 16, 2020 at 05:03:16PM +1000, Brendan Tildesley wrote:
> * gnu/packages/javascript.scm: (mathjax-bin): New variable

> +    (description "MathJax is a JavaScript display engine for LaTeX, MathML,
> +and AsciiMath notation that works in all modern browsers.  It requires no
> +plugins or software to be installed on the browser.  So the page author can
> +write web documents that include mathematics and be confident that readers will
> +be able to view it naturally and easily.
> +
> +The package is derived from not the true source but the built version of
> +MathJax 3 for distribution by upstream. This package should eventually be
> +replaced my a package built directly from the source at
> +https://github.com/mathjax/MathJax-src.")

I'm not really familiar with the state of JavaScript in Guix. However,
Guix generally only includes packages built from source.

Is this a case where the package has bene "minified"? Or, in what way is
not built from source?




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 24 Aug 2020 01:02:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 23 21:02:28 2020
Received: from localhost ([127.0.0.1]:55448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kA0sO-0004qz-8k
	for submit <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:02:28 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:47947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kA0sL-0004lJ-Sr
 for 42885 <at> debbugs.gnu.org; Sun, 23 Aug 2020 21:02:18 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id BAA625C008D;
 Sun, 23 Aug 2020 21:02:12 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute2.internal (MEProxy); Sun, 23 Aug 2020 21:02:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=Tfp6qxHafwLhFBIJQmcLWzRS
 IQTuu+pDjD3dN7RmBXg=; b=DdenO54Me7Ly5fsrrrTfMQqIkyvX8bE8jnJAvvKg
 bMXM2MuxBVUV3NVnxYD25gV8PMuFlDIOGstIivuNizkmvph/CgWhUgtyie7mdHIh
 TJfqlb+w0dIbGDHU/OTGhRwknA0BXVdAoOWTlniMu4JEfu1mz5WrictIYDRt7Z+v
 Mok=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=Tfp6qx
 HafwLhFBIJQmcLWzRSIQTuu+pDjD3dN7RmBXg=; b=LTomr8LhrziS2HAvBrEBwF
 boa/sAgb/pQ3Zg/Mp46C7YrzirDifanmwfzF8PAdtPhFxONgq03DARjFDgrejQLG
 8u87K1hhrP8xcLO4mLOMiB7znQXzp4pKOPO9OyibdD8yOuzMUQ9PAJXxd3/Kz69m
 JI8rkHJahg+57zjqhg43EhOC/HUCtU95c/ylm5RKocYlcbeRg7rn/LOiFhNc9KY2
 uOEuaCSEImHfIlklgSc/cks0ULyRRT2Qmcu5SjkuYJu5VQMwy2YZyg4sjBD04jQQ
 UWjM8RNhiYbgoY1kB6MAj3/dGpS1VwkWs59Co+6X4t0kn/YkXkflRvRHXLa60vRg
 ==
X-ME-Sender: <xms:lBFDXwqzGioVYFPSonLakBoxQslFZQpOYXSTK06IWFv94xY9dzD2xg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedruddujedgvdekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpeffhffvuffkfhggtggujgesghdtre
 ertddtudenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgr
 rhhirdhnrghmvgeqnecuggftrfgrthhtvghrnhepudfhffevhedtgfejveelfeeukefhtd
 dvffetgeeuiefgvedvkeefieejfffgffelnecukfhppeejfedrudeguddruddvjedrudeg
 ieenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvg
 hosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:lBFDX2pTZ-unAHuv9N-hHWiw6SDM8z7-1acyIKLbpdHMRB1U5DjIRQ>
 <xmx:lBFDX1MYCNlkJRLr-vez0qpNQ-4RwXCzLecjYTpHibqQ6FaZ9HoPyw>
 <xmx:lBFDX35ZtFnGRHVdxLgTbbBa-tjaLx98v8zKkQY79MZGGmPar3GLZw>
 <xmx:lBFDXxG1ZqWGaOCwpiwo3tPB1M_DzUAJDC9CK8OEUOE04vCeZsMfbw>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2B0AD306005F;
 Sun, 23 Aug 2020 21:02:12 -0400 (EDT)
Date: Sun, 23 Aug 2020 21:01:54 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH 1/4] gnu: ebook.scm: remove duplicate module
 import.
Message-ID: <20200824010154.GA14757@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="6TrnltStXW4iwmi0"
Content-Disposition: inline
In-Reply-To: <20200816070318.18642-1-mail@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)


--6TrnltStXW4iwmi0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sun, Aug 16, 2020 at 05:03:15PM +1000, Brendan Tildesley wrote:
> ---
>  gnu/packages/ebook.scm | 3 +--
>  1 file changed, 1 insertion(+), 2 deletions(-)
>=20
> diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
> index d290b19f5f..aab4155d3d 100644
> --- a/gnu/packages/ebook.scm
> +++ b/gnu/packages/ebook.scm
> @@ -2,7 +2,7 @@
>  ;;; Copyright =A9 2015, 2016 Andreas Enge <andreas@HIDDEN>
>  ;;; Copyright =A9 2016, 2018 Efraim Flashner <efraim@HIDDEN>
>  ;;; Copyright =A9 2016, 2017 Alex Griffin <a@HIDDEN>
> -;;; Copyright =A9 2017, 2019 Brendan Tildesley <mail@HIDDEN>
> +;;; Copyright =A9 2017, 2019, 2020 Brendan Tildesley <mail@HIDDEN>
>  ;;; Copyright =A9 2017 Roel Janssen <roel@HIDDEN>
>  ;;; Copyright =A9 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
>  ;;; Copyright =A9 2020 Marius Bakke <mbakke@HIDDEN>
> @@ -28,7 +28,6 @@
>    #:use-module (guix download)
>    #:use-module (guix git-download)
>    #:use-module (guix build-system gnu)
> -  #:use-module (gnu packages)
>    #:use-module (guix build-system python)
>    #:use-module (gnu packages)
>    #:use-module (gnu packages compression)

I pushed this patch as 29f61501f309a719be91a47fd43872437435cd1a

--6TrnltStXW4iwmi0
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAl9DEYIACgkQJkb6MLrK
fwiW3hAA2klxkOoSF5tZLQs9fqSHySlndfeND6G9NXEXMW5i34ZiAoDh/5MjA+IX
jMpAati+DGYOr0bt4rseO/mxNBl0H1GwEwDB43klx94e1I4ghftkKz0anO/ROQad
EuCIT/Jjs2YEv3TDbV8cCVlx8NZW5/Y7/E0D6d7WDsLHpRz5jS9LFf9jgboHLML5
JSLqt7aaITIT72AtdI8AyILmzYC3eZA/8XS7umTu9VPnEuDJ2XzvjvNl07zTvWVj
jgGwRtH4oW/641z/mv2EUnWBt0SysC2XHNhlbU4EHAI0Nr7wfgSj2zaNutrZMOdr
jf1qEekI6IynmkDOrBNiyq4bDiaSh5Cdajrj8dfKDNBp5yxANEwtQXjz0IjVh770
dlmcgkDF5HhEGoTorUEeBcTI2z/ac5TSBVJ1CAtzd2RbdOFQTmUGAZihIewErxpG
1tiG3UOdtbOSR0Z7Gj/G2izHXQlGkNJOqrzmuha0sWAaYaxlLi+twlmLs1v+XqGo
ml8kCwh/S9xDYtMCyORC7/C+B/3zQJeF0P1qC5hWA+mVYrei9HislMo2OZhuauWW
eALaOy4PJiqJzWrvqDFIDsFLE2tOPwHP7AsKCeSQJeaofIBk37yHRayWqgF9WqGl
QqNqEyo2X1fu82UIqAmCVEdzHWCa83NuuzdaMvuGvfClHsR+Vdg=
=tNzn
-----END PGP SIGNATURE-----

--6TrnltStXW4iwmi0--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 22 Aug 2020 23:24:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 22 19:24:35 2020
Received: from localhost ([127.0.0.1]:51718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9csF-0005Yf-GB
	for submit <at> debbugs.gnu.org; Sat, 22 Aug 2020 19:24:35 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:30688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k9csB-0005YM-QZ
 for 42885 <at> debbugs.gnu.org; Sat, 22 Aug 2020 19:24:33 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BYvbs22KqzQkmG
 for <42885 <at> debbugs.gnu.org>; Sun, 23 Aug 2020 01:24:25 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598138663;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=N/+eaoiaQug1ffvTk26WQKD9sR55b35n8CxGviQltcQ=;
 b=Am5ClkdJYaex4BLBWa3LuXSgNdwoLi9HbN+ya//kYVc5aAgqPieBtC+MGBIZCZupjwYUTa
 j+yscJ21D+N8a9ZG08Ove6XQsEFycjp0L8A4imJKIbvZa/ubBTRoNfU2AzJX0kGBMk8Gxj
 xHC3Qy8i+PAN6B7VbYNfzG1gVArl209M6r6x5ABn1U5Ud3JudTsPz8DXudZ2VTp8zgwuZ1
 wwOnSB33OaVArKJVYsWZ7yk+8aU/kHnrr2tM9jNTGRwCZe7Yw3W7vC9ZIoK+6Dan2Rrqf+
 bVe6S0c7fxTbohqQ2KDzVAoOGyPk1yK9OvYvAfpVF97X7leCgw77w19BGvMgcw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter05.heinlein-hosting.de (spamfilter05.heinlein-hosting.de
 [80.241.56.123]) (amavisd-new, port 10030)
 with ESMTP id Y7csEbVleBMT for <42885 <at> debbugs.gnu.org>;
 Sun, 23 Aug 2020 01:24:21 +0200 (CEST)
Subject: ([PATCH 2/4] gnu: calibre: Update to 4.23.0 (new release)
To: 42885 <at> debbugs.gnu.org
References: <8b1e2bed-e543-44a2-574b-f3c2c5a14d3f@HIDDEN>
 <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
From: Brendan Tildesley <mail@HIDDEN>
Message-ID: <729297f7-8cc1-6a31-37ad-1522c339082f@HIDDEN>
Date: Sun, 23 Aug 2020 09:24:15 +1000
MIME-Version: 1.0
In-Reply-To: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
Content-Type: multipart/mixed; boundary="------------242F4282506B3C1863342847"
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -4.73 / 15.00 / 15.00
X-Rspamd-Queue-Id: 40B943CD
X-Rspamd-UID: 231803
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------242F4282506B3C1863342847
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

Calibre 4.23.0 was released. This just replaces the second patch. the 
others should still apply without conflict.

--------------242F4282506B3C1863342847
Content-Type: text/x-patch; charset=UTF-8;
 name="0002-gnu-calibre-Update-to-4.23.0.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0002-gnu-calibre-Update-to-4.23.0.patch"

From d3b70c4c2329abbe6d210b9993a99306d93c5f29 Mon Sep 17 00:00:00 2001
From: Brendan Tildesley <mail@HIDDEN>
Date: Sun, 16 Aug 2020 16:16:19 +1000
Subject: [PATCH 2/3] gnu: calibre: Update to 4.23.0.

* gnu/packages/ebook.scm (calbre): Update to 4.23.0. Replace MathJax 2
input with newly required MathJax 3.
---
 gnu/packages/ebook.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index aab4155d3d..f1698900f3 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -82,7 +82,7 @@
 (define-public calibre
   (package
     (name "calibre")
-    (version "4.18.0")
+    (version "4.23.0")
     (source
       (origin
         (method url-fetch)
@@ -91,7 +91,7 @@
                             version ".tar.xz"))
         (sha256
          (base32
-          "0w9pcfvskjh4v00vjw3i6hzrafy863pgsmmqdx4lffip3p856brw"))
+          "064mnmz2w4xa2kydh5vzhlgvmyzlwjhm2wm58vwkdqzh7i3m3phn"))
         (modules '((guix build utils)))
         (snippet
           '(begin
@@ -126,7 +126,7 @@
        ("hunspell" ,hunspell)
        ("hyphen" ,hyphen)
        ("icu4c" ,icu4c)
-       ("js-mathjax" ,js-mathjax)
+       ("mathjax" ,mathjax-bin)
        ("libmtp" ,libmtp)
        ("libpng" ,libpng)
        ("libusb" ,libusb)
@@ -243,8 +243,8 @@
            (lambda* (#:key inputs #:allow-other-keys)
              (invoke "python2" "setup.py" "mathjax""--system-mathjax"
                      "--path-to-mathjax" (string-append
-                                          (assoc-ref inputs "js-mathjax")
-                                          "/share/javascript/mathjax"))
+                                          (assoc-ref inputs "mathjax")
+                                          "/lib/node_modules/mathjax/es5"))
              (invoke "python2" "setup.py" "rapydscript")))
          (add-after 'install 'install-man-pages
            (lambda* (#:key outputs #:allow-other-keys)
-- 
2.28.0


--------------242F4282506B3C1863342847--




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 22 Aug 2020 17:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 22 13:31:09 2020
Received: from localhost ([127.0.0.1]:51331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9XMD-0004yY-1a
	for submit <at> debbugs.gnu.org; Sat, 22 Aug 2020 13:31:09 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:36953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1k9XMA-0004y2-IO
 for 42885 <at> debbugs.gnu.org; Sat, 22 Aug 2020 13:31:08 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 766D55C0107;
 Sat, 22 Aug 2020 13:31:01 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Sat, 22 Aug 2020 13:31:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=OFz1Z4mR5QkT+cT0Vvjx28rV
 i2QvuwTKahzw1SmxP8Q=; b=yL+vQ37ERz1ESovMeIZK9eofL4O1837Rd/gWXuRt
 b3cTSlqXH9GWAMEr+9GV4E/JBBd0JRdY0x3GrSBZy0eehEeCcTerBGR3qva780qT
 KRdBY0lLDpNLoRrnQHyXipwmrdaXsGf24T5oPF93QKUT/QFsgaheD6QBs9v0E/62
 RDs=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=OFz1Z4
 mR5QkT+cT0Vvjx28rVi2QvuwTKahzw1SmxP8Q=; b=tx+fjBM10/yxDAvAA92dtQ
 WRI7o0bZypZlWp2G3ES+m01BPKuDQRfEckQBAUvKLPY7vsyK2NQhqlvC5V2iFfg8
 aL1dNY687HdDrCfMfA0j8AI6Kfy7Grb/+T+rrkDUzfuDYvfMaKn6Tp+NwxMeCQ1w
 OxuUAvQvIM0CpdveQEpcZzBLDyoJ0xPzRe5NiZ+9EkT22QL23Q8GWsVT2OnRkSeV
 ZogGGi6RGpDjDW9zJWzZco9OgtoGbjT7pk98vcdxcWZ1TOPj2ADq1jujmDKTyBvo
 p/SlP8pIkP33PFcbnA7AQkRfuuQOK6C6b2QN2EbimVwwLoMWK18xR0EQlQ33Ua8Q
 ==
X-ME-Sender: <xms:VFZBX31EPqw6-UwdTqLS881Y-PoOTZQPV1zzhcPrOLDQRhrIt17s3w>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedruddugedgudduiecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeukeektdffvddtudegjeegtdevhf
 eufeeivdejiedtieegtdevjedvjeehffevgfenucfkphepjeefrddugedurdduvdejrddu
 geeinecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:VFZBX2GTPRmbt9Z8NPbRDHd8Qr0bl93tMnakdjZwuDnamfik6vXFlA>
 <xmx:VFZBX34-bQQtH0yJtBZG3yYPL64nTq-eeqT09Y39Yw1DONL9KlDKIw>
 <xmx:VFZBX807tC3_67aChl2N_VxppMvV57IgYDIaBE1Xpm6CbcFF1pz4dw>
 <xmx:VVZBX-Th8fX18fdjPz25osONtxHJHYZGMD4-Bw9RssngHnrp2covWw>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 80A96328005E;
 Sat, 22 Aug 2020 13:31:00 -0400 (EDT)
Date: Sat, 22 Aug 2020 13:30:57 -0400
From: Leo Famulari <leo@HIDDEN>
To: Brendan Tildesley <mail@HIDDEN>
Subject: Re: [bug#42885] [PATCH] gnu: calibre: Update to 4.23.0.
Message-ID: <20200822173057.GA12497@HIDDEN>
References: <8b1e2bed-e543-44a2-574b-f3c2c5a14d3f@HIDDEN>
 <20200821092014.21866-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20200821092014.21866-1-mail@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
Cc: 42885 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, Aug 21, 2020 at 07:20:14PM +1000, Brendan Tildesley wrote:
> * gnu/packages/ebook.scm (calibre): Update to 4.23.0.

Thanks! Can you send an updated patch series? I don't think we should
update to 4.22.0 and then immediately to 4.23.0.




Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 21 Aug 2020 09:21:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 05:21:53 2020
Received: from localhost ([127.0.0.1]:45033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k93FB-0003xE-36
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 05:21:53 -0400
Received: from mout-p-101.mailbox.org ([80.241.56.151]:10386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k93F7-0003wy-IW
 for 42885 <at> debbugs.gnu.org; Fri, 21 Aug 2020 05:21:51 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-101.mailbox.org (Postfix) with ESMTPS id 4BXwxy6W6kzKmdH
 for <42885 <at> debbugs.gnu.org>; Fri, 21 Aug 2020 11:21:42 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1598001701;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding;
 bh=f3GA963X8SiaQI1yL0c/BtEypR71Pkk/PX/H3SMvtng=;
 b=fmWQpX4OBWLel3kTqa6obgdlEeR0HkK1OeboHpQzrnmorvdITfs2ld6KUJb1Mkrui/9n4N
 QWkr8eORbJtrCiCQ1ApTLjFkIx7FLqDEL+F0U868ChY/XnhrbTPG9ncOiTRmM1dKvltjA3
 4hZ2iJfbbeQ+hok5nFpTXQOARZGjrZyrcHEtL7zRu/etMzhoTuy985u8wgTiqLPS6xlce5
 bXgCUrKc1L8GEyaP3a5UHp3k0cPqR9NFkzFvqpVKa0W2CjE5RayGHt17bgN7drRi/FRnix
 e41x8cLYLbBvcOkkL2Jvz6G9k5WiWAsMQsuzYHhj2t6M79naOtgfqasiPW/gqA==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id yTK3krKik9xK for <42885 <at> debbugs.gnu.org>;
 Fri, 21 Aug 2020 11:21:39 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH] gnu: calibre: Update to 4.23.0.
Date: Fri, 21 Aug 2020 19:20:14 +1000
Message-Id: <20200821092014.21866-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.27 / 15.00 / 15.00
X-Rspamd-Queue-Id: E641837F
X-Rspamd-UID: 7cb796
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (calibre): Update to 4.23.0.
---
 gnu/packages/ebook.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index 31864a0786..72a0d3b22a 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -82,7 +82,7 @@
 (define-public calibre
   (package
     (name "calibre")
-    (version "4.22.0")
+    (version "4.23.0")
     (source
       (origin
         (method url-fetch)
@@ -91,7 +91,7 @@
                             version ".tar.xz"))
         (sha256
          (base32
-          "0d0wmd3ijk8px1d662igal4lfmpyzynfzs6ms1bb9nf42mq2pxai"))
+          "064mnmz2w4xa2kydh5vzhlgvmyzlwjhm2wm58vwkdqzh7i3m3phn"))
         (modules '((guix build utils)))
         (snippet
           '(begin
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 16 Aug 2020 07:03:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 03:03:56 2020
Received: from localhost ([127.0.0.1]:56742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7Chw-0002yv-9m
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:56 -0400
Received: from mout-p-102.mailbox.org ([80.241.56.152]:38326)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k7Chq-0002y5-8k
 for 42885 <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:51 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 4BTp741wK8zKmRG
 for <42885 <at> debbugs.gnu.org>; Sun, 16 Aug 2020 09:03:44 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1597561422;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=A+XPo0B365MqUcsjP3ScBwgKVFLPGoM+IPhUt9pcfys=;
 b=A9VWZyu2mXpM45sG0yxKg8zWOeDFWjjC2rnIZfY7664LDOtV59L1pzkbYLtdPcBLQlDJu/
 NorbnIk0D0FH43MhU4zlXecxa365vIpflIFQ9FQG9yG4Ejwa7q7F1KhV/i02DcJQztPKws
 ceHLNP58fzEQmxy6AxW4hAPaseQlIjbOrQVIRP5R8P/ZIjcjaDE//fV2X5LDmSX4BWv3p/
 sMvp3ampfXVadIH7hfHUCql6ZbPc2drolirQv7fzN13CnNqLcoYSywTfLMet3T8if5bJt/
 WTDRknlyNajcb4JEn6MssqvrflGdB4Aw56v/M/WSCMBydSj+uPy7tU7mTn2btg==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id XCMkxp6QCSRT for <42885 <at> debbugs.gnu.org>;
 Sun, 16 Aug 2020 09:03:41 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 4/4] gnu: calibre: Add wrap phase for qtwebengine.
Date: Sun, 16 Aug 2020 17:03:18 +1000
Message-Id: <20200816070318.18642-4-mail@HIDDEN>
In-Reply-To: <20200816070318.18642-1-mail@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -0.54 / 15.00 / 15.00
X-Rspamd-Queue-Id: 2CD761738
X-Rspamd-UID: 72c7d2
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (calibre): [arguments]: Copy the wrap phase
from Anki to wrap QTWEBENGINEPROCESS_PATH. This fixes the 'Could not
find QtWebEngineProcess error' when opening a book with the
ebook-viewer.
---
 gnu/packages/ebook.scm | 34 +++++++++++++++++++++++++++++++++-
 1 file changed, 33 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index a434f56bc1..31864a0786 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -165,7 +165,10 @@
        ("qtwebengine" ,qtwebengine)
        ("sqlite" ,sqlite)))
     (arguments
-     `(#:python ,python-2
+     `(#:modules ((guix build python-build-system)
+                  (guix build utils)
+                  (ice-9 match))
+       #:python ,python-2
        ;; Calibre is using setuptools by itself, but the setup.py is not
        ;; compatible with the shim wrapper (taken from pip) we are using.
        #:use-setuptools? #f
@@ -252,6 +255,35 @@
               "man-pages"
               (string-append (assoc-ref outputs "out") "/share/man"))
              #t))
+         ;; wrap phase copied from anki package.
+         (add-after 'install 'wrap
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((bin (string-append (assoc-ref outputs "out") "/bin"))
+                   ;; List of paths to the site-packages directories of Python
+                   ;; library inputs.
+                   (site-packages
+                    (map (lambda (pyinput)
+                           (string-append
+                            (cdr pyinput)
+                            "/lib/python2.7/site-packages"))
+                         (filter (match-lambda
+                                   ((label . _)
+                                    (string-prefix? "python2-" label)))
+                                 inputs)))
+                   (qtwebengineprocess
+                    (string-append (assoc-ref inputs "qtwebengine")
+                                   "/lib/qt5/libexec/QtWebEngineProcess")))
+               ;; The program fails to find the QtWebEngineProcess program, so
+               ;; we set QTWEBENGINEPROCESS_PATH to help it.  PYTHONPATH is
+               ;; wrapped to avoid declaring Python libraries as propagated
+               ;; inputs.
+               (for-each (lambda (program)
+                           (wrap-program program
+                             `("QTWEBENGINEPROCESS_PATH" =
+                               (,qtwebengineprocess))
+                             `("PYTHONPATH" = ,site-packages)))
+                         (find-files bin ".")))
+             #t))
          ;; The font TTF files are used in some miscellaneous tests, so we
          ;; unbundle them here to avoid patching the tests.
          (add-after 'install 'unbundle-font-liberation
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 16 Aug 2020 07:03:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 03:03:56 2020
Received: from localhost ([127.0.0.1]:56740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7Chv-0002yo-QN
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:56 -0400
Received: from mout-p-103.mailbox.org ([80.241.56.161]:23428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k7Chn-0002xy-Gq
 for 42885 <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:49 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-103.mailbox.org (Postfix) with ESMTPS id 4BTp713jFzzKmTq
 for <42885 <at> debbugs.gnu.org>; Sun, 16 Aug 2020 09:03:41 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1597561419;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=B8lvaknBboFC5vR8SPPfokYeRWbIwWC74dORN3C4+Xo=;
 b=lxh5IbDiPgW2p1XaBPIvvoHwLe3AFFSlBhdGm0nlbxZgaCykavYGsuZzt6FAWZeCrj+xGM
 A4yv9TQ8IGNfXi03GAMA7ogjlABHNRRAwE3ku0UTjroOFvYjjr6mVWHer5eRpZQy2o1VXu
 fNq3uMdoj2RHi5qzNiQHd3J7h6/m/phRgDTWtlYQyIHd8uVpMiHEZnajj7/CVjM+I4LcDS
 K56eDQvn+KVxQIiAWuQpoDwgMqlZo/4rU+rmaVEI0lozoI/f3p2zd/dsW4fvVbyaZXpSwc
 EUB9xBR7Cx8UlJccaN2UTQFlLhTl3uPNdJeFCMD1g1atpUlTsZUDOCrVFkGuTw==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id xrkMkThMCsHS for <42885 <at> debbugs.gnu.org>;
 Sun, 16 Aug 2020 09:03:37 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 2/4] gnu: Add mathjax-bin (MathJax 3).
Date: Sun, 16 Aug 2020 17:03:16 +1000
Message-Id: <20200816070318.18642-2-mail@HIDDEN>
In-Reply-To: <20200816070318.18642-1-mail@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -6.19 / 15.00 / 15.00
X-Rspamd-Queue-Id: 22761175A
X-Rspamd-UID: 7490e4
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/javascript.scm: (mathjax-bin): New variable
---
 gnu/packages/javascript.scm | 40 +++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/gnu/packages/javascript.scm b/gnu/packages/javascript.scm
index d5ff5bffee..d6a66a1482 100644
--- a/gnu/packages/javascript.scm
+++ b/gnu/packages/javascript.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2017, 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019, 2020 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Nicolas Goaziou <mail@HIDDEN>
+;;; Copyright © 2020 Brendan Tildesley <mail@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -128,6 +129,45 @@ plugins or software to be installed on the browser.  So the page author can
 write web documents that include mathematics and be confident that readers will
 be able to view it naturally and easily.")))
 
+(define-public mathjax-bin
+  (package
+    (name "mathjax")
+    (version "3.0.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/mathjax/MathJax")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "1zd0chn0cjahi28qv3nzshwljz2hgmj6lizyvvd8qs89gsx0z3h9"))))
+    (build-system trivial-build-system)
+    (arguments
+     `(#:modules ((guix build utils))
+       #:builder
+       (begin
+         (use-modules (guix build utils)
+                      (ice-9 match))
+         (let ((install-directory (string-append %output "/lib/node_modules/mathjax")))
+           (mkdir-p install-directory)
+           (copy-recursively (string-append (assoc-ref %build-inputs "source"))
+                             install-directory)))))
+    (home-page "https://www.mathjax.org/")
+    (synopsis "JavaScript display engine for LaTeX, MathML, and AsciiMath (prebuilt)")
+    (description "MathJax is a JavaScript display engine for LaTeX, MathML,
+and AsciiMath notation that works in all modern browsers.  It requires no
+plugins or software to be installed on the browser.  So the page author can
+write web documents that include mathematics and be confident that readers will
+be able to view it naturally and easily.
+
+The package is derived from not the true source but the built version of
+MathJax 3 for distribution by upstream. This package should eventually be
+replaced my a package built directly from the source at
+https://github.com/mathjax/MathJax-src.")
+    (license license:asl2.0)))
+
 (define-public js-respond
   (package
     (name "js-respond")
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 16 Aug 2020 07:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 03:03:55 2020
Received: from localhost ([127.0.0.1]:56738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7Chv-0002yg-CT
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:55 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:14674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k7Chn-0002y0-N9
 for 42885 <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:48 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BTp722cffzQlJm
 for <42885 <at> debbugs.gnu.org>; Sun, 16 Aug 2020 09:03:42 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1597561420;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=xjbJ7GbyXV4w+DEziuTT2lTVxfubCK0UDZPe366p7ig=;
 b=KeNvExQKRik+65gN9bCyB0wjR3J2ALZGKBD3+g2F80n4QkJXjbuZmKV+8p7Gp4//4xb1jP
 Ogsehp9NYjeK4LHKiS23DSCrGUuwYIbsBUUB5xKdoWfRCNCgnIpZ++Vs5kWBW9E/jjBhir
 PjHIQVTnzRbOXQxpeh7CYjpeUwMr5nJrvTLN5GikMtZu1BMYV6ObRzMjPxEpuDbENdWEDh
 8yHD/LeuPfWEaRGOZGnsF8pkS43DbjG5aPJxVYW0vqfbvh3QNOke0LGefSFw8nJO95aiWw
 LAu7edKSn4gMWJINB/lJoo+LCOFS2RB7Qj44c2AlbFp2gs/ebhqm5TGF0zmiSQ==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter01.heinlein-hosting.de (spamfilter01.heinlein-hosting.de
 [80.241.56.115]) (amavisd-new, port 10030)
 with ESMTP id zwUNV5mHDqTF for <42885 <at> debbugs.gnu.org>;
 Sun, 16 Aug 2020 09:03:39 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 3/4] gnu: calibre: Update to 4.22.0.
Date: Sun, 16 Aug 2020 17:03:17 +1000
Message-Id: <20200816070318.18642-3-mail@HIDDEN>
In-Reply-To: <20200816070318.18642-1-mail@HIDDEN>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
 <20200816070318.18642-1-mail@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: *
X-Rspamd-Score: 0.79 / 15.00 / 15.00
X-Rspamd-Queue-Id: 5FB7E178B
X-Rspamd-UID: 81020c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/ebook.scm (calbre): Update to 4.22.0. Replace MathJax 2
input with newly required MathJax 3.
---
 gnu/packages/ebook.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index aab4155d3d..a434f56bc1 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -82,7 +82,7 @@
 (define-public calibre
   (package
     (name "calibre")
-    (version "4.18.0")
+    (version "4.22.0")
     (source
       (origin
         (method url-fetch)
@@ -91,7 +91,7 @@
                             version ".tar.xz"))
         (sha256
          (base32
-          "0w9pcfvskjh4v00vjw3i6hzrafy863pgsmmqdx4lffip3p856brw"))
+          "0d0wmd3ijk8px1d662igal4lfmpyzynfzs6ms1bb9nf42mq2pxai"))
         (modules '((guix build utils)))
         (snippet
           '(begin
@@ -126,7 +126,7 @@
        ("hunspell" ,hunspell)
        ("hyphen" ,hyphen)
        ("icu4c" ,icu4c)
-       ("js-mathjax" ,js-mathjax)
+       ("mathjax" ,mathjax-bin)
        ("libmtp" ,libmtp)
        ("libpng" ,libpng)
        ("libusb" ,libusb)
@@ -243,8 +243,8 @@
            (lambda* (#:key inputs #:allow-other-keys)
              (invoke "python2" "setup.py" "mathjax""--system-mathjax"
                      "--path-to-mathjax" (string-append
-                                          (assoc-ref inputs "js-mathjax")
-                                          "/share/javascript/mathjax"))
+                                          (assoc-ref inputs "mathjax")
+                                          "/lib/node_modules/mathjax/es5"))
              (invoke "python2" "setup.py" "rapydscript")))
          (add-after 'install 'install-man-pages
            (lambda* (#:key outputs #:allow-other-keys)
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at 42885 <at> debbugs.gnu.org:


Received: (at 42885) by debbugs.gnu.org; 16 Aug 2020 07:03:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 03:03:55 2020
Received: from localhost ([127.0.0.1]:56735 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7Chp-0002yM-De
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:55 -0400
Received: from mout-p-201.mailbox.org ([80.241.56.171]:14670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k7Chl-0002xv-4C
 for 42885 <at> debbugs.gnu.org; Sun, 16 Aug 2020 03:03:47 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BTp6y6WbSzQl94
 for <42885 <at> debbugs.gnu.org>; Sun, 16 Aug 2020 09:03:38 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1597561417;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=em0v0sZTofYVDbDMvk5Dd2PEn1dSjZJ/8mm5foJPecM=;
 b=IlJ03GCowgqTzgsnUWMg9X3PaeRTNR/7z+kvNfWmo+u/RMxdSjIDylKS+7bC6p+BFHrjol
 CPRac2Iic+T9EuL3CiCcZdOI/7A3M+AYnGhnSPrBtx3TEzp/SL1yOHRO2MxS3j2uMDd2tF
 Ybfrpb3kF8aNa+Nu8T82HSK21QmKxokwTufBaXwUtv20J6t197I7z2PvbeTWtf9rgMcAvN
 +NC/OPrIQWbc/W9Dc5Ava+TM3KaR0w4NwPQrJwCOZUW3Nc7chR05g+NZ7OH+cgMo52DfXV
 pJHa62HgGQ6tXPsT/dDaaFGH1D9ylp9YTG52/3ogrsJp2uXMyvEZiy0WyWl+UA==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id kEs7_hmx0BFg for <42885 <at> debbugs.gnu.org>;
 Sun, 16 Aug 2020 09:03:35 +0200 (CEST)
From: Brendan Tildesley <mail@HIDDEN>
To: 42885 <at> debbugs.gnu.org
Subject: [PATCH 1/4] gnu: ebook.scm: remove duplicate module import.
Date: Sun, 16 Aug 2020 17:03:15 +1000
Message-Id: <20200816070318.18642-1-mail@HIDDEN>
In-Reply-To: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
References: <handler.42885.B.159756092810548.ack <at> debbugs.gnu.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -7.62 / 15.00 / 15.00
X-Rspamd-Queue-Id: D5980175A
X-Rspamd-UID: 44f0af
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42885
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/ebook.scm | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/gnu/packages/ebook.scm b/gnu/packages/ebook.scm
index d290b19f5f..aab4155d3d 100644
--- a/gnu/packages/ebook.scm
+++ b/gnu/packages/ebook.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2015, 2016 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright © 2016, 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2016, 2017 Alex Griffin <a@HIDDEN>
-;;; Copyright © 2017, 2019 Brendan Tildesley <mail@HIDDEN>
+;;; Copyright © 2017, 2019, 2020 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <mbakke@HIDDEN>
@@ -28,7 +28,6 @@
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system gnu)
-  #:use-module (gnu packages)
   #:use-module (guix build-system python)
   #:use-module (gnu packages)
   #:use-module (gnu packages compression)
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Aug 2020 06:55:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 16 02:55:28 2020
Received: from localhost ([127.0.0.1]:56723 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k7CZk-0002k4-4n
	for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 02:55:28 -0400
Received: from lists.gnu.org ([209.51.188.17]:55424)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1k7CZg-0002js-3T
 for submit <at> debbugs.gnu.org; Sun, 16 Aug 2020 02:55:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43194)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1k7CZf-0003Ok-Lv
 for guix-patches@HIDDEN; Sun, 16 Aug 2020 02:55:23 -0400
Received: from mout-p-201.mailbox.org ([2001:67c:2050::465:201]:56838)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <mail@HIDDEN>) id 1k7CZd-0001fT-As
 for guix-patches@HIDDEN; Sun, 16 Aug 2020 02:55:22 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-201.mailbox.org (Postfix) with ESMTPS id 4BTnxL1V7FzQkmB
 for <guix-patches@HIDDEN>; Sun, 16 Aug 2020 08:55:18 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1597560916;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=47DEQpj8HBSa+/TImW+5JCeuQeRkm5NMpJWZG3hSuFU=;
 b=xm/X/VS4VG413rE21jN53Slq7A3N/U5eHAt/uDUi+1JNwhHvV05cR3ZAtySuIB8SksWlau
 y783sVOzzymBGBHwVEcs6rS4wNSlbdYZsoLkv/RtEqS6HpP+j//Cyo+IF0AXt55TQ5uB6W
 kAI9U+qXCcLidQWpWsnZZ9kMUQ4TYOtda3iAH8jK3Pfq+X7ExDigkexMzTS8L71bnlRUcb
 kQEZW1ZaRVksxGzE4WSlBTAkwCDx5XCepfAMmsi2DJKFkOcGJzJm1lIenUDOLa/SlrJLum
 HyehyMI1s3LnR4HI1o3jjuW9zJROAc37zKKgnrOzBPfNxDgTLohdoJ/28UYBtQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter06.heinlein-hosting.de (spamfilter06.heinlein-hosting.de
 [80.241.56.125]) (amavisd-new, port 10030)
 with ESMTP id WtmaM4X74eYZ for <guix-patches@HIDDEN>;
 Sun, 16 Aug 2020 08:55:15 +0200 (CEST)
To: guix-patches@HIDDEN
From: Brendan Tildesley <mail@HIDDEN>
Subject: [PATCH 0/4] gnu: calibre: Update to 4.22.0.
Message-ID: <8b1e2bed-e543-44a2-574b-f3c2c5a14d3f@HIDDEN>
Date: Sun, 16 Aug 2020 16:55:10 +1000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-MBO-SPAM-Probability: 
X-Rspamd-Score: -1.32 / 15.00 / 15.00
X-Rspamd-Queue-Id: 155F1182A
X-Rspamd-UID: f7bff7
Received-SPF: pass client-ip=2001:67c:2050::465:201;
 envelope-from=mail@HIDDEN; helo=mout-p-201.mailbox.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, PYZOR_CHECK=1.392,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)






Acknowledgement sent to Brendan Tildesley <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#42885; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 8 Apr 2021 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.